gameover = scene {
   enter        = music_("horn")
  ,dsc          = "<i>Загрузить последнюю точку сохранения?</i>"
  ,Load         = load_checkpoint
  ,Exit         = stead.restart
  ,verbs        = { 
                     { "Load", "загрузить", "{}" } 
                    ,{ "Exit", "выйти", "{}" } 
                  }
}

hero = item {
   _flag        = false
  ,nam          = "себя"
  ,Exam         = function(s)
                    local hw = here();
                    if hw.ExamSelf ~= nil then
                      return rcall(hw.ExamSelf,hw);
                    else
                      return inventory(s);
                    end
                  end
  ,Look         = redirect_("Exam")
  ,articles     = {
                    ["Look"] = "на"
                  }
}

cell_robot = item {
   nam          = _"робот"
  ,Exam         = [[Эта механическая голова пугает меня, мне не хочется лишний раз встречаться с ней взглядом.]]
  ,Move         = [[Эта штука висит довольно высоко, и я не могу до неё дотянуться. К тому же, по правде говоря, мне совсем не
                    хочется её трогать.]]
  ,Talk         = [[Голова робота никак на меня не реагирует.]]
  ,Take         = function(s,v)
                    if v and v.kind_ == "wall" then
                      return [[Голова робота висит на кронштейне.]]
                    else
                      return [[Я не собираюсь даже прикасаться к этому устройству.]];
                    end
                  end
  ,TearOff      = redirect_("Take")
  ,TakeOff      = redirect_("Take")
  ,Wreck        = [[Сомневаюсь, что я смогу дотянуться до этого устройства, а уж сломать его -- тем более.]]
  ,Ascend       = [[Эта штука висит слишком высоко.]]
  ,Approach     = [[Я делаю несколько шагов по направлению к механической голове и тут же отступаю назад. Этот висящий над комнатой
                    архаичный механизм пугает меня.]]
  ,Attack       = redirect_("Wreck")
  ,articles     = {
                     ["Talk"] = "с"
                    ,["ListenTo"] = "к"
                  }
}:like(pDevice)

cell_devicehandle = item {
   nam          = _"кронштейн"
  ,withTakeOff  = true
  ,withTearOff  = true
  ,articles     = {
                     ["TakeOff"] = "с"
                    ,["TearOff"] = "с"
                  }
}

cmn_legs = item {
   nam          = "ноги"
  ,Stand        = nilfn
  ,Ascend       = redirect_("Stand")
  ,withAscend   = true
  ,withStand    = true
  ,articles     = {
                     ["Ascend"] = "на"
                    ,["Stand"] = "на"
                  }
}

cmn_pocket = item {
   nam          = _"карман"
  ,kind_        = "pocket"
  ,withThrow    = true
  ,withPut      = true
  ,withPutAway  = true
  ,withPutIn    = true
  ,withTakeFrom = true
  ,articles     = {
                     ["Put"] = "в"
                    ,["PutAway"] = "в"
                    ,["Throw"] = "в"
                    ,["PutIn"] = "в"
                    ,["TakeFrom"] = "из"
                  }
}

cmn_floor = item {
   nam          = _"~пол"
  ,Exam         = [[Я осмотрел пол и ничего не нашёл.]]
  ,Lie          = [[Я не собираюсь лежать на полу.]]
  ,Sit          = [[Не понимаю, зачем мне садиться на пол.]]
}:like(pFloor)

cmn_ceil = item {
   nam          = _"~потолок"
  ,Exam         = [[На потолке нет ничего интересного.]]
}:like(pCeil)

cell_toilet = item {
   nam          = _"унитаз"
  ,Exam         = [[Обычный металлический унитаз с системой автоматического смыва. Смотреть здесь особенно не на что.]]
  ,Move         = [[Сомневаюсь, что у меня получится его передвинуть, да и зачем это делать?]]
  ,Wreck        = [[Не вижу смысла делать это.]]
  ,Approach     = [[Сейчас мне это не нужно.]]
  ,Sit          = redirect_("Approach")
  ,Lie          = [[Это будет довольно затруднительно.]]
  ,Ascend       = [[Зачем мне забираться на унитаз?]]
  ,articles     = {
                     ["Put"] = "в"
                    ,["PutIn"] = "в"
                    ,["PutAway"] = "в"
                    ,["Pure"] = "в"
                    ,["Sit"] = "на"
                    ,["Lie"] = "на"
                  }
  ,withPut      = true
  ,withPutIn    = true
  ,withPutAway  = true
  ,withPure     = true
}:like(pBuild)

cell_floor = item {
   nam          = _"пол"
  ,Exam         = [[Пол чистый и безупречно белый, точно его травили хлоркой.]]
  ,Sit          = [[У меня нет никакого желания сидеть на этом холодном полу.]]
  ,Lie          = [[Я не собираюсь ложиться на этот промёрзлый пол.]]
}:like(pFloor)

cell_ceil = item {
   nam          = _"потолок"
  ,Exam         = [[Потолок в этой комнате довольно высокий -- метра три в высоту, не меньше. Почему здесь так часто бывает
                    душно? Неужели отсюда и правда выкачивают воздух, стоит только погаснуть этому слепящему прожекторному
                    свету?]]
}:like(pCeil)

cell_bed = item {
   nam          = _"кровать"
  ,Exam         = [[Кровать такая же, как и была. Смотреть здесь абсолютно не на что.]]
  ,Sit          = rnd_ {
                    [[Я присаживаюсь на край кровати и сижу так какое-то время, глядя себе под ноги.]],
                    [[Я сажусь на кровать, несколько раз вздыхаю, а затем снова поднимаюсь на ноги.]],
                    [[Я уже достаточно времени провёл на этой кровати.]]
                  }
  ,Lie          = rnd_ {
                    [[Я ложусь на кровать и лежу несколько минут, глубоко и медленно вздыхая, пытаясь восстановить силы.]],
                    [[Я ложусь на кровать, но тут же вновь соскакиваю на ноги -- у меня возникает такое чувство, словно я
                      забыл о чём-то очень важном.]],
                    [[Я уже достаточно времени провёл на этой кровати.]]
                  }
  ,Move         = [[Не вижу смысла двигать кровать.]]
  ,Wreck        = [[Непонятно, зачем это делать.]]
  ,Approach     = [[Я подхожу к кровати.]]
}:like(pBed)

cell_door = item {
   nam          = _"дверь"
  ,Exam         = [[Это массивная дверь из сваренных бронепластин, какую, скорее, ожидаешь увидеть в каком-нибудь военном бункере.]]
  ,Open         = redirect_("Wreck")
  ,Close        = [[Дверь и так закрыта. В этом-то и проблема.]]
  ,Crack        = redirect_("Wreck")
  ,Approach     = [[Я подхожу к массивной бронированной двери, преграждающей выход из моей камеры.]]
  ,Move         = [[Не думаю, что у меня получится сдвинуть эту дверь с места.]]
  ,Ascend       = [[Какой смысл залезать на дверь? Да и вряд ли у меня это получится.]]
  ,Wreck        = rnd_ {
                    [[Смешно даже думать о том, что я мог бы выломать такую дверь.]],
                    [[Бесполезно, такую дверь невозможно выломать. Те, кто заключил меня в эту камеру, хорошо позаботились о том, чтобы
                      я не смог сбежать.]],
                    [[Дверь закрыта, выломать её никак не получится.]]
                  }
}:like(pDoor)

cell_shaft = item {
   nam          = _"вентиляционная решётка"
  ,Exam         = [[Вентиляционная решётка просто огромная -- кажется, если бы я смог её открыть, то без труда пролез бы в шахту.
                    Однако сама решётка явно сделана из того же прочного белого материала, что и стены, и прилегает к проёму в
                    вентиляционную шахту так плотно, что я не вижу ни малейшей щели. Наверняка решётка открывается с какого-нибудь
                    пульта и так просто взломать её не получится.]]
  ,Open         = [[Решётка довольно высоко, и явно так просто открыть её у меня не получится. Тут нужны специальные инструменты.]]
  ,Move         = [[Сомневаюсь, что у меня получится сдвинуть эту решётку хоть на миллиметр.]]
  ,Ascend       = [[Не думаю, что у меня получится туда залезть.]]
  ,Wreck        = [[Бесполезно, у меня ничего не получится.]]
  ,TakeOff      = use_ {
                     ["default"] = [[Я даже дотянуться до этой решётки не могу.]]
                    ,["cell_devicehandle"] = [[Решётка не висит на кронштейне. О чём это я?]]
                  }
  ,TearOff      = redirect_("TakeOff")
}:like(pBuild)

cell_walls = item {
   nam          = name_ {
                     ["default"] = _"стены"
                    ,["TearOff"] = _"стена"
                    ,["TakeOff"] = _"стена"
                    ,["Throw"] = _"стена"
                    ,["Approach"] = _"стена"
                    ,["Walk"] = _"стена"
                  }
  ,Exam         = [[Стены абсолютно пустые и чистые -- нет никаких выключателей, розеток, пожарных щитков, даже единого грязного
                    пятна. Из-за этого, когда я осматриваю комнату, у меня начинает кружиться голова.]]
  ,Approach     = [[Я подхожу к одной стен и касаюсь её рукой. Поверхность стены абсолютно ровная и холодная. Я даже не могу
                    понять, что это за материал -- он кажется плотным и прочным, как металл или армированное стекло, но на ощупь
                    похож, скорее, на пластик. На мгновение мне кажется, что я уже был раньше в таком же помещении, с точно такими же
                    стенами, но я никак не могу вспомнить.]]
  ,Move         = [[С трудом отдавая себе отчёт в том, что я делаю, я наваливаюсь всем своим весом на стену, точно и правда думаю,
                    что её можно сдвинуть, открыв себе выход из этого странного заточения. Но ничего не происходит.]]
  ,Wreck        = redirect_("Move")
  ,withTearOff  = true
  ,withTakeOff  = true
  ,articles     = {
                     ["TearOff"] = "со"
                    ,["TakeOff"] = "со"
                  }
}:like(pWall)

cell_cam = item {
   nam          = _"камера"
  ,Exam         = [[Камера слежения выглядит вполне заурядно -- так же, как и камеры в каком-нибудь охраняемом заведении или на
                    космическом корабле.]]
  ,Approach     = redirect_("Exam")
  ,Take         = [[Нет, мне никак не дотянуться до камеры -- да и вряд ли я смогу её так просто выломать из стены.]]
  ,TakeOff      = redirect_("Take")
  ,TearOff      = redirect_("Take")
  ,Attack       = [[Это бесполезно. Я не могу напасть на камеру.]]
  ,Wreck        = [[Я не смогу дотянуться до этой камеры. К тому же, если у меня даже получится её испортить, это ничего не изменит.]]
  ,Ascend       = [[Я не акробат, чтобы проделывать такие трюки.]]
  ,Stand        = redirect_("Ascend")
  ,TurnOff      = [[Если бы всё было так просто!]]
  ,Open         = [[Не понимаю, как камеру можно открыть.]]
  ,Activate     = redirect_("TurnOn")
  ,TurnOn       = [[Сомневаюсь, что я могу управлять этой камерой отсюда.]]
  ,Close        = [[Я думаю, что мог бы попробовать снять куртку и забросить её на камеру, хотя это вряд ли поможет. У камеры гладкий
                    сферический корпус, и куртка просто соскользнёт с неё. Но даже если у меня и получится что-нибудь сделать, это ничего
                    не изменит.]]
  ,Move         = redirect_("Wreck")
  ,articles     = {
                     ["Ascend"] = "на"
                    ,["Stand"] = "на"
                    ,["Talk"] = "с"
                  }
}:like(pBuild)

cell_taisdevice = item {
   nam          = _"прибор"
  ,TakeForce    = [[Боюсь, она нажмёт на кнопку прежде, чем я успею что-либо сделать.]]
}
