cube1 = item {
   nam          = _"куб"
  ,Exam         = [[Просто пластиковый куб. Непонятно, зачем он нужен -- и как оказался в моём кармане.]]
  ,Take         = chain_ { 
                    take_("cube1"),
                    unset_("cell1_cube_bed._on"),
                    unset_("cell1_cube_floor._on"),
                    [[Я поднимаю пластиковый куб.]]
                  }
  ,Wreck        = [[Куб довольно прочный. Я изо всех сил сжимаю его в руке, но ничего не происходит.]]
  ,Throw        = use_ {
                     ["default"] = [[Нет, я не хочу выбрасывать его. Сейчас этот кусок пластика -- всё, что у меня есть.]]
                    ,["wakeup2_bed"] = "Если куб упадет с кровати, то я уже не смогу найти его в этой темноте."
                    ,["wakeup2_floor"] = "Я не хочу бросать куб на пол."
                    ,["cell1_shaft"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_floor._on"),
                          [[Сам не понимая зачем, я бросаю пластиковый куб в решётку воздуховода, куб отскакивает от неё и
                            падает на пол неподалеку от меня.^
                            -- Что вы делаете? -- начинает грохотать у потолка голос. -- Прекратите это! Немедленно!]]
                        }
                    ,["cell1_walls"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_floor._on"),
                          [[Я бросаю пластиковый куб в ближайшую стену, куб с глухим звуком отскакивает от стены и падает
                            на пол.^
                            -- Что это? -- возмущается голос. -- Что...^
                            Голос начинает задыхаться в надсадном хрипе помех.]]
                        }
                    ,["cell1_door"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_floor._on"),
                          [[Я бросаю куб в металлическую дверь, не слишком понимая, зачем делаю это.^
                            -- Прекратите немедленно! -- громыхает голос.]]
                        }
                    ,["cell1_ceil"] =
                        chain_ {
                          dropself,
                          set_("cell1_cube_floor._on"),
                          [[Я подкидываю куб вверх, тот ударяется о потолок и падает на пол.^
                            -- Чем вы занимаетесь? -- возмущается голос. -- Это... Это недопустимо! Немедленно прекратить!]]
                        }
                    ,["cell1_floor"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_floor._on"),
                          [[Я бросаю куб себе под ноги -- кажется, голова робота замечает это и как-то нервно вздрагивает,
                            однако не произносит ни слова.]]
                        }
                    ,["cell1_bed"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_bed._on"),
                          [[Я бросаю пластиковый куб на постель. Голова робота как будто ничего не замечает -- по крайней
                            мере голос у потолка молчит.]]
                        }
                    ,["cell1_device"] = 
                        choose_ {
                           ["cell1._talk>4"] =
                              chain_ {
                                mute_(0,0),
                                dropself,
                                hideinput,
                                walkfast2_("wakeup3start1")
                              }
                          ,["default"] =
                              chain_ {
                                dropself,
                                set_("cell1_cube_floor._on"),
                                [[Я кидаю пластиковый куб в механическую голову, стараясь попасть прямо в её горящий электрический глаз.
                                  Куб отскакивает от головы, не причинив ей никакого вреда. В эту же секунду угрожающе взвывает голос 
                                  под потолком:^
                                  -- Немедленно прекратить! Такое поведение недопустимо! Любые проявления агрессии будут пресекаться!]]
                              }
                        }
                    ,["cell1_toilet"] = [[Не думаю, что это хорошая идея.]]
                    ,["cmn_pocket"] = redirect_("Put")
                  }
  ,Put          = use_ {
                     ["default"] = "Вряд ли я смогу это сделать."
                    ,["wakeup2_floor"] = "Я не хочу бросать куб на пол."
                    ,["wakeup2_bed"] = 
                        [[Я кладу куб на кровать рядом с собой и тут же вновь хватаю его рукой -- как будто он может исчезнуть, 
                          раствориться в этой всепоглощающей темноте.]]
                    ,["cell1_floor"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_floor._on"),
                          [[Я кладу пластиковый куб на пол.^
                            -- Что это? -- спрашивает голос. -- Что вы сделали?]]
                        }
                    ,["cell1_bed"] = 
                        chain_ {
                          dropself,
                          set_("cell1_cube_bed._on"),
                          [[Я осторожно кладу пластиковый куб на постель. Кажется, механическая голова ничего не замечает.]]
                        }
                    ,["cell1_toilet"] = [[Не думаю, что это хорошая идея.]]
                    ,["cmn_pocket"] = 
                        [[Пластиковый куб лежит в узком кармане моих брюк, плотная синтетическая ткань прижимает его к моему
                          бедру, и почему-то мне становится спокойнее, когда я чувствую, что куб со мной. Как будто эта
                          игрушка -- единственное, что может как-то помочь мне разобраться в том, что произошло со мной.]]
                  }
}:like(pItem)


------------------------------------------------------------------------------------------------------------------------------
--wakeup2
------------------------------------------------------------------------------------------------------------------------------
wakeup2 = scene {
   _light       = false
  ,checkpoint   = true
  ,obj          = {
                     "wakeup2_start"
                    ,"wakeup2_arm"
                    ,"wakeup2_bed"
                    ,"wakeup2_surround"
                    ,"wakeup2_floor"
                    ,"wakeup2_darkness"
                    ,"cmn_pocket"
                  }
  ,Stand        = choose_ {
                     ["wakeup2._light"] = [[Я уже встал с кровати.]]
                    ,["default"] =
                        chain_ {
                          set_("wakeup2._light"),
                          walkfast2_("wakeup2light")
                        }
                  }
  ,ExamSelf     = redirect_("Exam", "wakeup2_arm")
  ,Refresh      = [[Я почти ничего не вижу. В этой комнате совсем нет света.]]
  ,Exit         = redirect_("Exit", "wakeup1")
  ,timer        = chain_ {
                    timerstop,
                    music_("keys")
                  }
  ,enter        = timer_(5000)
}

wakeup2_start = rooms.dsc
  [[Я лежу на жёсткой неудобной кровати. На мне всё та же немнущаяся одежда из грубого синтетического
    материала. Меня по-прежнему окружает темнота.^
    Однако что-то изменилось.^
    Кожа на левом плече воспалилась и горит, как после ожога, но власть над собственным телом, наконец, вернулась
    ко мне -- руки больше не дрожат, ноги уже не кажутся парализованными, я свободно дышу полной грудью, и даже
    воздух в этой бесцветной комнате вдруг стал чистым и свежим, с едва ощутимым прохладным запахом озона.^
    Надеюсь, теперь я смогу встать на ноги.]]


wakeup2_surround = item {
   nam          = _"стены|потолок|комната"
  ,Exam         = [[Я ничего не могу разглядеть.]]
}

wakeup2_floor = item {
   nam          = _"пол"
  ,Exam         = [[Пол я совсем не вижу -- кажется, вокруг меня простирается бездонная чёрная бездна.]]
  ,Stand        = [[Я не на полу.]]
}:like(pFloor)

wakeup2_darkness = item {
   nam          = _"темнота"
  ,Exam         = [[Если долго вглядываться в эту темноту, то можно действительно ослепнуть.]]
  ,Approach     = [[Мне страшно вглядываться в окружающую меня темноту.]]
  ,Listen       = [[Меня окружает глухая сумрачная тишина.]]
}:like(pDark)

wakeup2_arm = item {
   nam          = _"плечо|~рука"
  ,Exam         = [[Я расстёгиваю куртку и касаюсь пальцами странной припухлости на плече. Это похоже на след от
                    подкожной инъекции, но я не замечал его раньше. Что же мне вкололи, чтобы вызвать такое
                    раздражение?]]
}

wakeup2_bed = from_("cell_bed") {
   _sit         = false
  ,nam          = _"кровать"
  ,Exam         = [[Рассматривать здесь нечего, к тому же я почти ничего не вижу в этой темноте. Обычная
                    жёсткая койка, похожая на больничную кровать.]]
  ,Move         = choose_ {
                     ["default"] = [[Вряд ли я смогу двигать что-либо, когда лежу.]]
                    ,["wakeup2._light"] = [[Сейчас не время заниматься этим.]]
                  }
  ,Lie          = choose_ {
                     ["default"] = [[Я и так лежу на кровати, лучше уж я попробую встать на ноги.]]
                    ,["wakeup2._light"] = 
                        [[Нет, я не собираюсь снова ложиться на эту жёсткую больничную койку. Я должен
                          разобраться в том, что же со мной произошло.]]
                  }
  ,Sit          = choose_ {
                     ["default"] = [[Лучше попробовать встать.]]
                    ,["wakeup2._light and not s._sit"] = 
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._sit"),
                                [[Я присаживаюсь с краю кровати, раздумывая, как мне поступить. Кажется, что красный
                                  огонёк неотрывно следит за каждым моим движением -- даже отвернувшись, я словно
                                  кожей чувствую этот неотрывный электрический взгляд. Я снова поднимаюсь на ноги,
                                  делаю шаг вперед, и огонёк как-то странно вздрагивает в темноте.]]
                              }
                        }
                    ,["wakeup2._light and s._sit"] =
                        [[Сколько часов я уже провёл на этой кровати как парализованный? Хватит! Мне нужно разобраться в том,
                          что здесь происходит.]]
                  }
  ,Wreck        = [[Вряд ли мне это поможет.]]
  ,Approach     = choose_ {
                     ["default"] = [[Я лежу на кровати.]]
                    ,["wakeup2._light"] = [[Я стою рядом с кроватью.]]
                  }
}:like(pBed)

wakeup2light = pause {
   enter        = sound_("fear")
  ,pic          = "redlight_small"
  ,time         = 500
  ,next         = walk_("wakeup2b")
}

wakeup2b = scene {
   obj          = {
                     "wakeup2b_start"
                    ,"wakeup2_arm"
                    ,"wakeup2_bed"
                    ,"wakeup2_move"
                    ,"wakeup2_light"
                    ,"wakeup2_surround"
                    ,"wakeup2_floor"
                    ,"wakeup2_darkness"
                  }
  ,ExamSelf     = redirect_("Exam", "wakeup2_arm")
  ,Refresh      = redirect_("Refresh", "wakeup2")
  ,Exit         = redirect_("Exit", "wakeup1")
}

wakeup2b_start = rooms.event
  [[Медленно, всё ещё опасаясь, что меня снова может сковать паралич, я встаю и тут же невольно
    отшатываюсь назад, упираясь ногами в кровать. Я замечаю в темноте перед собой какое-то призрачное
    движение -- и в этот же момент, где-то высоко над моей головой, загорается маленький красный огонёк.]]

wakeup2_move = item {
   nam          = _"движение"
  ,Exam         = [[Больше я ничего вижу. Может, мне показалось?]]
  ,Listen       = redirect_("Exam")
}:like(pPhenom)

wakeup2_light = item {
   nam          = _"огонёк"
  ,Exam         = chain_ {
                    hideinput,
                    light_(true),
                    sound_("flash"),
                    walkfast2_("wakeup2trans"),
                    ""
                  }
  ,Approach     = redirect_("Exam")
}:like(pPhenom)

wakeup2trans = pause {
   pic          = "white"
  ,time         = 300
  ,next         = chain_ {
                    showinput,
                    walk_("cell1")
                  }
}


------------------------------------------------------------------------------------------------------------------------------
--cell1
------------------------------------------------------------------------------------------------------------------------------
cell1 = scene {
   _eyes        = false
  ,_talk        = 0
  ,_refuse1     = false
  ,obj          = {
                     "cell1_start"
                    ,"cell1_itself"
                    ,"cell1_cube_bed"
                    ,"cell1_cube_floor"
                    ,"cell1_toilet"
                    ,"cell1_bed"
                    ,"cell1_shaft"
                    ,"cell1_device"
                    ,"cell_devicehandle"
                    ,"cell1_voice"
                    ,"cell1_walls"
                    ,"cell1_door"
                    ,"cell1_light1"
                    ,"cell1_light2"
                    ,"cell1_light3"
                    ,"cell1_eyes"
                    ,"cell1_floor"
                    ,"cell1_ceil"
                    ,"cmn_pocket"
                  }
  ,Stand        = choose_ {
                     ["cell1._talk==4"] =
                        chain_ {
                          inc_("cell1._talk"),
                          unset_("cell1_bed._sit"),
                          [[Я подчиняюсь и встаю на ноги. Голова робота немного опускается, а затем поднимается вверх,
                            точно кивая мне.^
                            -- Спасибо за сотрудничество, -- раздаётся голос под потолком.^
                            Голова робота вновь как-то странно покачивается, из неё выдвигается тоненький телескопический отросток,
                            похожий на антенну, и ровно в центре комнаты, на потолке и на полу, появляются ярко-зелёные круги.^
                            -- А теперь посмотрите вверх, на зелёное пятно, -- приказывает голос.^
                            Однако я продолжаю смотреть на маленькую антенну -- она кажется совсем хлипкой, я без труда мог бы выломать
                            её, если бы у меня, конечно, получилось дотянуться до этого висящего на длинном кронштейне устройства.]]
                        }
                    ,["default"] = [[Я и так стою на ногах.]]
                  }
  ,Wait         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell1._eyes"),
                          [[Глаза мои постепенно привыкают к яркому свету, хотя мне всё ещё приходится щуриться и прикрываться рукой,
                            точно кто-то навёл на меня луч мощного прожектора.^
                            Я стою напротив массивной металлической двери, как в противоударном бункере, а над дверью, 
                            на длинном электрическом кронштейне, висит какое-то непонятное устройство, робот, похожий на одноглазый механический
                            череп с ярким красным светодиодом вместо глаза. Кронштейн иногда сдвигается из стороны в сторону с едва
                            слышным жужжанием сервоприводов, и голова робота пристально осматривает меня своим немигающим
                            электрическим взглядом.^
                            -- Ну же, -- нетерпеливо произносит голос. -- Говорите! Вы можете говорить? Назовите себя!]]
                        }
                    ,["cell1._eyes"] = [[Чего же мне ждать?]]
                  }
  ,before_Wait  = nilfn
  ,before_Default=function(s,v,w)
                    if not cell1._eyes and w~=cell1_eyes then
                      return [[Я должен подождать, пока глаза не привыкнут к свету.]];
                    end
                    if cell1_bed._sit and (v=="Walk" or v=="Approach") then
                      if w==cell1_bed then return nil end
                      return "Сначала нужно подняться на ноги.";
                    end
                  end
  ,enter        = music_("droplet",3)
}

cell1_start = rooms.event
  [[Я присматриваюсь к горящему огоньку, делаю несколько шагов к нему навстречу через разделяющую нас
    темноту, как вдруг в комнате загорается слепящий белый свет -- перед моими глазами вспыхивают яркие круги, я закрываю
    лицо руками, но кажется, что свет обжигает сетчатку глаз даже через закрытые веки. Где-то над головой я слышу искажённый
    громкоговорителем голос:^
    -- Назовите себя!^
    Я однако стою, скорчившись, пряча лицо от обжигающего света. Я уверен -- стоит лишь открыть глаза, как этот
    пронизывающий свет тут же лишит меня зрения.]]

cell1_light1 = item {
   nam          = _"зелёное пятно на потолке"
  ,Exam         = chain_ {
                    inc_("cell1._talk"),
                    [[Я поднимаю голову и смотрю на световую проекцию на потолке.^
                      -- Отлично, -- говорит голос и замолкает.^
                      -- Зачем всё это нужно? Что вы делаете? -- спрашиваю я.^
                      -- Обычная проверка, -- отвечает после некоторой паузы голос. -- Вам не о чем беспокоиться.]]
                  }
  ,Approach     = redirect_("Exam")
  ,cnd          = if_("cell1._talk==5")
}:like(pPhenom)

cell1_light2 = item {
   nam          = _"зелёное пятно на полу"
  ,Exam         = chain_ {
                    set_("cell1_light3._visible"),
                    [[Я послушно смотрю на зелёное пятно на полу.^
                      -- Спа-па-па-сибо! -- заикается голос. -- А теперь посмотрите на зелёное пятно на потолке.]]
                  }
  ,Approach     = redirect_("Exam")
  ,cnd          = if_("cell1._talk>=7 and not cell1_light3._visible")
}:like(pPhenom)

cell1_light3 = item {
   _visible     = false
  ,_exam        = 0
  ,nam          = _"зелёное пятно на потолке"
  ,Exam         = chain_ {
                    unset_("s._visible"),
                    inc_("s._exam"),
                    unlock_("recursion"),
                    concat_ {
                      [[Я подчиняюсь -- больше мне ничего не остается. Я несколько секунд, не отрываясь, смотрю на световую
                        проекцию на потолке, прежде чем голова робота вновь оживает и начинает раскачиваться на кронштейне.^
                        -- Отлично! Спасибо за сотрудничество! -- раздаётся с потолка. -- Теперь, пожалуйста, посмотрите на...
                        па-па-па...^
                        -- Что? -- спрашиваю я.^
                        -- Посмотрите на зелёное пятно на полу, -- повторяет голос.]],
                      if_("s._exam==1", [[^Я начинаю думать, что эти издевательства никогда не закончатся. Мне нужно сделать
                        что-то, нужно как-то их спровоцировать.]]),
                      if_("s._exam==1 and have(cube1)", [[Я опускаю руку в карман и нащупываю там пластиковый куб.]])
                    }
                  }
  ,Approach     = redirect_("Exam")
  ,cnd          = if_("s._visible")
}:like(pPhenom)

cell1_eyes = item {
   nam          = "глаза"
  ,Open         = [[Я должен подождать, пока глаза не привыкнут к свету.]]
  ,cnd          = not_("cell1._eyes")
}:like(pEyes)

cell1_itself = item {
   nam          = _"комната"
  ,dsc          = choose_ {
                    ["cell1._eyes"] =
                      [[Я осматриваю комнату, в которой нахожусь. Она не так велика, как я воображал, лёжа во тьме и будучи не в
                        силах даже пошевелиться. Стены и потолок неприятного ярко-белого цвета, как в каком-нибудь карантинном 
                        отделении, где регулярно выжигают все следы пребывания там людей. К тому же я не вижу здесь ни одной лампы, 
                        а слепящий свет исходит из самих стен.^
                        В этой комнате вообще ничего нет, кроме узкой кровати у стены и металлического унитаза в углу. Над  кроватью,
                        у самого потолка, виднеется вентиляционная решетка -- и это единственное, что нарушает безликую пустоту белых
                        больничных стен.]],
                  }
  ,Walk         = choose_ {
                     ["default"] = [[Я прохаживаюсь по своей камере.]]
                    ,["cell1._talk>=2"] =
                        [[Я начинаю медленно ходить по комнате, прямо под висящей надо мной механической головой -- от одной стены к
                          другой, снова и снова, как арестант, которого вывели на прогулку.^
                          -- Выполняйте распоряжения! -- раздаётся недовольный голос сверху.]]
                  }
  ,Exam         = redirect_("dsc")
}:like(pRoom)

cell1_cube_bed = item {
   _on          = false
  ,nam          = _"куб"
  ,dsc          = [[^На кровати лежит пластиковый куб.]]
  ,Take         = redirect_("Take", "cube1")
  ,cnd          = if_("s._on")
}

cell1_cube_floor = item {
   _on          = false
  ,nam          = _"куб"
  ,dsc          = [[^На полу лежит пластиковый куб, который я бросил.]]
  ,Take         = redirect_("Take", "cube1")
  ,cnd          = if_("s._on")
}

cell1_toilet = from_("cell_toilet") {
   nam          = _"унитаз"
  ,cnd          = if_("cell1._eyes")
}

cell1_floor = from_("cell_floor") {
   nam          = _"пол"
  ,cnd          = if_("cell1._eyes")
}

cell1_ceil = from_("cell_ceil") {
   nam          = _"потолок"
  ,Exam         = [[Потолок в этой комнате довольно высокий -- здесь метра три в высоту, не меньше. Почему же я так мучаюсь
                    от духоты? Неужели отсюда и правда выкачивают воздух, стоит только погаснуть этому слепящему прожекторному
                    свету?]]
  ,cnd          = if_("cell1._eyes")
}

cell1_walls = from_("cell_walls") {
   nam          = name_ {
                     ["default"] = _"стены"
                    ,["Throw"] = _"стена"
                  }
  ,cnd          = if_("cell1._eyes")
}

cell1_shaft = from_("cell_shaft") {
   nam          = _"вентиляционная решётка"
  ,cnd          = if_("cell1._eyes")
}

cell1_bed = from_("cell_bed") {
   _moved       = false
  ,_sit         = false
  ,_sitcount    = 0
  ,_liecount    = 0
  ,nam          = _"кровать"
  ,Exam         = [[Кровать узкая и жёсткая и чем-то напоминает оцинкованный стол, на которых лежат трупы в морге.]]
  ,Move         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell1_bed._moved"),
                          [[Я упираюсь руками в металлическое изголовье кровати и наваливаюсь на него всем своим весом. 
                            Однако кровать никак не поддаётся -- кажется, она весит не меньше тонны, и я, несмотря на все усилия, не
                            могу сдвинуть её даже на сантиметр.^
                            -- Отойдите от кровати! -- внезапно командует голос.^
                            Я подчиняюсь.]]
                        }
                    ,["cell1_bed._moved"] = [[Не думаю, что стоит сейчас передвигать эту кровать.]]
                  }
  ,Lie          = choose_ {
                     ["default"] = [[Я и так пролежал на этой кровати целую вечность.]]
                    ,["cell1._talk==3"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                inc_("s._liecount"),
                                [[Я ложусь на кровать, закидываю руки за голову и начинаю бесцельно разглядывать белый сверкающий потолок.^
                                  -- Сядьте на кровать! -- возмущается голос. -- Сядьте! Вы понимаете? Сядьте на кровать!^
                                  Я поднимаюсь на ноги.]]
                              }
                          ,["s._liecount==1"] =
                              [[Я начинаю ложиться на кровать, но тут же вскакиваю, когда механическая голова начинает угрожающе раскачиваться
                                на кронштейне.]]
                        }
                  }
  ,Sit          = choose_ {
                     ["default"] = 
                        choose_ {
                           ["default"] = [[Мне совсем не хочется сидеть на этой кровати.]]
                          ,["s._sit"] = [[Я и так сижу на кровати.]]
                        }
                    ,["cell1._talk==3"] = 
                        chain_ {
                          inc_("cell1._talk"),
                          set_("s._sit"),
                          [[Я послушно сажусь на кровать и опускаю голову -- мне совсем не хочется смотреть на эту уродливую 
                            механическую голову, которая просверливает меня своим сверкающим красным глазом.^
                            -- Спасибо! -- дребезжит голос под потолком, срываясь в металлический фальцет. -- А теперь
                            встаньте с кровати.]]
                        }
                    ,["cell1._talk==4 and s._sit"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._sit"),
                                inc_("s._sitcount"),
                                [[Я продолжаю сидеть на кровати. Голова робота какое-то время смотрит на меня своим сверкающим глазом,
                                  а потом начинает нетерпеливо раскачиваться на кронштейне.^
                                  -- Встаньте с кровати! Встаньте с кровати! Встаньте с кровати! -- тараторит голова.]]
                              }
                          ,["s._sitcount==1"] =
                              [[Я продолжаю сидеть.^
                                -- Встаньте с кровати! -- выкрикивает дребезжащим голосом голова робота. -- Встаньте с кровати!]]
                        }
                  }
  ,Approach     = choose_ {
                     ["default"] = [[Я подхожу к кровати и несколько минут стою, уставившись на тонкую измятую наволочку.]]
                    ,["cell1._talk==4"] = [[Я сижу на кровати.]]
                  }
  ,cnd          = if_("cell1._eyes")
}

cell1_door = from_("cell_door") {
   _tried       = false
  ,nam          = _"дверь"
  ,Exam         = [[Грубая металлическая дверь из сваренных бронепластин не слишком соответствует оглушающей белизне этой пустой
                    обтекаемой комнаты. Такое впечатление, что дверь здесь установили недавно, превратив обычное пустующее 
                    помещение в наглухо закрытую камеру.]]
  ,Open         = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("cell1_door._tried"),
                          [[Я подхожу к двери и толкаю её рукой. Разумеется, ничего не происходит, дверь закрыта, да и выломать такую
                            дверь у меня вряд ли получится -- она выглядит так, словно способна выдержать прямое попадание бронебойного
                            снаряда.^
                            -- Отойдите от двери! -- выкрикивает с каким-то пугающим скрежетом голос, и я вздрагиваю от неожиданности. -- 
                            Встаньте в центре комнаты!^
                            Я невольно подчиняюсь и делаю несколько шагов назад.]]
                        }
                    ,["cell1_door._tried"] = 
                        [[Я едва успеваю сделать шаг, как голос над моей головой начинает раздражённо скрежетать:^
                          -- Не приближайтесь к двери! Не приближайтесь к двери!]]
                  }
  ,Wreck        = redirect_("Open")
  ,Crack        = redirect_("Open")
  ,Approach     = redirect_("Open")
  ,Ascend       = [[Не представляю, как я буду забираться на дверь.]]
  ,cnd          = if_("cell1._eyes")
}

cell1_device = from_("cell_robot") {
   _examed      = false
  ,_ask         = false
  ,nam          = _"робот"
  ,Exam         = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("s._examed"),
                          [[Я осматриваю этот висящий на длинном суставчатом кронштейне аппарат, и он напоминает мне механическую
                            голову старого человекоподобного робота, которых использовали когда-то, ещё в другом столетии, в роли ярмарочных
                            шутов, заставляя неуклюжее и нерасторопное с виду механическое создание жонглировать мячами для гольфа или
                            наливать газировку в стаканы.^
                            Непонятно, зачем нужно это устройство. Те, кто следят за мной, наверняка могли бы спрятать в комнате
                            десятки невидимых сенсоров, датчиков и камер, однако они предпочли повесить над входом этот улогий 
                            металлический череп с единственным горящим диодом вместо глаз.^
                            Я вдруг думаю, что робот на кронштейне, раскачивающийся над дверью, -- это какая-то непонятная и противоестественная
                            технология девятых. Мне становится страшно.]]
                        }
                    ,["s._examed"] =
                        [[Эта механическая голова пугает меня, мне не хочется лишний раз встречаться с ней взглядом.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Кто вы? Где я нахожусь? Где Лида?^
                            Красный глазок на механической голове мигает, электрический кронштейн как-то странно вытягивается,
                            и вся эта кошмарная конструкция пугающе повисает надо мной.^
                            -- Назовите себя! -- невозмутимо повторяет механический голос.]]
                        }
                    ,["cell1._talk==1"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Я -- Алексей Тихонов, -- говорю я, глядя в горящий глаз механической головы. -- Старший инженер-навигатор 
                            "Ахилла", порядковый номер 223014. Где я нахожусь?^
                            Голос не отвечает.^
                            -- Где я нахожусь? -- повторяю я. -- Кто вы?^
                            -- На-на-на-на... -- внезапно начинает запинаться голос.^
                            Механическая голова судорожно трясётся на кронштейне.^
                            -- Что? -- удивляюсь я.^
                            -- Назовите ваш возраст, -- говорит голос.]]
                        }
                    ,["cell1._talk==2"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Кто вы? -- спрашиваю я. -- Что здесь происходит? Я -- сотрудник соединённых...^
                            -- Назовите ваш возраст, -- повторяет голос.^
                            -- Мне двадцать шесть, но...^
                            -- Сядьте на кровать, -- приказывает голос.]]
                        }
                    ,["cell1._talk==3 and not cell1._refuse1"] =
                        chain_ {
                          set_("cell1._refuse1"),
                          [[-- Почему я нахожусь в этой камере? Кто вы такие?^
                            -- Сядьте на кровать, -- говорит голос.^
                            -- Я отказываюсь что-либо делать, пока вы мне всё не объясните! -- говорю я.^
                            -- Сядьте на кровать, -- невозмутимо повторяет голос.]]
                        }
                    ,["cell1._talk==3 and cell1._refuse1"] = 
                        [[-- Вы не имеете права держать меня здесь! Кто вы такие!^
                          -- Сядьте на кровать, -- настаивает голос и внезапно добавляет: -- Пожалуйста.]]
                    ,["cell1._talk==4"] = 
                        [[-- Да что здесь происходит? -- выкрикиваю я. -- Вы издеваетесь надо мной?! Где Лида? Где остальные? Я...^
                          -- Встаньте с кровати, -- говорит голос. -- Пожалуйста.]]
                    ,["cell1._talk==5"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._ask"),
                                [[-- Что вы делаете? -- удивляюсь я. -- Что со мной произошло? Вы можете мне хоть что-нибудь сказать?^
                                  Ответ раздаётся лишь спустя несколько секунд:^
                                  -- Успокойтесь. Вы в безопасности, -- металлический голос выговаривает слова медленно, как если бы боялся
                                  сказать что-то лишнее. -- Вам ничего не угрожает. Просто выполняйте то, что вам говорят.^
                                  -- Но кто вы? Почему я здесь?^
                                  -- Вам ничего не угрожает, -- повторяет голос и внезапно срывается на звон, словно модулятор речи сводит
                                  от короткого замыкания, однако уже через секунду голос звучит снова, низким гортанным басом, и даже немного
                                  угрожающе. -- Делайте то, что вам говорят. Посмотрите на зелёное пятно на потолке.]]
                              }
                          ,["s._ask"] =
                              [[-- Что со мной произошло? Кто вы? -- кричу я.^
                                Но голова робота не отвечает.]]
                        }
                    ,["cell1._talk==6"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Проверка чего? -- спрашиваю я.^
                            -- Проверка... -- медленно повторяет голос и вдруг захлёбывается в неприятном болезненном звоне, от которого
                            начинают вибрировать стены. -- Тест на обычные реакции, -- продолжает голос через секунду. -- Просто
                            выполняйте то, что вам говорят.^
                            -- Но что... что я должен делать? Я уже посмотрел на это чёртово пятно!^
                            У меня над головой что-то отрывисто щёлкает:^
                            -- Посмотрите на зелёное пятно на полу.]]
                        }
                    ,["cell1._talk==7"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Кто вы? -- удивляюсь я. -- Вы человек? Здесь есть кто-то ещё?^
                            Но голос не отвечает.]]
                        }
                    ,["cell1._talk==8"] = 
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Я не собираюсь выполнять ваши приказы, пока вы мне всё не объясните! -- кричу я. -- И я больше не хочу 
                            разговаривать с этим... устройством. Кто вы такие?^
                            Голова робота несколько секунд пристально смотрит на меня своим пылающим глазом.^
                            -- В ваших же интересах сотрудничать! -- раздаётся командный голос у меня над головой. -- Выполняйте приказы,
                            и всё-всё-всё-всё... -- Голос вдруг начинает запинаться, а металлический череп как-то странно трясётся на
                            вытянутом кронштейне. -- Всё будет хорошо.]]
                        }
                    ,["cell1._talk==9"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Я больше не буду ничего делать! Я буду стоять здесь, не двигаясь, пока вы мне не скажете, кто вы, и что
                            здесь происходит! Я хочу знать, где находится Лида!^
                            -- Посмотрите...^
                            Раздаётся громкий надсадный треск, и красный светодиод на механической голове мигает.^
                            -- Посмотрите на зелёное пятно. Пожалуйста.^
                            -- Нет! -- выкрикиваю я в потолок.^
                            -- Посмотрите на зелёное пятно! -- нервно настаивает голос. -- Посмотрите на зелёное пятно! Пожалуйста!]]
                        }
                    ,["cell1._talk==10"] =
                        chain_ {
                          inc_("cell1._talk"),
                          [[-- Если я являюсь военнопленным, то я требую соблюдения Пражской конвенции! -- выкрикиваю я. -- И я требую
                            встречи с теми людьми, которые меня захватили!^
                            -- Вы не являетесь... -- начинает голос и тут же заходится в тяжёлом металлическом кашле. -- Если вы не будете
                            выполнять запрошенные действия, -- неожиданно чётко произносит голос, -- то вам будет отказано в приёме пищи.]]
                        }
                    ,["cell1._talk==11"] =
                        [[-- Выполняйте распоряжения! -- настаивает голова робота. -- Выполняйте распоряжения!]]
                  }
  ,Listen       = redirect_("Talk")
  ,cnd          = if_("cell1._eyes")
}:like(pBuild)

cell1_voice = item {
   nam          = _"голос"
  ,Talk         = choose_ {
                     ["default"] = 
                        [[От этого яркого внезапного света я как будто потерял дар речи -- я силюсь сказать что-то, но сам не слышу
                          своего голоса.^
                          Я должен успокоиться. Нужно просто немного подождать, пока глаза не привыкнут к этому свету.]]
                    ,["cell1._eyes"] = redirect_("Talk", "cell1_device")
                  }
  ,Listen       = redirect_("Talk")
  ,articles     = {
                    ["Talk"] = "с"
                  }
  ,cnd          = not_("cell1._eyes")
}:like(pPhenom)


------------------------------------------------------------------------------------------------------------------------------
--wakeup3
------------------------------------------------------------------------------------------------------------------------------
wakeup3start1 = pause {
   pic          = "redlight"
  ,enter        = music_("swoosh2")
  ,time         = 500
  ,next         = walk_("wakeup3start2")
}

wakeup3start2 = pause {
   time         = 3000
  ,next         = chain_ {
                    showinput,
                    walk_("wakeup3")
                  }
}

wakeup3 = scene {
   _nonoise     = false
  ,_stand       = false
  ,enter        = music_("droplet2",0)
  ,obj          = {
                     "wakeup3_start"
                    ,"wakeup3_device"
                    ,"cell_devicehandle"
                  }
  ,Stand        = choose_ {
                     ["default"] = [[Я не могу даже пошевелиться из-за этого чудовищного вопля. У меня сейчас пойдёт кровь из ушей.]]
                    ,["wakeup3._nonoise"] = 
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._stand"),
                                [[Я послушно поднимаюсь на ноги и смотрю на механическую голову.^
                                  -- Хорошо, -- говорит металлический голос. -- А теперь назовите себя.]]
                              }
                          ,["s._stand"] = "Я уже и так стою на ногах."
                        }
                  }
  ,Refresh      = redirect_("ExamSelf")
  ,ExamSelf     = [[Мне сейчас не до этого.]]
  ,Wait         = [[Чего мне ждать?]]
  ,Exit         = [[Отсюда нет выхода.]]
  ,Cry          = redirect_("Talk", "wakeup3_device")
}

wakeup3_start = rooms.event
  [[Я бросаю пластиковый куб прямо в торчащую из механической головы тонкую антенну и -- попадаю! Антенна сгибается, почти вылетев из пазов,
    а страшный металлический череп вдруг издает пронзительный высокочастотный звук, похожий на истошный вопль аварийной сирены. Зелёные пятна
    начинают метаться по комнате, точно обезумев, а раздирающий барабанные перепонки надрывный вой становится громче с каждой секундой. Я
    чувствую, что уже больше не в силах его выносить. Я падаю на колени и зажимаю уши руками, но это не помогает.^
    -- Прекратите! -- кричу я, но сам уже не слышу свой голос. -- Хватит! Я понял! Достаточно!^
    Однако ничего не происходит. Я продолжаю кричать...]]

wakeup3_device = from_("cell_robot") {
   nam          = "робот"
  ,Talk         = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("wakeup3._nonoise"),
                          mute_(3000,0),
                          [[-- Не надо! Я прошу вас! Я буду делать всё, что вы говорите! Я буду делать всё!^
                            Безумный вопль сирены внезапно прекращается, зелёные пятна застывают в центре комнаты и -- гаснут. Я поднимаю голову.
                            Металлический череп со свёрнутой антенной бесстрастно смотрит на меня горящим глазом.^
                            -- Встаньте! -- командует голос.]]
                        }
                    ,["wakeup3._nonoise and wakeup3._sit"] = 
                        [[-- Почему вы не хотите мне ничего объяснить? Кто вы такие?^
                          -- Вы сказали, что будете выполнять то, что вам говорят, -- раздаётся мне в ответ. -- Выполняйте то, что вам говорят.]]
                    ,["wakeup3._nonoise and not wakeup3._sit"] = 
                        chain_ {
                          light_(false),
                          walk_("wakeup3end")
                        }
                  }
  ,Approach     = [[Нет, я не хочу к нему приближаться.]]
  ,Walk         = redirect_("Approach")
}

wakeup3end = pause {
   pic          = "redlight"
  ,enter        = music_("powerdown")
  ,time         = 1500
  ,next         = walk_("wakeup3trans")
}

wakeup3trans = pause {
   time         = 5000
  ,fading       = 60
  ,next         = chain_ {
                    music_("morning",2),
                    walk_("dream1start")
                  }
}
