------------------------------------------------------------------------------------------------------------------------------
--cell4
------------------------------------------------------------------------------------------------------------------------------
cell4start = pause {
   enter        = chain_ {
                    mute_(0,0),
                    light_(true),
                    music_("bam")
                  }
  ,time         = 4000
  ,next         = walk_("cell4start2")
}

cell4start2 = pause {
   enter        = music_("macros", 3)
  ,time         = 3000
  ,next         = walk_("cell4")
}

cell4 = scene {
   _stand       = false
  ,checkpoint   = true
  ,obj          = {
                     "cell4_start"
                    ,"cell4_itself"
                    ,"cell4_door"
                    ,"cell4_bed"
                    ,"cell4_device"
                    ,"cell4_shelf"
                    ,"cell4_shaft"
                    ,"cell4_walls"
                    ,"cell_devicehandle"
                    ,"cell4_floor"
                    ,"cell_toilet"
                    ,"cell_ceil"
                    ,"food1"
                  }
  ,Wait         = [[И чего мне ждать? Я даже не знаю точно, сколько времени уже нахожусь в этой камере. Здесь нет ни дня, ни ночи -- лишь темнота
                    или слепящий свет.]]
  ,Exit         = [[Выхода отсюда нет.]]
  ,TurnAround   = choose_ {
                     ["default"] = [[Я в комнате один.]]
                    ,["cell4_shaft._try"] = [[Кажется, голова робота обесточена и не работает. Гудение мне послышалось? Или всё-таки нет?]]
                  }
  ,Stand        = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._stand"),
                          [[Я так ослаб, что мне сложно даже просто стоять посреди комнаты, ни на что не опираясь. Я чувствую неприятную
                            болезненную слабость в ногах. Ещё немного -- и силы окончательно оставят меня. Быть может, именно этого и добиваются
                            мои тюремщики? Быть может, им просто нравится наблюдать за тем, как я медленно теряю силы и рассудок?]]
                        }
                    ,["s._stand"] = [[Я уже и так стою на ногах.]]
                  }
}

cell4_start = rooms.event
  [[Я сижу, прислонившись спиной к кровати.^
    Я смог ненадолго заснуть, но уже не помню, видел ли я сны.^
    Кажется, мне снилась темнота.^]]

cell4_itself = rooms.dsc
  [[Комнату по-прежнему заливает свет. Голова робота как-то странно поникла над дверью, точно металлические суставы её
    кронштейна свело от электрической судороги, и теперь это страшное уродливое устройство не в силах даже сдвинуться с места.]]

cell4_floor = from_("cell_floor") {
   nam          = _"пол"
  ,Stand        = redirect_("Stand", "cell4")
}

cell4_walls = from_("cell_walls") {
   _stand       = false
  ,nam          = name_ {
                     ["default"] = _"стены"
                    ,["TearOff"] = _"стена"
                    ,["TakeOff"] = _"стена"
                    ,["Throw"] = _"стена"
                    ,["Approach"] = _"стена"
                    ,["Walk"] = _"стена"
                  }
  ,Approach     = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._stand"),
                          [[Я подхожу к стене и встаю, устало опираясь о неё руками. На секунду я теряю чувство равновесия, и мне кажется, что
                            комната начинает переворачиваться в пространстве, что верх становится низом, как будто я нахожусь на космической
                            станции, где только что изменился гравитационный вектор. Но это наваждение быстро проходит.]]
                        }
                    ,["s._stand"] = [[Я подхожу к стене и встаю, устало опираясь о неё руками.]]
                  }
}

cell4_shaft = from_("cell_shaft") {
   _try         = false
  ,nam          = _"вентиляционная решётка"
  ,Open         = use_ {
                     ["default"] = [[Вряд ли у меня так что-нибудь получится.]]
                    ,["antenna"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._try"),
                                [[Я забираюсь на кровать и пытаюсь подтолкнуть обломок антенны под нижний край вентиляционной решётки.
                                  Я едва дотягиваюсь до решётки, даже встав на цыпочки. К тому же решётка примыкает к стене так плотно,
                                  что я никак не могу просунуть под неё антенну.^
                                  Вдруг я слышу за спиной ровное механическое гудение. Я оборачиваюсь, но голова робота всё также
                                  неподвижно висит над комнатой.]]
                              }
                          ,["s._try"] =
                              [[Мне кажется, что за мной всё-таки следят. Ещё один эксперимент? А если я вылью суспензию на эту
                                уродливую металлическую голову, и её замкнёт? Как им понравится такой результат?]]
                        }
                  }
}

cell4_bed = from_("cell_bed") {
   _move        = 0
  ,nam          = _"кровать"
  ,dsc          = choose_ {
                     ["food1._bed and antenna._bed"] =
                        [[^На кровати лежит антенна, которую я выломал из механической головы, и пакет с энергетической суспензией.]]
                    ,["food1._bed and not antenna._bed"] = "^На кровати лежит пакет с энергетической суспензией."
                    ,["not food1._bed and antenna._bed"] = "^На кровати лежит антенна, которую я выломал из механической головы."
                  }
  ,Sit          = [[Я сажусь на кровать, почувствовав слабость в ногах. Но нет, сейчас не время отдыхать. Я должен сделать что-то.]]
  ,Lie          = [[Я снова ложусь на кровать, однако свет, падающий с потолка, начинает бить мне в глаза, да и спать мне уже не хочется.]]
  ,Move         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._move"),
                          [[Я упираюсь руками в спинку кровати и наваливаюсь на неё всем своим весом, однако не могу сдвинуть кровать даже на
                            сантиметр. Я осматриваю ножки кровати, но не замечаю ни болтов, ни полосок сварки, однако какая-то непонятная сила намертво
                            прижала эту кровать к полу.]]
                        }
                    ,["s._move==1"] =
                        chain_ {
                          inc_("s._move"),
                          [[Я толкаю кровать, дергаю её за спинку, даже пытаюсь приподнять, однако всё это не приводит к каким-либо результатам.
                            Кровать по-прежнему стоит на своём месте.]]
                        }
                    ,["s._move==2"] =
                        chain_ {
                          inc_("s._move"),
                          [[Я ложусь на пол и, упираясь ногами в изголовье кровати, давлю изо всех сил, но даже это не помогает. Кровать так и не
                            сдвинулась с места.]]
                        }
                    ,["s._move>2"] = 
                        [[Мне кажется, нет смысла пытаться сдвинуть эту кровать. Она намертво припаяна к полу. Я лишь потрачу все свои силы.]]
                  }
  ,Stand        = [[Я не лежу на кровати.]]
}

cell4_door = from_("cell_door") {
   nam          = _"дверь"
  ,dsc          = choose_ {
                     ["default"] =
                        [[^Осмотревшись, я замечаю, что из металлической двери моей камеры выдвинут плоский лоток, на котором лежит
                          квадратный белый пакет, похожий на упаковку энергической суспензии из дежурного пайка на "Ахилле".]]
                    ,["food1._took"] = 
                        choose_ {
                           ["default"] = "^Из металлической двери моей камеры выдвинут плоский лоток."
                          ,["food1._shelf and antenna._shelf"] =
                              [[^Из металлической двери моей камеры выдвинут плоский лоток. На лотке лежат пакет с суспензией и антенна,
                                которую я выломал из механической головы.]]
                          ,["food1._shelf and not antenna._shelf"] =
                              [[^Из металлической двери моей камеры выдвинут плоский лоток, на котором лежит пакет с суспензией.]]
                          ,["not food1._shelf and antenna._shelf"] =
                              [[^Из металлической двери моей камеры выдвинут плоский лоток, на котором лежит обломок антенны.]]
                        }
                  }
  ,Exam         = [[Из центра двери выдвинут плоский лоток, однако я не вижу в самой двери никаких отверстий. Видимо, есть специальный лючок,
                    который сейчас закрыт.]]
}

cell4_device = from_("cell_robot") {
   nam          = _"робот"
  ,Exam         = choose_ {
                     ["default"] =
                        [[Красный глаз на голове робота больше не горит, а тоненькая антенна, которую я сбил пластиковым кубом, по-прежнему торчит, вывернутая
                          набок, как сломанная конечность. Интересно, мой механический надсмотрщик действительно обесточен? Означает ли это, что сейчас за мной
                          никто не наблюдает, или же мои тюремщики просто хотят, чтобы я так думал?]]
                    ,["antenna._took"] =
                        [[Красный глаз на голове робота не горит, и сама голова беспомощно свисает с кронштейна. Действительно ли она отключена? Следят ли за мной?]]
                  }
  ,Approach     = [[Я подхожу к голове робота и внимательно осматриваю её. Устройство кажется сломанным, хотя я не сомневаюсь, что оно в
                    любой момент может зажечь свой пугающий красный глаз и взлететь к потолку на кронштейне.]]
  ,Move         = [[Хотя это устройство сейчас и не работает, мне бы совсем не хотелось его трогать. Сомневаюсь, что за мной на самом деле никто
                    не наблюдает.]]
  ,Ascend       = [[Голова робота висит слишком высоко и забраться на неё будет непросто.]]
  ,Listen       = [[Кажется, робот сейчас обесточен.]]
  ,Talk         = [[-- Есть здесь кто? -- кричу я, глядя на голову робота.^
                    Но мне никто не отвечает.]]
  ,Take         = [[Не думаю, что у меня получится сорвать эту механическую башку с кронштейна, хотя... Я же ничего не теряю. А если встать на этот выдвинутый из
                    двери лоток...]]
  ,Wreck        = redirect_("Take")
}

food1 = item {
   _took        = false
  ,_empty       = false
  ,_open        = false
  ,_try         = 0
  ,_bed         = false
  ,_shelf       = false
  ,nam          = name_ {
                     ["default"] = _"пакет"
                    ,["Pure"] = _"суспензия"
                    ,["Drink"] = _"суспензия"
                  }
  ,Take         = takeit_ {
                    choose_ {
                       ["default"] =
                          chain_ {
                            set_("s._took"),
                            [[Я беру с лотка белый пакет. Да, похоже, что это действительно упаковка энергической суспензии.]]
                          }
                      ,["s._took"] =
                          chain_ {
                            unset_("s._bed"),
                            unset_("s._shelf"),
                            [[Я беру пакет с энергетической суспензией.]]
                          }
                    }
                  }
  ,Move         = choose_ {
                     ["default"] = [[Не очень понятно, чего я смогу добиться, передвигая этот пакет.]]
                    ,["have(food1)"] =
                        choose_ {
                           ["default"] = [[Я перекладываю пакет из одной руки в другую -- пакет довольно тяжёлый и, судя по всему, заполнен до краёв.]]
                          ,["s._empty"] = [[Я перекладываю пакет из одной руки в другую.]]
                        }
                  }
  ,Exam         = choose_ {
                     ["default"] =
                        [[На пакете нет никаких надписей или обозначений, хотя сейчас меня это мало волнует. Сомневаюсь, что они хотят меня отравить,
                          но даже если и так, то лучше уж умереть, чем терпеть эти бессмысленные издевательские опыты.]]
                    ,["s._empty"] = "В пакете ещё осталось немного энергетической суспензии."
                  }
  ,Read         = [[На пакете нет никаких надписей и логотипов. Я внимательно осматриваю его со всех сторон и ничего не нахожу. Отсутствуют даже стандартный
                    штрихкод и дата изготовления.]]
  ,Throw        = use_ {
                     ["default"] = "Не думаю, что мне стоит выбрасывать этот пакет."
                    ,["cell_toilet"] = "Я не собираюсь выбрасывать пакет с энергической суспензией в унитаз."
                    ,["cell4_shelf"] =
                        chain_ {
                          dropself,
                          putself_("cell4"),
                          set_("s._shelf"),
                          "Я кладу пакет на лоток."
                        }
                    ,["cell4_bed"] =
                        chain_ {
                          dropself,
                          putself_("cell4"),
                          set_("s._bed"),
                          "Я бросаю пакет на кровать."
                        }
                    ,["cell4onshelf_itself"] = "Лучше сначала спуститься."
                    ,["cell4final_itself"] = "Не время сейчас заниматься этим."
                  }
  ,Open         = use_ {
                     ["default"] =
                        choose_ {
                           ["not s._open and s._try==0"] =
                              chain_ {
                                inc_("s._try"),
                                [[Я пытаюсь оторвать край пакета пальцами, но плотная упаковка лишь тянется, как резина, и открыть пакет
                                  никак не получается. Мои тюремщики решили поиздеваться надо мной? Это очередной тест вроде "посмотри на зелёное
                                  пятно"?]]
                              }
                          ,["not s._open and s._try==1"] =
                              chain_ {
                                inc_("s._try"),
                                [[Я хватаюсь за край пакета зубами и тяну изо всех, но ничего не получается. Такое впечатление, что его вообще
                                  невозможно открыть.]]
                              }
                          ,["not s._open and s._try==2"] =
                              choose_ {
                                 ["default"] =
                                    [[Думаю, так просто открыть этот пакет не получится, но, возможно, я смогу найти здесь что-нибудь, что мне
                                      поможет.]]
                                ,["antenna._took"] =
                                    [[Думаю, так просто открыть этот пакет не получится, но, возможно, я смогу открыть его с помощью антенны,
                                      которую выломал из головы робота? Она кажется довольно острой.]]
                              }
                          ,["s._open"] = "Пакет уже и так открыт."
                        }
                    ,["antenna"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._open"),
                                [[Я протыкаю верхушку пакета острым концом антенны и расширяю отверстие пальцами. Пакет, наконец-то, открыт.]]
                              }
                          ,["s._open"] = "Пакет уже открыт, больше ничего делать не нужно."
                        }
                  }
  ,Close        = choose_ {
                     ["default"] = [[Зачем это делать?]]
                    ,["not s._open"] = [[Пакет и так запечатан и, честно говоря, я предпочёл бы его открыть. Пить всё же хочется.]]
                  }
  ,Put          = redirect_("Throw")
  ,PutAway      = redirect_("Throw")
  ,Drink        = choose_ {
                     ["default"] = "Сначала бы неплохо открыть пакет."
                    ,["s._open"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._empty"),
                                [[Я жадно глотаю энергетическую суспензию. По вкусу она напоминает разведённую в воде известку -- никаких ароматических
                                  добавок, ничего, -- однако сейчас это меня мало волнует. Я уверен, что не пил целую неделю, и даже эта тёплая 
                                  комковатая жижа кажется мне нектаром. Я с трудом заставляю себя остановиться и оставить немного суспензии на дне
                                  пакета.]]
                              }
                          ,["s._empty"] = 
                              [[В пакете ещё осталось немного жидкости, но стоит поберечь её. Я невольно перевожу взгляд на голову робота, которая
                                по-прежнему бездвижно висит над дверью.]]
                        }
                  }
  ,Tear         = redirect_("Open")
  ,Attack       = [[Вряд ли это поможет.]]
  ,Pure         = use_ {
                     ["default"] =
                        choose_ {
                           ["default"] = "Пакет пока что запечатан."
                          ,["s._open"] = "Не стоит выливать суспензию."
                        }
                    ,["cell_toilet"] =
                        choose_ {
                           ["s._empty"] = "Не для того я оставлял последний глоток суспензии, чтобы выливать её в унитаз."
                          ,["s._open and not s._empty"] = 
                              [[Я подхожу к унитазу и какое-то время думаю о том, чтобы и вправду избавиться от суспензии. Пусть уж лучше я умру голодной
                                смертью, чем стану обезьянкой для чьих-то безумных опытов. Однако я никак не решаюсь. Я так ослаб, что едва могу
                                трезво думать. Последний раз я ел так давно, что даже не помню об этом. Я смотрю на пакет у себя в руках. Умереть
                                я всегда успею. Лучше всё-таки попробовать во всём разобраться.]]
                          ,["default"] = [[Пакет в любом случае надо сначала открыть.]]
                        }
                    ,["cell4_device"] =
                        choose_ {
                           ["s._open and not s._empty"] =
                              [[Залить эту голову робота суспензией так, чтобы её замкнуло, наверное, и правда неплохая идея. Но для начала я бы
                                выпил немного сам. Хотя бы несколько глотков. Ещё немного -- и я потеряю сознание от слабости.]]
                          ,["s._empty"] = 
                              [[Боюсь, отсюда я никак не смогу дотянуться до головы роботы. Жаль, здесь нет стула, на который я мог быть подняться.
                                Но, возможно, я найду какой-нибудь другой способ добраться до этого устройства?]]
                          ,["default"] = [[Я пока что так и не смог открыть пакет.]]
                        }
                    ,["cell4onshelf_device"] =
                        choose_ {
                           ["s._open and s._empty"] = 
                              chain_ {
                                dropself,
                                walkfast_("cell4final")
                              }
                          ,["s._open and not s._empty"] =
                              [[Залить эту голову робота суспензией так, чтобы её замкнуло, наверное, и правда неплохая идея. Но для начала я бы
                                выпил немного сам. Хотя бы несколько глотков. Ещё немного -- и я потеряю сознание от слабости.]]
                          ,["default"] = [[Пакет неплохо бы для начала открыть.]]
                        }
                  }
}:like(pItem)

cell4_shelf = item {
   nam          = _"лоток"
  ,Exam         = [[Плоский металлический лоток, на вид довольно крепкий. Видимо, в двери есть люк, через который сюда положили пакет.]]
  ,Approach     = [[Я подхожу к двери и с силой давлю руками на металлический лоток, однако тот даже не думает прогибаться. Кажется, он без труда
                    выдержит мой вес.]]
  ,Wreck        = redirect_("Approach")
  ,Move         = redirect_("Approach")
  ,Attack       = redirect_("Approach")
  ,Sit          = [[Вряд ли мне стоит использовать этот лоток вместо стула, хотя... Я мог бы попробовать залезть на него.]]
  ,Lie          = [[Лечь на таком узеньком лотке у меня точно не получится.]]
  ,Ascend       = walkfast_("cell4onshelf")
  ,Stand        = redirect_("Ascend")
  ,withPut      = true
  ,withPutAway  = true
  ,articles     = {
                     ["Stand"] = "на"
                    ,["Lie"] = "на"
                    ,["Put"] = "на"
                    ,["Throw"] = "на"
                    ,["PutAway"] = "на"
                    ,["Sit"] = "на"
                    ,["Descend"] = "с"
                  }
}:like(pBuild)


------------------------------------------------------------------------------------------------------------------------------
--cell4onshelf
------------------------------------------------------------------------------------------------------------------------------
cell4onshelf = scene {
   obj          = {
                     "cell4onshelf_itself"
                    ,"cell4onshelf_device"
                    ,"cell_ceil"
                    ,"cell_devicehandle"
                    ,"antenna"
                  }
  ,Refresh      = redirect_("Exam", "cell4onshelf_itself")
  ,Wait         = [[Ждать чего-то, стоя на этом лотке, не слишком удобно.]]
  ,Descend      = chain_ {
                    [[Я слезаю с металлического лотка.]],
                    walkout_("cell4")
                  }
  ,Exit         = redirect_("Descend")
}

cell4onshelf_itself = item {
   nam          = _"лоток"
  ,dsc          = choose_ {
                     ["default"] = 
                        [[Уперевшись в лоток руками, я подтягиваюсь, с трудом закидываю на лоток колено, затем поднимаю вторую ногу. Наконец, у меня
                          получается встать. Я чувствую странное головокружение. Кажется, у меня повреждён вестибулярный аппарат -- мне стоит
                          немалых усилий просто ровно стоять на этом узком лотке, чувствуя себя так, словно я поднялся на сотню метров над полом.^
                          Я упираюсь головой в кронштейн, на котором висит спящий робот.]]
                    ,["cell4onshelf._seen"] = [[Я залезаю на лоток. Голова моя упирается в кронштейн, на котором висит спящий робот.]]
                  }
                  
  ,Exam         = "Удивительно, что этот тоненький лист металла с лёгкостью выдерживает мой вес."
  ,Move         = "Сомневаюсь, что я смогу его сдвинуть, когда стою на нём."
  ,Ascend       = "Я уже стою на лотке."
  ,Wreck        = [[Это плохая идея.]]
  ,Attack       = redirect_("Wreck")
  ,Lie          = redirect_("Lie", "cell4_shelf")
  ,Sit          = [[Если я сяду на лоток, то уже не смогу дотянуться до головы робота.]]
  ,Descend      = redirect_("Descend", "cell4onshelf")
  ,Stand        = [[Я и так стою на лотке.]]
  ,withPut      = true
  ,withPutAway  = true
  ,articles     = {
                     ["Stand"] = "на"
                    ,["Lie"] = "на"
                    ,["Put"] = "на"
                    ,["Throw"] = "на"
                    ,["PutAway"] = "на"
                    ,["Sit"] = "на"
                    ,["Descend"] = "с"
                  }
}:like(pBuild)

cell4onshelf_device = from_("cell_robot") {
   nam          = "робот"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Теперь я могу дотянуться до тоненькой телескопической антенны, в которую так точно попал пластиковым кубом. Быть может, у
                          меня даже получится её выломать?]]
                    ,["antenna._took"] = 
                        [[На том месте, где раньше торчала свернутая набок антенна, теперь красуется аккуратная чёрная дыра.]]
                  }
  ,Approach     = [[Подняться ещё ближе к голове робота я не смогу, да это и не нужно.]]
  ,Wreck        = [[Я почти повисаю на голове робота, пытаясь сорвать её с кронштейна, однако это кошмарное устройство лишь едва заметно покачивается
                    под моим весом. Сомневаюсь, что таким образом я смогу нанести ему хоть малейший вред.]]
  ,Move         = redirect_("Wreck")
  ,Take         = redirect_("Wreck")
  ,TearOff      = redirect_("Wreck")
  ,TakeOff      = redirect_("Wreck")
  ,Attack       = use_ {
                     ["default"] = redirect_("Wreck")
                    ,["antenna"] = 
                        [[Я с хрустом вонзаю антенну в чёрную дыру на механической голове, однако, похоже, это не даёт никакого результата. К тому же
                          антенна сильно сгибается и начинает трещать -- боюсь, если я буду упорствовать, то попросту её сломаю.]]
                  }
  ,Ascend       = [[Не думаю, что у меня получится залезть на эту механическую голову. Да и, по правде сказать, даже сейчас я чувствую болезненное
                    обморочное головокружение. Не думаю, что мне стоит забираться ещё выше.]]
  ,Sit          = [[Сомневаюсь, что это возможно.]]
  ,Lie          = redirect_("Sit")
  ,articles     = {
                     ["Lie"] = "на"
                    ,["Sit"] = "на"
                  }
  ,withPure     = true
}

antenna = item {
   _took        = false
  ,_bed         = false
  ,_shelf       = false
  ,nam          = _"антенна"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Антенна на голове робота переломилась прямо у основания и загнута, как вывихнутый сустав. Мне кажется, я без проблем
                          смогу её выломать.]]
                    ,["s._took"] = 
                        [[Сломанная телескопическая антенна, довольно острая с одного конца. Вполне может пригодиться -- например, как оружие.]]
                  }
  ,Take         = choose_ {
                     ["default"] = "Антенна всё ещё крепко держится на этой железной голове, но, думаю, я смогу её выломать."
                    ,["s._took"] =
                        chain_ {
                          unset_("s._bed"),
                          unset_("s._shelf"),
                          takeself,
                          [[Я поднимаю телескопическую антенну.]]
                        }
                  }
  ,Wreck        = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._took"),
                          takeself,
                          [[Выломать эту антенну оказывается не так просто, как мне вначале показалось. Я раскачиваю её из стороны в сторону, однако
                            это не помогает. Тогда я тяну её изо всех сил в надежде, что сочленения не выдержат, и антенна с хрустом
                            вылетит из железной головы вместе с тонкими корнями из проводков, однако пальцы мои постоянно соскальзывают, и мне 
                            приходится сжимать антенну так сильно, что у меня белеют ногти.^
                            Я мучаюсь с антенной несколько минут, руки мои начинают болеть от усталости, и я уже почти готов сдаться, когда, наконец,
                            слышу резкий сухой хруст, похожий на треск сухожилия, и маленькая антенна вываливается из своего гнезда.^
                            Я чуть не падаю и крепко хватаюсь рукой за металлическую голову, однако эта маленькая бессмысленная победа переполняет меня
                            какой-то безумной радостью. На голове робота -- там, где секунду назад была свернутая набок антенна -- теперь красуется
                            маленькая чёрная дыра.]]
                        }
                    ,["s._took"] =
                        choose_ {
                           ["default"] = "Я уже выломал антенну."
                          ,["s._bed"] = 
                              [[Я уже выломал антенну, теперь она просто лежит на моей кровати. Достаточно лишь протянуть руку, чтобы взять её.]]
                        }
                  }
  ,Insert       = use_ {
                     ["default"] = redirect_("Throw")
                    ,["cell4onshelf_device"] = [[Не для того я выламывал эту антенну, чтобы сейчас вставлять её обратно.]]
                    ,["cell4_device"] = [[Не для того я выламывал эту антенну, чтобы сейчас вставлять её обратно.]]
                  }
  ,Throw        = use_ {
                     ["default"] = "Я не собираюсь выбрасывать антенну, которую добыл с таким трудом."
                    ,["cell4_bed"] =
                        chain_ {
                          dropself,
                          putself_("cell4"),
                          set_("s._bed"),
                          [[Я бросаю антенну на кровать.]]
                        }
                    ,["cell4_shelf"] =
                        chain_ {
                          dropself,
                          putself_("cell4"),
                          set_("s._shelf"),
                          "Я кладу антенну на лоток."
                        }
                    ,["cell4onshelf_itself"] = "Лучше сначала спуститься."
                    ,["cell4final_itself"] = "Не время сейчас заниматься этим."
                    ,["cell4onshelf_device"] = redirect_("Insert")
                    ,["cell4_device"] = redirect_("Insert")
                  }
  ,Put          = redirect_("Throw")
  ,Move         = choose_ {
                     ["default"] = 
                        [[Я ворочаю антенну из стороны в стороны, как будто настраиваю частоту на архаичном радио, однако это не приводит ни к
                          какому эффекту.]]
                    ,["s._took"] = [[Я перекладываю антенну из одной руки в другую.]]
                  }
  ,withKick     = true
  ,withOpen     = true
  ,withTear     = true
  ,withWreck    = true
}:like(pItem)


------------------------------------------------------------------------------------------------------------------------------
--cell4final
------------------------------------------------------------------------------------------------------------------------------
cell4final = scene {
   obj          = {
                     "cell4final_start"
                    ,"cell4final_itself"
                    ,"cell4final_device"
                    ,"cell_ceil"
                  }
  ,Refresh      = [[Голова робота всё так же застыла в странном поклоне над комнатой, однако её электрический глаз часто мигает, а из массивного
                    металлического корпуса доносится отрывистое потрескивание. Кажется, в любую секунду из робота может повалить сноп искр.]]
  ,Wait         = [[Чего мне ждать? Лучше поскорее спуститься вниз. Вдруг эта штука сейчас рванёт?]]
  ,Descend      = walkfast2_("cell4end0")
  ,Exit         = redirect_("Descend")
}

cell4final_start = rooms.event
  [[Я выливаю остатки суспензии прямо в чёрное гнездо, из которого торчала антенна. В первую секунду ничего не происходит, но потом я слышу лёгкие
    щелчки и сухое электрическое потрескивание, а красный глаз на голове робота начинает часто мигать. Моя диверсия удалась! Надо бы поскорее
    спуститься отсюда. Кто знает, что произойдёт с этим устройством?]]

cell4final_itself = item {
   nam          = _"лоток"
  ,Exam         = redirect_("Exam", "cell4onshelf_itself")
  ,Move         = "Не время сейчас заниматься этим."
  ,Lie          = redirect_("Move")
  ,Sit          = redirect_("Move")
  ,Ascend       = "Я уже стою на лотке."
  ,Descend      = redirect_("Descend", "cell4final")
  ,Stand        = [[Я и так стою на лотке, а надо бы спуститься.]]
  ,Wreck        = redirect_("Move")
  ,Attack       = redirect_("Move")
  ,withPut      = true
  ,withPutAway  = true
  ,articles     = {
                     ["Stand"] = "на"
                    ,["Lie"] = "на"
                    ,["Put"] = "на"
                    ,["Throw"] = "на"
                    ,["PutAway"] = "на"
                    ,["Sit"] = "на"
                    ,["Descend"] = "с"
                  }
}:like(pBuild)

cell4final_device = from_("cell_robot") {
   nam          = "робот"
  ,Exam         = redirect_("Refresh", "cell4final")
  ,Approach     = [[Подняться ещё ближе к голове робота я не смогу, да это и не нужно.]]
  ,Wreck        = [[Думаю, я и так причинил этой механической голове достаточный вред.]]
  ,Move         = redirect_("Wreck")
  ,TearOff      = redirect_("Wreck")
  ,TakeOff      = redirect_("Wreck")
  ,Take         = redirect_("Wreck")
  ,Attack       = redirect_("Wreck")
  ,Ascend       = [[Лучше спуститься на пол и отойти от этой железной головы подальше.]]
  ,Sit          = redirect_("Ascend")
  ,Lie          = redirect_("Ascend")
}


------------------------------------------------------------------------------------------------------------------------------
--cell4final2
------------------------------------------------------------------------------------------------------------------------------

cell4end0 = pause {
   time         = 1
  ,next         = chain_ {
                    music_("percussion"),
                    walk_("cell4end1")
                  }
}

cell4end1 = pause {
   pic          = "redlight"
  ,time         = 1
  ,next         = chain_ {
                    showinput,
                    walk_("cell4end2")
                  }
}

cell4end2 = pause {
   time         = 1
  ,next         = walk_("cell4final2")
}

cell4final2 = scene {
   _once        = false
  ,enter        = chain_ {
                    light_(true),
                    timer_(4000)
                  }
  ,obj          = {
                     "cell4final2_itself"
                    ,"cell4final2_figure"
                    ,"cell_devicehandle"
                  }
  ,Refresh      = [[Я почти ничего не могу разглядеть из-за этого яркого света.]]
  ,Wait         = [[Нет! Нельзя медлить ни секунды!]]
  ,timer        = choose_ {
                     ["default"] =
                        chain_ {
                          music_("droplet2"),
                          set_("s._once")
                        }
                    ,["s._once"] =
                        chain_ {
                          mute_(6000,0),
                          timerstop
                        }
                  }
}

cell4final2_itself = rooms.event 
  [[Внезапно раздается надсадный вопль сирены. Я вздрагиваю и начинаю пятиться к стене, подальше от головы робота, красный глаз
    которой по-прежнему истерически мигает. Я не сразу замечаю, как распахивается металлическая дверь, и на пороге моей камеры появляется чья-то
    фигура. Сирена замолкает, захлебнувшись в крике, однако свет в комнате становится ещё ярче, и я почти ничего не вижу. Я рефлекторно сжимаю
    в руке острый обломок антенны.]]

cell4final2_figure = item {
   nam          = _"фигура|пришелец"
  ,Exam         = redirect_("Refresh", "cell4final2")
  ,Approach     = [[Нет, не время для приветствий. Возможно, эта единственная возможность. Я не должен упускать её.]]
  ,Talk         = redirect_("Approach")
  ,Attack       = chain_ {
                    music_("heartbeat"),
                    walkfast2_("cell5start")
                  }
}:like(pHuman)
