---------------------------------------------------------------------------------------------------
--cell6wakeup1
---------------------------------------------------------------------------------------------------
Verb { "AscendHands %2", "~приподняться|~подняться", verb_with_obj_("пр") }

cell6start = pause {
   time         = 1000
  ,next         = chain_ {
                    music_("heartbeat"),
                    walkfast2_("cell6wakeup1")
                  }
}

cell6wakeup1 = scene {
   checkpoint   = true
  ,obj          = {
                     "cell6wakeup1_start"
                    ,"cell6wakeup1_eyes"
                    ,"cell6wakeup1_hands"
                  }
  ,Refresh      = [[У меня закрыты глаза.]]
  ,ExamSelf     = redirect_("Refresh")
  ,Wait         = walkfast2_("cell6wakeup2start")
}

cell6wakeup1_start = rooms.event
  [[Я не сразу понимаю, что проснулся. В первые мгновения даже собственное тело кажется мне незнакомым
    и чужим, как будто навязчивый кошмар, преследовавший меня всю ночь, окончательно лишил меня рассудка.
    Я пытаюсь избавиться от этого странного гнетущего морока, открыть глаза, приподняться на руках,
    однако тело не слушается меня, и лишь бешеный сердечный ритм отдаётся тяжёлыми ударами у меня в висках.^
    Я начинаю задыхаться от страха, что-то сдавливает мне грудную клетку -- ещё немного, и я потеряю сознание.]]

cell6wakeup1_eyes = item {
   nam          = _"глаза"
  ,Open         = [[Я не могу, у меня даже не получается приподнять веки!^
                    Нужно просто подождать. Это пройдёт.]]
}:like(pEyes)

cell6wakeup1_hands = item {
   nam          = _"руках"
  ,AscendHands  = [[Я пытаюсь приподняться на руках, но у меня ничего не получается. Тело не слушается меня!
                    Надо подождать, пока восстановятся силы.]]
  ,articles     = {
                    ["AscendHands"] = "на"
                  }
}


---------------------------------------------------------------------------------------------------
--cell6wakeup2
---------------------------------------------------------------------------------------------------
Verb { "MoveHand %2", "~двигать|~подвигать", verb_with_obj_inv_("тв") }

cell6wakeup2start = pause {
   time         = 1000
  ,next         = chain_ {
                    music_("heartbeat"),
                    walkfast2_("cell6wakeup2")
                  }
}

cell6wakeup2 = scene {
   obj          = {
                     "cell6wakeup2_start"
                    ,"cell6wakeup2_hand"
                    ,"cell6wakeup2_eyes"
                  }
  ,Refresh      = redirect_("Exam", "cell6wakeup2_hand")
  ,Wait         = [[Нет. Мне кажется, если я буду лежать здесь без движения, то со мной произойдёт
                    нечто ужасное. Я должен попытаться сделать что-то, я должен вернуть себе контроль над
                    собственным телом...]]
  ,ExamSelf     = redirect_("Exam", "cell6wakeup2_hand")
}

cell6wakeup2_start = rooms.event
  [[Прошла секунда.^
    Или час.^
    Я не знаю.^
    Со мной что-то происходит. Кажется, моя правая рука чудовищно увеличилась в размерах, распухла от страшной
    неведомой болезни, и всё моё тело превратилось лишь в странный атрофированный придаток этой невозможной руки...^
    Нет, я должен сделать что-то. Я уверен, что это наваждение закончится в тот же миг, когда я верну себе
    контроль над правой рукой.]]

cell6wakeup2_eyes = item {
   nam          = _"глаза"
  ,Open         = [[Нет, я ещё не готов увидеть то, что произошло со мной!]]
}:like(pEyes)

cell6wakeup2_hand = item {
   nam          = _"рука"
  ,Exam         = [[Я всё ещё не могу открыть глаза.]]
  ,MoveHand     = chain_ {
                    walk_("cell6wakeup3start"),
                    ""
                  }
  ,Stir         = redirect_("MoveHand")
  ,Take         = redirect_("MoveHand")
}:like(pPhenom)


---------------------------------------------------------------------------------------------------
--cell6wakeup3
---------------------------------------------------------------------------------------------------
cell6wakeup3start = pause {
   time         = 1000
  ,next         = chain_ {
                    music_("heartbeat"),
                    walkfast2_("cell6wakeup3")
                  }
}

cell6wakeup3 = scene {
   obj          = {
                     "cell6wakeup3_start"
                    ,"cell6wakeup3_eyes"
                    ,"cell6wakeup3_whisper"
                  }
  ,Refresh      = walkfast2_("cell6mainstart")
  ,ExamSelf     = redirect_("Refresh")
}

cell6wakeup3_start = rooms.event
  [[Постепенно мне становится лучше. Странный припадок проходит. Сердцебиение немного стихает, но я всё
    ещё чувствую, как сердце бешено молотит у меня в груди.^
    Я лежу на постели с закрытыми глазами, однако я понимаю, что в комнате ещё кто-то есть. Я слышу
    чьи-то мягкие шаги и едва различимый скрытный шёпот.]]

cell6wakeup3_eyes = item {
   nam          = _"глаза"
  ,Open         = redirect_("Refresh", "cell6wakeup3")
}

cell6wakeup3_whisper = item {
   _listen      = false
  ,nam          = _"шёпот"
  ,Listen       = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("s._listen"),
                          [[Я почти ничего не могу разобрать -- лишь отдельные слова и обрывки фраз.^
                            -- ...в порядке... -- тихо говорит женский голос, -- ...не думаю, что в
                            действительности... Да, мне кажется, я слишком... не стоит... в каком-то...
                            немного подождать...]]
                        }
                    ,["s._listen"] =
                        [[Больше я ничего не слышу, голос затих. Быть может, говорившая догадалась, что я
                          уже не сплю?]]
                  }
  ,ListenTo     = redirect_("Listen")
  ,articles     = {
                    ["ListenTo"] = "к"
                  }
}


---------------------------------------------------------------------------------------------------
--cell6
---------------------------------------------------------------------------------------------------
cell6mainstart = pause {
   time         = 1000
  ,next         = chain_ {
                    music_("heartbeat"),
                    walkfast2_("cell6")
                  }
}

cell6 = scene {
   enter        = timer_(6000)
  ,_stand       = false
  ,obj          = {
                     "cell6_start"
                    ,"cell6_girl"
                    ,"cell6_arm"
                    ,"cell6_cam"
                    ,"cell6_bed"
                    ,"cell_door"
                    ,"cell_toilet"
                    ,"cell_shaft"
                    ,"cell_walls"
                    ,"cell_floor"
                    ,"cell_ceil"
                    ,"cell6_taisdevice"
                  }
  ,Refresh      = [[Да, думаю, я по-прежнему в той же самой камере. Сомневаюсь, что меня перенесли в другую
                    комнату, пока я спал (или был без сознания). Впрочем, я не могу быть в этом уверен.]]
  ,Stand        = choose_ {
                     ["default"] =
                        [[Мне кажется, стоит для начала понаблюдать за ней. К тому же я всё ещё ослаблен.]]
                    ,["cell6_girl._talk>0 and not s._stand"] =
                        chain_ {
                          set_("s._stand"),
                          [[Я поднимаюсь с кровати.]]
                        }
                    ,["s._stand"] = "Я и так стою на ногах."
                  }
  ,timer        = chain_ {
                    music_("macros", 2),
                    timerstop
                  }
  ,before_Walk  = choose_ {
                    ["not s._stand"] = [[Сначала мне придётся заставить себя подняться с кровати.]]
                  }
  ,before_Approach=redirect_("before_Walk")
}

cell6_taisdevice = item {
   nam          = _"прибор"
  ,TakeForce    = [[Я не уверен, что у меня получится. Я слишком слаб.]]
}

cell6_bed = from_("cell_bed") {
   nam          = _"кровать"
  ,Approach     = choose_ {
                     ["default"] = "Я лежу на кровати."
                    ,["cell6._stand"] = redirect_("Stand", "cell6")
                  }
  ,Sit          = choose_ {
                     ["default"] = "Я немного приподнимаюсь на локте и продолжаю наблюдать за девушкой."
                    ,["cell6._stand"] = redirect_("Sit", "cell_bed")
                  }
  ,Lie          = choose_ {
                     ["default"] = "Я и так лежу на кровати."
                    ,["cell6._stand"] = redirect_("Lie", "cell_bed")
                  }
}

cell6_start = rooms.event 
  [[Я лежу на кровати. На мне странное тёмно-серое одеяние, похожее на дешёвую униформу, вроде тех,
    что носит на кораблях обслуживающий персонал. Но кто переодел меня? Когда это случилось? Я ничего не
    помню. Последнее, что возникает в моей памяти -- это девушка, похожая на Лиду, и пронзительный укол
    в правое плечо, которое до сих пор болит так, словно с него содрали кожу.^
    Наверное, это был сон...^
    Однако я и правда не один здесь. Неподалеку от меня стоит девушка в светлом комбинезоне -- она повернулась ко
    мне спиной и чуть склонила голову. Наверное, она говорит с кем-то по коммуникатору или проверяет какой-то
    прибор.^
    Я осматриваюсь. Я по-прежнему нахожусь в своей гулкой камере со светящимися белыми стенами, однако что-то
    здесь изменилось, но я никак не могу понять что.]]

cell6_arm = item {
   nam          = _"плечо"
  ,Exam         = [[Я осторожно касаюсь правого плеча пальцами и тут же отдёргиваю руку. Кожа у меня на плече
                    воспалилась, как после ожога, и даже лёгкое прикосновение вызывает сильную боль. Я вспоминаю,
                    что почувствовал резкий укол в плече перед тем, как потерял сознание. Наверное, мне
                    под кожу вшит имплант, и мои тюремщики могут вырубить меня в любой момент, просто
                    нажав на кнопку.]]
}:like(pPhenom)

cell6_girl = item {
   _talk        = 0
  ,_walk        = 0
  ,nam          = name_ {
                     ["default"] =
                        choose_ {
                           ["default"] = _"девушка"
                          ,["s._talk>0"] = _"Таис"
                        }
                    ,["Spy"] = "разговор"
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Она стоит ко мне спиной и не замечает того, что я проснулся. На ней
                          светлый комбинезон, обтягивающий и приталенный, который похож на защитную форму,
                          вроде противорадиационного костюма. А ещё девушка необычно высокого
                          роста и у неё длинные чёрные волосы.^
                          Нет, не может быть!^
                          Это именно она! Именно её я видел перед тем, как потерял сознание. Значит Лида мне не приснилась...^
                          Но неужели это и правда она? Неужели это Лида?]]
                    ,["s._talk>0"] = [[Удивительно, как она похожа на Лиду.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Лида? -- зову я.^
                            Девушка вздрагивает и оборачивается.^
                            -- Лидия?^
                            Черноволосая девушка смотрит на меня с удивлением и даже страхом. Я замечаю, что она
                            сжимает в руке тот же самый прибор, который был у неё в прошлый раз.^
                            -- Почему? -- спрашивает она дрожащим голосом. -- Почему вы называете меня так?^
                            -- Но ты... вы...^
                            Я уже ни в чём не уверен; однако она так похожа на Лиду, что это просто не может быть
                            совпадением.^
                            -- Но разве это не ты? Я ничего не понимаю... Где мы находимся? Что это за место?^
                            Девушка немного успокаивается.^
                            -- Меня зовут не Лида, -- говорит она. -- Я -- Таис. А вы...^
                            Девушка вздыхает.^
                            -- Вы, наверное, путаете меня с кем-то... Вы сейчас находитесь в нашем центре. Вы в
                            безопасности. Не стоит волноваться.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- В центре? -- спрашиваю я. -- В каком ещё центре? Мы в девятой колонии? Я...
                            военнопленный?^
                            -- Что? -- Таис смеётся, однако смех получается натянутый и неестественный. --
                            Как вы можете быть военнопленным, если нет никакой войны?^
                            -- Девятые и раньше захватывали экипажи наших кораблей, -- говорю я.^
                            -- О чём вы? Это же просто слухи. Мы на Земле. И вы никакой не военнопленный.^
                            -- Если я не военнопленный, то почему меня держат в этой камере и относятся со мной, как...^
                            Я вновь чувствую, как ускоряется моё сердцебиение, и мне становится сложно дышать.^
                            -- Что здесь вообще происходит? И если ты... если вы не Лида, то где она? Где остальные
                            члены экипажа?^
                            -- Вас держат здесь ради вашей же безопасности, -- отвечает Таис, и я замечаю, что она
                            вновь начинает сжимать в руке своё странное устройство, словно готовится в любой момент нажать на
                            кнопку.]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Где остальные? -- Голос мой почти срывается на крик. -- Где Лидия?!^
                            -- Остальные члены экипажа... -- начинает Таис. -- Я даже не знаю, как...^
                            Она не договаривает.^
                            -- О чём вы? -- Что-то судорожно сжимается у меня в груди, я задыхаюсь. -- Что произошло?^
                            -- Я не уверена... -- Таис запинается. -- Я не могу пока сообщить вам всё, это может
                            быть слишком... Но, поверьте, я...]]
                        }
                    ,["s._talk==3"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Где Лидия?! -- кричу я. -- Что с ней?^
                            -- Извините, мне не стоило вообще начинать об этом... -- отвечает девушка. -- Дело в том, что
                            на "Ахилле" произошла катастрофа. Перегрузка нейросети. И именно в тот момент, когда к ней
                            были подключены вы и... другие.^
                            -- Но я не понимаю... -- Чувство ярости вдруг сменяется страшной пустотой в груди. -- Как же
                            так получилось? Почему мне ничего не говорили? Почему меня держат здесь, взаперти? Зачем нужны
                            все эти опыты?^
                            -- Вам говорили, -- отвечает Таис и добавляет, чуть тише: -- Много раз.]]
                        }
                    ,["s._talk==4"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Как же это? -- Я в упор смотрю на девушку, я почти уверен, что она боится меня, несмотря на
                            этот прибор, который может вырубить меня за долю секунды. -- Я уверен, что точно не забыл
                            бы такого.^
                            -- Тем не менее, вы... забыли, -- настаивает Таис.^
                            -- А Лида? Что с ней? Что с ней произошло?^
                            Таис не отвечает.^
                            -- Вы правда считаете, что я мог бы забыть это?^
                            Мой голос начинает дрожать, я чувствую, как глаза становятся влажными от слёз. Но проходит секунда, и
                            вдруг всё становится мне ослепительно ясным. ^
                            -- Я понимаю, что здесь происходит! -- говорю я. -- Мы в девятой колонии. Девятые любят проводить
                            эксперименты над захваченными астронавтами. И всё, что здесь происходит... Эти ваши внезапные
                            откровения, вы сама, такая похожая на Лиду, эта дурацкая голова робота -- всё это часть
                            ваших безумных тестов.^
                            -- Голова робота? -- удивляется Таис. -- Какая ещё голова робота?]]
                        }
                    ,["s._talk==5"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Что значит какая...^
                            Я вдруг застываю от удивления. Механической головы с красным электрическим глазом больше нет,
                            как будто и не было вовсе -- вместо неё над бронированной дверью торчит едва заметная полусфера
                            камеры наблюдения, внутри которой горит блеклый красный огонёк.^
                            -- Как это понимать? -- с трудом выдавливаю я из себя. -- Здесь было такое устройство на кронштейне,
                            робот... не знаю, как назвать... Но теперь его нет... Это что? Это ещё один тест?^
                            -- Я не понимаю, о чем вы, -- качает головой Таис. -- Да, мы действительно проводим тесты, но это
                            делается в рамках нашего обследования. Вы здесь не пленный, вы -- пациент.^
                            -- Пациент? -- спрашиваю я. -- Но почему? От чего вы меня лечите?^
                            Девушка не отвечает.]]
                        }
                    ,["s._talk==6"] = walk_("dream5start")
                  }
  ,Approach     = choose_ {
                     ["default"] = 
                        chain_ {
                          inc_("s._walk"),
                          [[Я делаю несколько шагов по направлению к Таис.^
                            -- Нет, -- говорит девушка. -- Извините, но лучше не подходите ближе... Или мне
                            придётся, как в тот раз... Просто сядьте на кровать, хорошо?]]
                        }
                    ,["s._walk>1"] =
                        [[-- Не подходите близко! -- командует Таис и отступает к двери.]]
                  }
  ,Attack       = [[У меня нет для этого сил.]]
  ,Listen       = choose_ {
                     ["default"] = redirect_("Spy")
                    ,["s._talk>0"] = redirect_("Talk")
                  }
  ,Spy          = [[Девушка перестала говорить по коммуникатору -- по крайней мере я уже ничего не слышу.]]
  ,Think        = choose_ {
                     ["default"] = 
                        [[Кто это? Это та же девушка, которая приходила ко мне вчера? Она была так похожа на Лиду. Или же
                          мне просто показалось?]]
                    ,["s._talk>0"] = [[Она так похожа на Лиду! Нет, это не может быть простым совпадением!]]
                  }
  ,withTakeForce= true
  ,articles     = {
                    ["TakeForce"] = "у"
                  }
}:like(pHuman)

cell6_cam = from_("cell_cam") {
   nam          = _"камера"
  ,Exam         = [[Да, это обычная панорамная камера слежения, головы робота больше нет. Но... я не понимаю.]]
  ,Approach     = [[Я подхожу к камере и внимательно осматриваю её. Меня переместили в другую комнату, пока я был без сознания?
                    Или просто смонтировали уродливую механическую голову на кронштейне? Да, это всё объясняет.]]
  ,Take         = [[Это бесполезно. У меня ничего не получится.]]
  ,cnd          = if_("cell6_girl._talk==6")
}:like(pBuild)
