Verb { "CellBreathe", "~дышать", "{}" }
Verb { "CellBreathe2", "~сделать", "вздох" }
Verb { "CellBreathe3", "~восстановить", "дыхание" }
Verb { "CellAttack %2 %3", "~схватить|~ухватить", verb_with_obj_("вн"), aux_with_obj_("вн") }


---------------------------------------------------------------------------------------------------
--cell9
---------------------------------------------------------------------------------------------------
cell9start1 = pause {
   enter        = music_("swoosh")
  ,time         = 500
  ,next         = walkfast2_("cell9start2")
}

cell9start2 = gfxroom {
   nodirect     = true
  ,ontimer      = function(s)
                    local txt = s.texts[s._frames];
                    drawing.clean(s.pic, 0, 220, 800, 80);
                    drawing.draw_text_center(s.pic, txt, 800, 260, "gray", "sans-b.ttf", 24, true);
                  end
  ,texts        = {
                     "это необходимо"
                    ,"большой риск"
                    ,"вся работа"
                    ,"может быть потеряно"
                    ,"готов ли он"
                    ,"ещё один цикл"
                    ,"не изменит"
                    ,"посмотри на него"
                    ,"не ведь просто"
                    ,"не выдержит"
                    ,"посмотри на него"
                    ,"не ведь просто"
                    ,"не выдержит"
                    ,"посмотри на него"
                    ,"не ведь просто"
                    ,"не выдержит"
                  }
  ,stop         = 16
  ,next         = walkfast2_("cell9start3")
  ,rate         = 100
}

cell9start3 = pause {
   time         = 1000
  ,next         = walkfast2_("cell9")
}

cell9 = scene {
   _breathe     = false
  ,checkpoint   = true
  ,obj          = {
                     "cell9_start"
                    ,"cell9_room"
                    ,"cell9_talk"
                    ,"cell9_wound"
                    ,"cell9_eyes"
                  }
  ,Stand        = [[У меня нет сил пошевелиться.]]
  ,Refresh      = [[Я лежу в темноте на постели.]]
  ,Exit         = [[Выхода нет.]]
  ,Wait         = [[Да, нужно просто подождать. Скоро мне станет лучше.]]
  ,CellBreathe3 = redirect_("CellBreathe")
  ,CellBreathe2 = redirect_("CellBreathe")
  ,CellBreathe  = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._breathe"),
                          [[Мне становится немного лучше, хотя виски по-прежнему сжимает стальной обруч боли.^
                            Я вдруг понимаю, что в комнате есть кто-то, кроме меня. Откуда-то издалека доносятся слабые
                            приглушенные голоса -- мужской и женский.]]
                        }
                    ,["s._breathe"] = "Мне уже лучше."
                  }
  ,ExamSelf     = redirect_("Exam", "cell9_wound")
  ,enter        = timer_(4000)
  ,timer        = chain_ {
                    timerstop,
                    music_("keys")
                  }
}

cell9_start = rooms.event
  [[Что-то сильно сжимает грудь, мне тяжело даже сделать вздох, голова раскалывается от боли. Я чувствую, что моя тюремная
    роба вся пропиталась потом. Правое плечо горит, словно с него содрали кожу.^
    Надо сосредоточиться на дыхании. Я должен попытаться сделать вздох.]]

cell9_eyes = item {
   nam          = _"глаза"
  ,Open         = redirect_("Exam", "cell9_room")
  ,Close        = [[Мои глаза и так закрыты.]]
}:like(pEyes)

cell9_room = item {
   nam          = _"комната"
  ,Exam         = choose_ {
                     ["default"] = [[Дыхание, восстановить дыхание. Это всё, что меня сейчас волнует.]]
                    ,["cell9._breathe"] = 
                        [[Нет, мне не хочется открывать глаза. К тому же люди в моей камере наверняка заметят, что я проснулся.
                          Лучше послушать, о чём они говорят.]]
                  }
  ,Walk         = [[Я сейчас не в состоянии ходить по комнате.]]
}:like(pRoom)

cell9_talk = item {
   _listen      = 0
  ,nam          = name_ {
                     ["default"] = _"разговор"
                    ,["Talk"] = _"посетители"
                    ,["Reply"] = _"посетители"
                    ,["ListenTo"] = _"голоса"
                  }
  ,Listen       = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._listen"),
                          [[-- И когда ты хочешь начать? -- слышится женский голос.^
                            Кажется, это Таис.^
                            -- Завтра. У нас просто нет больше времени.^
                            -- И всё-таки я против, -- настаивает Таис.^
                            Мужчина вздыхает.^
                            -- Против ты или нет, но у нас нет других вариантов.]]
                        }
                    ,["s._listen==1"] =
                        chain_ {
                          inc_("s._listen"),
                          [[-- Но есть же...^
                            -- Это не вариант, ты знаешь. У него куда более стабильные показатели. Её уже перевели в Д2.^
                            -- Когда?^
                            Голос Таис кажется испуганным.^
                            -- Какое это сейчас имеет значение? -- устало говорит мужчина. -- Я вообще не понимаю, о чём мы
                            спорим. Ты, кажется, хотела сделать ему ещё один укол?]]
                        }
                    ,["s._listen==2"] = walkfast_("cell9end")
                  }
  ,ListenTo     = redirect_("Listen")
  ,Talk         = "Нет, пусть лучше думают, что я сплю."
  ,Spy          = redirect_("Listen")
  ,cnd          = if_("cell9._breathe")
  ,articles     = {
                     ["Talk"] = "с"
                    ,["ListenTo"] = "к"
                  }
}

cell9_wound = item {
   nam          = _"плечо"
  ,Exam         = [[Очередная инъекция? Наверное, именно поэтому мне так плохо. Но зачем? Что они вколили мне?]]
}:like(pPhenom)

cell9_bed = from_("cell_bed") {
   nam          = _"кровать"
  ,Exam         = [[Я ничего не вижу.]]
  ,Move         = choose_ {
                     ["default"] = [[Я и сам-то не могу пошевелиться.]]
                    ,["cell9_talk._listen==2"] = redirect_("Stand", "cell9end")
                  }
  ,Sit          = redirect_("Stand", "cell9")
  ,Lie          = [[Я и так лежу на кровати.]]
  ,Ascend       = redirect_("Lie")
  ,Wreck        = [[Какой в этом смысл?]]
}


---------------------------------------------------------------------------------------------------
--cell9end
---------------------------------------------------------------------------------------------------
cell9end = scene {
   obj          = {
                     "cell9end_start"
                    ,"cell9_bed"
                    ,"cell9_tais"
                    ,"cell9_taishand"
                    ,"cell9_syringe"
                  }
  ,Wait         = walk_("cell10start")
  ,Stand        = [[Нет, это не поможет. Надо действовать умнее.]]
  ,Refresh      = redirect_("Refresh", "cell9")
  ,Exit         = redirect_("Exit", "cell9")
  ,before_Default=choose_ {
                    ["cell9_tais._attack"] = walk_("cell10start")
                  }
}

cell9end_start = rooms.event
  [[-- Погоди... -- тихо говорит Таис. -- Ещё несколько минут. Нельзя подряд.^
    -- Как ты с ним возишься... Делай сейчас и пошли. Сколько времени уже?^
    Таис что-то отвечает, но я ничего не могу разобрать.^
    Потом раздаются шаги. Скорее всего, это Таис. Она подходит к моей кровати.^
    Мне совсем не хочется продолжать лежать, делая вид, что я без сознания. Я думаю, что мог бы, быстро перевернувшись, ухватить
    её за руку и отобрать шприц. У меня нет никакого плана, я понимаю, что не смогу сбежать, пока в моём плече зашит имплант,
    однако мне просто надоело безропотно им подчиняться.^
    И в этот же момент я чувствую странную апатию и слабость. Надо лишь подождать. Пусть они сделают свой укол, пусть
    уйдут, пусть оставят меня в покое.]]

cell9_tais = item {
   _attack      = false
  ,nam          = choose_ {
                     ["default"] = _"Таис"
                    ,["s._attack"] = _"Лида"
                  }
  ,Talk         = [[Сейчас не до разговоров.]]
  ,Listen       = [[Таис молчит.]]
  ,Exam         = [[Я едва могу разглядеть её лицо.]]
  ,Attack       = chain_ {
                    set_("s._attack"),
                    music_("exclaim"),
                    [[Я резко разворачиваюсь на кровати, намереваясь перехватить руку Таис со шприцом и тут же замираю от удивления.^
                      Передо мной стоит Лида.^
                      Я так долго её искал! Лицо её едва различимо в темноте, однако я вижу, что она улыбается. Она так красива.^
                      Лида наклоняется ко мне, мягко касается меня рукой. Кажется, она хочет что-то сказать.]]
                  }
  ,Approach     = [[Даже если у меня и получится встать, то на это уйдут все мои силы. Нет, надо придумать что-нибудь получше.]]
  ,CellAttack   = redirect_("Attack")
  ,withTakeForce= true
  ,articles     = {
                     ["Talk"] = "с"
                    ,["TakeForce"] = "у"
                  }
}:like(pBasic,pPhenom)

cell9_syringe = item {
   nam          = _"шприц"
  ,TakeForce    = redirect_("Attack", "cell9_tais")
}

cell9_taishand = item {
   nam          = _"рука"
  ,withCellAttack = true
  ,articles     = {
                    ["CellAttack"] = "за"
                  }
}
