---------------------------------------------------------------------------------------------------
--cell10
---------------------------------------------------------------------------------------------------
cell10start = gfxroom {
   enter        = music_("macros")
  ,ontimer      = function(s)
                    if s._y == nil then
                      s._y = 550;
                    end
                    if s._y > 330 then
                      local gfx = s:loadgfx("sunset");
                      sprite.copy(gfx, s.pic, 0, s._y);
                      s._y = s._y - 1;
                    end
                  end
  ,stop         = 260
  ,next         = walk_("cell10")
  ,rate         = 70
  ,dispose       = nil_("_y")
}

cell10 = scene {
   _stand       = false
  ,checkpoint   = true
  ,obj          = {
                     "cell10_start"
                    ,"cell10_tais"
                    ,"cell10_cam"
                    ,"cell10_recall"
                    ,"cell10_someobject"
                    ,"cell10_recall2"
                    ,"cell10_button"
                    ,"cell10_bed"
                    ,"cell10_taisdevice"
                    ,"cell_door"
                    ,"cell_shaft"
                    ,"cell_walls"
                    ,"cell_toilet"
                    ,"cell_floor"
                    ,"cell_ceil"
                    ,"cmn_pocket"
                  }
  ,Stand        = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("s._stand"),
                          [[Я поднимаюсь с кровати, Таис испуганно взглядывает на меня и отходит к двери.^
                            -- Я не желаю вам зла, -- говорит она. -- Поймите вы... Мне очень жаль, что нам приходится держать
                            вас здесь, но это для вашей же пользы!^
                            -- Странные у вас представления о пользе, -- говорю я. -- Я даже не знаю точно, где я нахожусь.
                            Вы ничего мне не говорите.^
                            Но Таис в ответ лишь качает головой.]]
                        }
                    ,["s._stand"] = "Я уже встал с кровати."
                  }
  ,Refresh      = choose_ {
                     ["default"] = "Я снова в своей камере. Сегодня меня навещает Таис."
                  }
  ,before_Default=function(s,v,o)
                    if (v=="Approach" or v=="Walk" or v=="WalkAround") and not s._stand and
                      o ~= cell10_bed and o ~= cell10_girl and o ~= cell_toilet and o ~= cell10_cam then
                      return "Для начала надо подняться на ноги.";
                    elseif v=="Move" and o~=nil and o.kind_=="wall" then
                      return "Если уж я и собираюсь заниматься такими вещами, то для начала неплохо бы встать на ноги.";
                    end
                  end
  ,Cry          = choose_ {
                     ["default"] = "Не вижу смысла кричать."
                    ,["cell10_tais._talk==4 or cell10_tais._talk==8 or cell10_tais._talk==9"] = redirect_("Talk", "cell10_tais")
                  }
}

cell10_start = rooms.event
  [[Я сижу на своей жёсткой койке. Голова всё ещё болит, что-то сильно сжимает мне лоб и виски, но хотя бы дыхание
    меня больше не беспокоит. Я делаю глубокий медленный вздох, и тут же чувствую пьяное головокружение. Воздух в камере прохладный
    и холодный, как после дождя.^
    Увижу ли я ещё что-то, кроме этих выбеленных стен? Туманности в безднах меж двух галактик, звёзды в иллюминаторе... В этот раз я
    даже запомнил свой сон. Мне снился закат, я как будто наблюдал его с орбиты. Но я даже не понимал, что это за планета -- Земля
    или KZ-17. Всё, что я видел -- это космическую темноту и солнце.^
    Сегодня ко мне пришла Таис. Она сказала, что хочет закончить наш разговор, однако вместо этого нервно расхаживает по комнате и
    молчит. Она выглядит уставшей, как если бы не спала всю ночь.]]

cell10_taisdevice = item {
   nam          = _"прибор"
  ,TakeForce    = redirect_("Attack", "cell10_tais")
  ,cnd          = not_("have(cell10device)")
}

cell10_tais = item {
   _recall      = false
  ,_recall2     = false
  ,_talk        = 0
  ,nam          = _"Таис"
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Что вы кололи мне ночью? -- спрашиваю я.^
                            Таис замирает посреди комнаты и удивлённо смотрит на меня.^
                            -- Что колили? О чём вы?^
                            -- Вы были здесь ночью, -- говорю я. -- Я вас слышал.^
                            Таис качает головой.^
                            -- Поймите, -- начинает она, -- в вашем состоянии, сейчас... Вам никто ничего не колол, поверьте. Да и
                            какой смысл?^
                            -- А какой смысл во всех этих опытах, которые вы надо мной ставите?^
                            Дыхание у меня вновь затрудняется от волнения; мне приходится вздыхать часто, точно воздуха с каждой
                            секундой становится всё меньше. Таис смотрит на меня со страхом; в руке она по-прежнему сжимает то самое
                            устройство.^
                            -- Давайте не будем спорить, -- говорит она. -- Я пришла сюда не за этим... Мне кажется, это несправедливо,
                            что... Я хочу рассказать вам всё, пусть даже меня за это уволят.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Ну, что ж, я слушаю, -- говорю я.^
                            Таис вздыхает и убирает своё устройство в карман.^
                            -- На "Ахилле" произошла авария, -- начинает она. -- Был сбой в нейроинтерфейсе, системный шок. Пострадали
                            все, кто был подключен в тот момент. Включая вас.^
                            Я молчу, неотрывно глядя на Таис.^
                            -- Подобные случаи уже были раньше, -- продолжает она. -- Их по понятным причинам старались не предавать огласке. Вашему
                            мозгу был причинен серьёзный ущерб...^
                            Таис поджимает губы и смотрит на меня, точно на душевнобольного. Потом она как-то непроизвольно делает шаг вперед, ко
                            мне. Я остаюсь неподвижен.^
                            -- Ущерб... -- повторяет она. -- Вся ваша личность...]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Погодите, -- говорю я. -- О каком ещё ущербе речь? Я, конечно, чуствую себя довольно скверно последнее время,
                            и... несколько дезориентирован, но это и не удивительно. В моём-то положении.^
                            Таис качает головой и снова отходит от меня к двери.^
                            -- Как вы думаете, сколько вы здесь находитесь? -- спрашивает она.]]
                        }
                    ,["s._talk==3"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Сложно сказать, -- отвечаю я. -- Тут и не поймешь, когда день, когда ночь. Мне кажется, около недели.^
                            -- Два года, -- говорит Таис, отворачиваясь от меня.^
                            -- Что? Какие два года? Ещё один ваш психологический тест?^
                            -- Нет, -- отвечает Таис и снова начинает расхаживать по комнате. -- Никаких тестов. Вы здесь действительно
                            два года, но помните вы лишь последние несколько дней... Ваше подсознание пытается компенсировать полученную
                            вами травму, и из-за этого у вас каждый раз появляются какие-то воспоминания, часто вымышленные. Но всё равно... через несколько
                            дней вы не выдерживаете, и происходит коллапс. А потом всё начинается сначала, с новых выдуманных воспоминаний.^
                            -- Хотите сказать, что я перезагружась, как компьютер? -- усмехаюсь я. -- Ну, и бред.^
                            Таис качает головой.^
                            -- На самом деле вас зовут Виктор, -- говорит она. -- Вы второй пилот "Ахилла". В момент аварии вы...]]
                          }
                    ,["s._talk==4"] =
                          chain_ {
                            inc_("s._talk"),
                            [[-- Знаете что! -- выкрикиваю я. -- Мне это уже надоело! Это очередные ваши трюки! Я прекрасно знаю, кто я!
                              Говорите я здесь два года, да? Да за два года тут я бы точно сошёл с ума!^
                              -- Я знаю, что это сложно принять, -- говорит Таис. -- Поэтому я долго сомневалась, стоит ли вам это рассказывать.
                              Но постарайтесь, подумайте... Наверняка что-то должно быть. Какие-нибудь странные вещи, которые не дают вам покоя.
                              Несоответствия в воспоминаниях. Любая мелочь.^
                              Таис резко оборачивается и подходит ко мне. Кажется, на глазах у неё выступают слезы. Удивительно, как она может
                              так убедительно притворяться.^
                              -- Какое ваше самое первое воспомнинание здесь? -- спрашивает она.]]
                        }
                    ,["s._talk==5 and not s._recall"] =
                        [[-- Постарайте сосредоточиться, -- настаивает Таис. -- Что вы помните? Ваше первое воспоминание здесь?]]
                    ,["s._talk==5 and s._recall"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Куб? -- тихо говорю я.^
                            -- Что? -- не понимает Таис.^
                            -- Пластиковый куб. Это штука, которую вы меня заставляли запихивать в отверстия, как дебила. Она была у меня
                            в кармане.^
                            -- Ну, вот видите! -- всплёскивает руками Таис. -- Я же говорила...^
                            -- Это ничего не доказывает, -- говорю я. -- Куб мне могли подбросить. В конце концов, я мог...^
                            -- Это происходило уже множество раз, -- продолжает Таис так, словно не слышала моих возражений. -- Вы доходите
                            до предела, и потом всё начинается с начала. Часто, когда вы приходите в себя, вы не можете даже говорить, у вас
                            проблемы с базовыми моторными функциями. Иногда вы сами не знаете, кто вы. Иногда, как сейчас, вы считаете себя
                            кем-то другим. Для этого мы и проводим все эти тесты.]]
                        }
                    ,["s._talk==6"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Бред, -- отвечаю я, но при этом чувствую страшный холодок у себя на спине.^
                            -- В этот раз вы продержались очень долго, -- говорит Таис. -- У нас даже появилась надежда. Но, похоже, всё
                            опять идёт к тому... к тому, чем всё обычно и завершается. У вас снова будет припадок и...^
                            Таис закрывает лицо рукой.^
                            -- Ну, раз у нас с вами всё повторяется... -- говорю я. -- Сколько уже раз вы рассказывали мне эту душещипательную
                            историю? Ну, по вашей версии.^
                            -- Это впервые, -- отвечает Таис. -- Раньше я не решалась. Хотя... я не уверена, стоило ли сейчас.]]
                        }
                    ,["s._talk==7"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Вы серьёзно считаете, что во весь этот бред можно поверить? -- спрашиваю я, стараясь казаться спокойным
                            и рассудительным, хотя у меня начинают дрожать руки. -- Что человек не замечает, как у него едет крыша, что
                            все его воспоминания...^
                            -- А вы считаете, что сумасшедшие всегда знают, что они сошли с ума? -- говорит Таис.^
                            -- Значит, вот оно как, -- говорю я. -- Я в психушке. И вы меня лечите.^
                            -- Нет, извините, -- качает головой Таис. -- Я не хотела задеть вас. Это не психбольница. Да и там вряд ли смогли бы
                            вам помочь. Вы получили травму, не психологическую. Это нейроинтерфейс...]]
                        }
                    ,["s._talk==8"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Ладно! -- резко говорю я. -- Хватит! Боюсь, вы меня не убедили. Я -- это Виктор? Виктор -- мой друг по
                            институту. Я его прекрасно помню. А я ещё прекрасно помню, что на "Ахилле" я был вместе с Лидой. А значит,
                            скорее всего, вы захватили и её тоже. Где она?^
                            -- Кто? -- оторопело спрашивает Таис.^
                            -- Где Лида?! -- выкрикиваю я. -- И почему вы так на неё похожи?^
                            -- Нет никакой Лиды, -- тихо отвечает Таис. -- И не было никогда. Вы её просто выдумали. Раньше...]]
                        }
                    ,["s._talk==9"] =
                        chain_ {
                          inc_("s._talk"),
                          set_("cell10._stand"),
                          string_(
                            choose_ {
                               ["default"] = ""
                              ,["not cell10._stand"] = "резко вскакиваю с кровати и "
                            }
                          )
                          [[Я ##иду на Таис. Руки у меня трясутся, и я сам не понимаю, что со мной происходит.
                            Я ненавижу эту девушку, которая устраивает здесь спектакль и врёт мне. Я ненавижу её за то, что она украла
                            лицо Лиды.^
                            Таис вздрагивает и пятится к двери. Она запускает руку в карман и вытаскивает устройство. Ещё секунда -- и она
                            нажмёт на кнопку. Но она медлит. Я замечаю, что в её глазах стоят слезы. Быть может, это мой шанс? Она сомневается.
                            Я могу с легкостью вырвать у неё из руки это устройство, а потом... Не имеет значения, что будет потом. Важно только
                            то, что сейчас. Это мгновение.^
                            -- Стойте! -- дрожащим голосом говорит Таис. -- Не нужно! Я... я говорю вам правду. Вы думаете, почему 
                            ваша Лида так похожа на меня? Вы просто придумали её. А я... Я -- первая, кого вы увидели в этот раз.]]
                        }
                    ,["s._talk==10"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Ничего себе объяснение... -- Я уже с трудом могу держать себя в руках. -- Выдумал... Ну, конечно!^
                            -- А почему... -- настаивает Таис, -- почему вы думаете, я так на неё похожа?^
                            -- Откуда я знаю?! Я...^
                            -- А вы подумайте, -- говорит Таис. -- Как вы её помните? Когда вы вспомнили её впервые?]]
                        }
                    ,["s._talk==11 and not s._recall2"] =
                        [[-- Попробуйте вспомнить, -- говорит Таис. -- Это важно.]]
                    ,["s._talk==11 and s._recall2"] =
                        chain_ {
                          inc_("s._talk"),
                          music_("macros"),
                          [[-- Ты -- Лида? -- хриплым голосом спрашиваю я.^
                            -- Что?^
                            От удивления девушка роняет свой прибор, тот падает на пол и разбивается -- что-то отскакивает в сторону,
                            я не успеваю рассмотреть. Девушка быстро подбирает прибор и отступает спиной к двери. Она смотрит на меня
                            с ужасом.^
                            -- Не бойся, -- говорю я, приближаясь к ней. -- Я не причиню тебе вреда. Никогда.^
                            -- Нет, нет, не надо! -- выкрикивает девушка. -- Вы... Вы не в себе! Меня зовут Таис! А Лида... Никакой Лиды
                            нет! Вы всё не так поняли!^
                            -- Не нужно так! -- говорю я.^
                            Девушка уже прижалась спиной к двери, её трясет, и она судорожно нажимает на кнопку на своём приборе, однако
                            ничего не происходит. Нас отделяет всего метр.]]
                        }
                    ,["s._talk==12"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Это ты запуталась, а не я, -- говорю я. -- Они промыли тебе мозги! Они..^
                            Я делаю шаг вперед.^
                            -- Признай это, -- говорю я. -- Ты ведь сама это чувствуешь! Может быть, ты не помнишь, но...^
                            Девушка отворачивается от меня и закрывает глаза.^
                            -- Нет, не надо! -- плачет она. -- Вы ошибаетесь! Боже, какая я была дура! Зачем я вообще...^
                            -- Не говори так!^
                            Я подхожу к ней вплотную. Девушка перестает нажимать на бесполезную кнопку, потом перестает вздрагивать. Она
                            поворачивается ко мне, открывает глаза.]]
                        }
                    ,["s._talk==13"] = walkfast_("cell10end")
                    ,["s._talk==14"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Что вы делаете? -- всхлипывает Таис. -- Это бессмысленно! Всё равно вы не сможете убежать отсюда.^
                            -- Отсюда -- это откуда? -- спрашиваю я. -- Из медицинского центра? Или, может, с военной станции 
                            девятых?^
                            -- Нет, -- девушка мотает головой. -- Боже, какая я дура! Зачем я вообще пришла!^
                            -- Да, -- соглашаюсь я. -- Этот момент стоило продумать лучше.^
                            Я взвешиваю в руке сломанный прибор, прикидывая, смогу ли использовать его в качестве оружия.]]
                        }
                    ,["s._talk==15"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Не надо, пожалуйста! -- молит меня Таис. -- Я всего лишь хотела помочь вам, я...^
                            Она смотрит на меня, в глазах её стоят слезы. Боже, как же она похожа...^
                            И тут я замираю на месте, тело моё пронзает дрожь. Мне всё становится ясно. Как я мог не понимать
                            этого раньше?^
                            -- Лида, -- говорю я. -- Лида, это ведь ты?^
                            -- Что? -- девушка мотает головой. -- О чём вы? Я же говорила, что Лида...^
                            Но я уже не слушаю её. Я подхожу к ней вплотную, она отворачивается от меня, прикрывает рукой лицо.^
                            -- Лида, -- повторяю я.^
                            Девушка вдруг распрямляется, поднимает голову и смотрит мне прямо в глаза.]]
                        }
                    ,["s._talk==16"] = walkfast_("cell10end")
                  }
  ,Listen       = redirect_("Talk")
  ,Exam         = choose_ {
                     ["default"] =
                        [[Таис сегодня сильно взволнована. Она нетерпеливо расхаживает по комнате, периодически бросая нервный взгляд
                          на камеру над дверью. Мне начинает казаться, что она решилась на разговор со мной вопреки какому-нибудь
                          запрету, и нашу беседу могут прервать в любую секунду. А я ещё я думаю, что мог бы попробовать выхватить
                          у неё это устройство, которым она активирует имплант в моей руке -- пускай силы мои на исходе, Таис сегодня
                          рассеянна, и у меня всё может получиться.]]
                    ,["s._talk>=11"] = "У неё лицо Лиды."
                  }
  ,Approach     = choose_ {
                     ["default"] = 
                        [[Таис заметно нервничает. Вряд ли стоит подходить к ней близко. Она может опять активировать своё устройство.]]
                    ,["s._talk==9"] = redirect_("Talk")
                    ,["s._talk==10 or s._talk==11"] =
                        [[Таис слишком испуганна. Она может в любой момент нажать на кнопку на своём устройстве.]]
                    ,["s._talk>11"] = redirect_("Talk")
                  }
  ,Attack       = choose_ {
                     ["default"] = "Я не уверен, что сейчас подходящий момент. Таис стоит от меня слишком далеко."
                    ,["s._talk==2"] = 
                          [[Я могу прыгнуть на неё, придавить к полу -- наверняка она не успеет выхватить устройство. Однако я медлю -- 
                            и теряю драгоценные секунды.]]
                    ,["s._talk==3 or s._talk==4"] = "Нет, я не готов."
                    ,["s._talk==5"] = 
                        [[Она совсем близко, но я понимаю, что у меня ничего не получится. Момент неподходящий. Надо немного подождать.]]
                    ,["s._talk==6 or s._talk==7"] = [[Сейчас не время. Лучше послушать, что она скажет.]]
                    ,["s._talk==8"] = 
                        [[Я и правда мог бы попробовать. Она как-то несобрана сегодня. Мне кажется, я смогу с легкостью её обезоружить.
                          Надо просто выгадать момент.]]
                    ,["s._talk==9"] =
                        [[Да, сейчас, но... Она слишком далеко. Я не успею. Нужно сначала подойти к ней поближе.]]
                    ,["s._talk==10"] =
                        chain_ {
                          setnum_("s._talk","14"),
                          take_("cell10device"),
                          music_("droplet"),
                          set_("cell10._stand"),
                          unlock_("aggression"),
                          [[Сейчас! Нельзя терять ни секунды!^
                            Я бросаюсь на Таис, намереваясь сбить её с ног и выхватить прибор, однако девушка на редкость проворно
                            отскакивает в сторону, и я падаю. Я успеваю схватить её за руку, прежде чем повалиться на пол. Она вырывается, бьёт меня
                            ногой в грудь и... роняет прибор. Тот с глухим стуком падает мне под ноги, и я едва успеваю заметить, что от
                            него отлетает какая-то деталь, похожая на антенну.^
                            Я хватаю прибор и встаю на колени.^
                            Таис, увидев, что я завладел её оружием, бросается к двери.^
                            Я поднимаюсь на ноги, осматриваю устройство в своей руке. Кажется, оно разбито, однако у меня нет желания это проверять.]]
                        }
                    ,["s._talk>=11 and s._talk<14"] = "Не думаю, что это имеет смысл."
                    ,["s._talk==14 or s._talk==15"] = walkfast_("cell10end2")
                    ,["s._talk==16"] = "Нет, не нужно это делать."
                  }
  ,Kick         = use_ {
                     ["default"] = redirect_("Attack")
                    ,["cell10device"] =
                        choose_ {
                           ["default"] = walkfast_("cell10end2")
                          ,["s._talk==16"] = "Нет, не нужно это делать."
                        }
                  }
  ,withDraw     = true
  ,withTakeForce= true
  ,articles     = {
                    ["TakeForce"] = "у"
                  }
}:like(pHuman)

cell10_cam = from_("cell_cam") {
   nam          = _"камера"
  ,Approach     = [[Я уже вдоволь нагляделся на эту камеру.]]
}

cell10_bed = from_("cell_bed") {
   nam          = _"кровать"
  ,Stand        = redirect_("Stand", "cell10")
  ,Lie          = choose_ {
                     ["default"] = [[Я предпочёл бы поговорить с Таис, а не ложиться спать.]]
                    ,["cell10._stand"] = redirect_("Lie", "cell_bed")
                  }
  ,Sit          = choose_ {
                     ["default"] = [[Я и так сижу на кровати.]]
                    ,["cell10._stand"] = redirect_("Sit", "cell_bed")
                  }
  ,Approach     = choose_ {
                     ["default"] = [[Я и так на кровати.]]
                    ,["cell10._stand"] = [[Я подхожу к кровати.]]
                  }
}

cell10_recall = item {
   _start       = false
  ,nam          = name_ {
                     ["default"] = _"первое воспоминание"
                    ,["Recall"] = _"первый день"
                  }
  ,Recall       = chain_ {
                    set_("s._start"),
                    [[Я закрываю глаза и пытаюсь вспомнить.^
                      Темнота.^
                      Я лежу на жёсткой больничной кровати, на мне -- роба из грубой синтетической ткани, которая раздражает кожу. Мне
                      сложно дышать, я не могу пошевелиться. Я не знаю, где я нахожусь.^
                      Я пытаюсь сосредоточиться на своих ощущениях и вспоминаю, что у меня лежало что-то в кармане. Какой-то странный угловатый
                      предмет был прижат тугой тканью к моему бедру.^
                      Что это? Я должен проверить.]]
                  }
  ,Think        = redirect_("Recall")
  ,articles     = {
                     ["Think"] = "о"
                    ,["Recall"] = "о"
                  }
  ,cnd          = if_("cell10_tais._talk==5")
}

cell10_someobject = item {
   _visible     = false
  ,_examed      = false
  ,nam          = _"предмет"
  ,Exam         = chain_ {
                    set_("cell10_tais._recall"),
                    [[Я запускаю руку в карман и достаю непонятный предмет.^
                      Это пластиковый куб. На нём нет никаких отверстий, кнопок или индикаторов -- ничего. Я несколько минут
                      ощупываю этот куб, сжимаю его в руках, проверяю на вес. Обычный пластик -- жёлтого цвета, как детская игрушка.^
                      Точно!^ Когда я пришёл в себя несколько дней назад, то нашёл у себя эту странную игрушку. Но как она оказалась
                      в моём кармане?]]
                  }
  ,Take         = redirect_("Exam")
  ,TakeFrom     = use_ {
                     ["default"] = "Непонятно, как это сделать."
                    ,["nil"] = redirect_("Exam")
                    ,["cmn_pocket"] = redirect_("Exam")
                  }
  ,cnd          = if_("cell10_recall._start and cell10_tais._talk==5")
}:like(pPhenom)

cell10_recall2 = item {
   nam          = name_ {
                     ["default"] = _"первое воспоминание о Лиде"
                    ,["Recall"] = _"Лида"
                  }
  ,Recall       = chain_ {
                    set_("cell10_tais._recall2"),
                    [[Я вспоминаю...^
                      Лида. Сейчас ты снишься мне почти каждый день.^
                      Вот я в институте, ещё совсем молодой. Я пока не студент. Я пришёл получать удостоверение абитуриента и, стоя в длинной
                      и тусклой очереди, увидел тебя... Я закрываю глаза, открываю их снова. Проходят месяцы, почти год. Снова институт. Мы в
                      коридоре, ждём начала лекции. Ты потеряла генератор голограмм, а я ищу его для тебя...^
                      Я пытаюсь восстановить в памяти лицо Лиды, потом смотрю на Таис.]]
                  }
  ,Think        = redirect_("Recall")
  ,articles     = {
                     ["Think"] = "о"
                    ,["Recall"] = "о"
                  }
  ,cnd          = if_("cell10_tais._talk==11")
}

cell10device = item {
   _exam        = false
  ,nam          = _"прибор"
  ,Exam         = chain_ {
                    set_("s._exam"),
                    [[Это похоже на древнюю рацию с одной-единственной круглой кнопкой. Давно я не видел ничего подобного. Думаю, если бы кто-нибудь
                      сказал мне, что это технологии девятых, то я бы не удивился.]]
                  }
  ,Throw        = use_ {
                     ["default"] = "Не думаю, что это хорошая идея."
                    ,["cell10_tais"] =
                        choose_ {
                           ["default"] = walkfast_("cell10end3")
                          ,["cell10_tais._talk==15"] = "Нет, не нужно это делать."
                        }
                  }
  ,Put          = [[Зачем?]]
  ,Wreck        = [[Прибор и так сломан.]]
  ,Open         = [[У меня нет времени разбираться с устройством этого прибора.]]
  ,TurnOn       = [[Я нажимаю на единственную кнопку на этом устройстве, но ничего не происходит.]]
  ,Activate     = redirect_("TurnOn")
  ,TurnOff      = redirect_("Wreck")
  ,withKick     = true
}:like(pItem)

cell10_button = item {
   nam          = _"кнопка"
  ,Press        = redirect_("TurnOn", "cell10device")
  ,articles     = {
                    ["Press"] = "на"
                  }
  ,cnd          = if_("cell10device._exam")
}


---------------------------------------------------------------------------------------------------
--Endings
---------------------------------------------------------------------------------------------------
cell10_hand = item {
   nam          = _"плечо"
  ,Exam         = nilfn
}

cell10_eyes = item {
   nam          = _"глаза"
  ,Close         = nilfn
}

cell10_hand2 = item {
   nam          = _"рука"
  ,Draw         = nilfn
}

cell10end = scene {
   obj          = {
                     "cell10end_start"
                    ,"cell10_tais"
                    ,"cell10_hand"
                    ,"cell10_hand2"
                  }
  ,gonext       =chain_ {
                    drop_("cell10device"),
                    walk_("cell11dark")
                  }
  ,enter        = music_("error")
  ,Wait         = nilfn
  ,before_Default=redirect_("gonext")
}
cell10end_start = rooms.event
  [[Девушка смотрит на меня несколько секунд, в глазах её уже нет страха. Она перестала вздрагивать, перестала прижиматься к двери.^
    -- Ты, -- начинает она, и в этот момент её заглушает сирена.^
    Свет в комнате мгновенно сменяется на истошно-красный, я испуганно отшатываюсь, и в это же мгновение чувствую резкий укол в правое плечо.
    Кто-то вновь активировал имплант в моей руке. Я пытаюсь дотянуться до девушки, протягиваю к ней руку и...]]

cell10end2 = scene {
   obj          = {
                     "cell10end2_start"
                    ,"cell10_tais"
                    ,"cell10_hand"
                    ,"cell10_hand2"
                  }
  ,enter        = music_("error")
  ,Wait         = nilfn
  ,before_Default=redirect_("gonext", "cell10end")
}
cell10end2_start = rooms.event
  [[Я наступаю на Таис, сжимая сломанный прибор в руке, как оружие. Девушка закрывает лицо руками, сжимается от страха.
    Впервые за долгое время я, наконец, чуствую, что управляю ситуацией, что больше не нужно никому подчиняться, выполнять бессмысленные приказы.
    Теперь они...^
    Вдруг свет в комнате сменяется на истошно-красный, я испуганно отшатываюсь, и в это же мгновение чувствую резкий укол в правое плечо.
    Кто-то вновь активировал имплант в моей руке. Я делаю несколько шагов по направлению к двери, и...]]

cell10end3 = scene {
   obj          = {
                     "cell10end3_start"
                    ,"cell10_tais"
                    ,"cell10_hand"
                    ,"cell10_hand2"
                  }
  ,enter        = music_("error")
  ,Wait         = nilfn
  ,before_Default=redirect_("gonext", "cell10end")
}
cell10end3_start = rooms.event
  [[Я с силой швыряю сломанный прибор в Таис, хотя и сам не слишком-то понимаю, зачем делаю это. Девушка закрывает лицо руками, сжимается.
    Прибор бьет её по плечу и отскакивает на пол. Его корпус раскалываются, повсюду разлетаются осколки платы, провода, части корпуса.
    Впервые за долгое время я, наконец, чуствую, что управляю ситуацией, что больше не нужно никому подчиняться, выполнять бессмысленные приказы.
    Теперь они...^
    Вдруг свет в комнате сменяется на истошно-красный, я испуганно отшатываюсь, и в эту же мгновение чувствую резкий укол в правое плечо.
    Кто-то вновь активировал имплант в моей руке. Я делаю несколько шагов по направлению к двери, и...]]
