cell5start = pause {
   time         = 3000
  ,next         = walk_("cell5")
}

cell5 = scene {
   checkpoint   = true
  ,obj          = {
                     "cell5_start"
                    ,"cell5_stranger"
                    ,"cell5_bed"
                    ,"cell5_door"
                    ,"cell_toilet"
                    ,"cell_shaft"
                    ,"cell_walls"
                    ,"cell_floor"
                    ,"cell_ceil"
                  }
  ,Refresh      = [[Я стою посреди своей камеры напротив Лиды.]]
  ,before_Default=choose_ {
                    ["cell5_stranger._talk==3"] =
                        chain_ {
                          light_(false),
                          drop_("antenna"),
                          walk_("dream3start1")
                        }
                  }
  ,Exit         = redirect_("Approach", "cell5_door")
  ,Wait         = [[Ждать? Чего мне ждать?]]
}

cell5_start = rooms.event
  [[Я уже собирался броситься на неожиданного пришельца, сжимая в руке острый обломок антенны. Бронированная дверь
    за спиной моего тюремщика была открыта, и меня не волновало, что там меня может поджидать целая армия девятых --
    ведь это был мой единственный шанс, единственная надежда на спасение.^
    Однако, стоило мне посмотреть в лицо пришельцу, как я тут же застыл посреди комнаты.^
    Передо мной стояла Лида -- в светлом облегающем комбинезоне и с бледным, точно неживым лицом.]]

cell5_bed = from_("cell_bed") {
   nam          = _"кровать"
  ,Sit          = [[Я не в том состоянии, чтобы просто спокойно усесться на кровать. Я должен разобраться в том,
                    что здесь происходит.]]
  ,Lie          = [[Нет, сейчас не время спать.]]
  ,Ascend       = redirect_("Lie")
  ,Wreck        = [[Сейчас не до этого.]]
}

cell5_stranger = item {
   _talk        = 0
  ,nam          = _"Лида"
  ,Exam         = [[Это Лида, без сомнения, хотя она и выглядит как-то странно -- кожа у неё на лице
                    совсем бледная, словно искусственная. Впрочем, наверняка во всём виноват этот неестественный
                    фосфорный свет.]]
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[Совладав с собой, я делаю шаг.^
                            -- Лида? -- выдавливаю я из себя. -- Не может быть! Это правда ты?^
                            Девушка как-то удивлённо качает головой и отступает назад, к двери.^
                            -- Лида? -- спрашивает она, нахмурившись.^
                            Я только сейчас замечаю, что в руке она держит какое-то странное угловатое устройство с большой
                            выпуклой кнопкой. Оружие?]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Лида? Что здесь происходит?^
                            Я продолжаю приближаться к девушке, но она смотрит на меня так, словно видит впервые в жизни.^
                            -- Стойте! -- говорит она, поднимая руку. -- Успокойтесь, всё в порядке. Просто сядьте на постель.
                            Пожалуйста. Я вам всё объясню.]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Лида! -- Я делаю ещё один шаг вперед. -- Я не понимаю. Ты...^
                            Девушка судорожно жмёт на кнопку на своём устройстве.^
                            Внезапно я чувствую резкую обжигающую боль в правом плече -- кажется, что раскалённый
                            свинец разливается у меня по венам. В глазах у меня темнеет, я невольно покачиваюсь,
                            делаю ещё один шаг вперед и...]]
                        }
                  }
  ,Approach     = redirect_("Talk")
  ,Listen       = redirect_("Talk")
  ,Attack       = chain_ {
                    exec_("s._talk=3"),
                    [[Меня вдруг охватывает какое-то безумие. Передо мной стоит Лида, однако я, сжимая в руке обломок антенны,
                      набрасываюсь на неё, как на врага.^
                      Девушка судорожно жмёт на кнопку на своём устройстве.^
                      Внезапно я чувствую резкую обжигающую боль в правом плече -- кажется, что раскалённый свинец разливается
                      у меня по венам. В глазах у меня темнеет, я невольно покачиваюсь, делаю ещё один шаг вперед и...]]
                  }
}:like(pHuman)

cell5_door = from_("cell_door") {
   nam          = _"дверь"
  ,Exam         = [[Дверь открыта, однако всё, что я вижу в дверном проёме -- это сверкающие пустые стены. Быть 
                    может, там ещё одна камера, такая же, как у меня?]]
  ,Approach     = [[Я уже не уверен, что мне нужно бежать. Да и что там, за дверью? Быть может, ещё одна такая же
                    камера... Но Лида... Как она тут оказалась? Она тоже пленница?]]
  ,Move         = [[Это не имеет смысла.]]
  ,Attack       = redirect_("Move")
  ,Open         = [[Дверь и так открыта.]]
  ,Close        = [[Зачем мне закрывать дверь?]]
  ,Ascend       = [[Не представляю, чем мне это сейчас поможет.]]
}
