cell8start = pause {
   enter        = music_("machine2")
  ,time         = 2000
  ,next         = "cell8"
}

cell8 = scene {
   checkpoint   = true
  ,obj          = {
                     "cell8_start"
                    ,"cell8_cam"
                    ,"cell8_girl"
                    ,"cell8_door"
                    ,"cell8_bed"
                    ,"cell_shaft"
                    ,"cell_toilet"
                    ,"cell_walls"
                    ,"cell_floor"
                    ,"cell_ceil"
                    ,"cell_taisdevice"
                  }
  ,Refresh      = [[Я по-прежнему в своей камере.]]
  ,Exit         = redirect_("Approach", "cell8_door")
  ,TurnAround   = [[В комнате только я и Таис.]]
  ,Wait         = [[Чего мне ждать? Лучше поговорить с Таис.]]
  ,before_Default=function(s,v,o)
                    if (v=="Approach" or v=="Walk" or v=="WalkAround") and cell8_bed._sit and
                      o ~= cell8_bed and o ~= cell8_girl and o ~= cell_toilet and o ~= cell8_cam then
                      return "Для начала надо подняться на ноги.";
                    elseif v=="Move" and o~=nil and o.kind_=="wall" then
                      return "Если уж я и собираюсь заниматься такими вещами, то для начала неплохо бы встать на ноги.";
                    end
                  end
  ,Stand        = redirect_("Stand", "cell8_bed")
  ,Cry          = choose_ {
                     ["default"] = "Я бы лучше поберёг голос."
                    ,["cell8_girl._talk==0 or cell8_girl._talk==2 or cell8_girl._talk==4"] = redirect_("Talk", "cell8_girl")
                  }
}

cell8_start = rooms.event
  [[Я не знаю, сколько проходит времени -- несколько секунд, минуты, может, час? Мне кажется, что
    я подключён к неисправному нейроинтерфейсу, в котором сознание моё медленно растворяется в оглушающей пустоте
    вокруг меня.^
    Командного металлического голоса больше нет, меня встречает тишина.^
    -- Прекратите это! -- говорю я пустоте. -- Просто прекратите... Я знаю, кто вы, я... Просто сделайте свою
    последнюю инъекцию! Я больше не могу так. Я так не могу!^
    Я вновь чувствую резкое жжение в правой руке. Они услышали меня. Несколько мгновений -- и всё это прекратится.
    Этот кошмар закончится навсегда.^
    Внезапно массивная металлическая дверь передо мной распахивается, и в комнату заходит девушка в светлом комбинезоне,
    которая так похожа на Лиду. Девушка -- её зовут Таис -- останавливается и как-то нерешительно смотрит
    на меня, словно собирается сказать что-то, но не может подобрать слова.]]

cell8_cam = from_("cell_cam") {
   nam          = _"камера"
  ,Exam         = [[У меня нет желания рассматривать эту камеру, я и так насмотрелся на неё последнее время.]]
  ,Approach     = redirect_("Exam")
  ,Wreck        = [[Сомневаюсь, что у меня что-нибудь получится. К тому же это ничего не изменит.]]
  ,Close        = [[Я бы предпочёл подождать, пока Таис уйдёт, прежде чем пытаться сделать что-то с камерой.]]
  ,Take         = redirect_("Close")
}

cell8_door = from_("cell_door") {
   nam          = _"дверь"
  ,Approach     = [[Не думаю, что я меня получится убежать, пока в моё плечо зашит имплант. Бесполезно даже пытаться.]]
  ,Walk         = redirect_("Approach")
}

cell8_girl = item {
   _talk        = 0
  ,nam          = _"Таис"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Я не понимаю. Она выглядит точно так же, как и Лида. Это не может быть простым совпадением.
                          Таких совпадений не бывает.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Кто вы? -- спрашиваю я. -- Почему вы выглядите точно так же, как она?^
                            -- Успокойтесь... -- говорит Таис. -- Я...^
                            -- Кто вы! -- выкрикиваю я и делаю шаг вперед. Девушка поднимает руку с тем самым прибором,
                            которым активируется имплант в моём плече.^
                            -- Успокойтесь! -- повторяет она. -- Просто... сделайте несколько шагов назад, сядьте на
                            постель. Я попробую вам всё объяснить.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Объяснить? -- спрашиваю я. -- Что вы можете объяснить?.. Лида, почему ты мучаешь меня?^
                            -- Я не Лида, -- тихо говорит девушка. -- Почему вы называете меня так?^
                            Кажется, что её даже немного задевает это имя.^
                            -- Но ты так похожа на неё! -- говорю я. -- Как это может быть? Такого просто не бывает!^
                            -- Лида... -- медленно произносит девушка. -- Я не понимаю, откуда вы...]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Что с ней? -- почти выкрикиваю я. -- Она здесь? Вы тоже держите её в плену?^
                            -- Вы не в плену, -- говорит Таис. -- Вы на медицинской станции. На Земле.^
                            Девушка вздыхает.^
                            -- Поверьте, -- говорит она, -- я понимаю, как всё это выглядит, но мы не желаем вам
                            зла. Мы хотим вам помочь, но...]]
                        }
                    ,["s._talk==3"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Медицинской станции? -- удивлённо переспрашиваю я. -- Но почему? Со мной ведь всё
                            в порядке... Что случилось с "Ахиллом"? Где остальной экипаж?^
                            -- С самим "Ахиллом" всё хорошо. Как и с большей частью экипажа. Корабль уже давно на другой
                            миссии. Была угроза нападения, но всё... всё обошлось. Но была авария... в нейросети. Пострадало
                            несколько человек -- включая главного и второго пилота. Т.е. вас.^
                            -- Я? Я старший инженер-навигатор Алексей Тихонов, вы что-то путаете, вы...^
                            -- Не было такой должности на "Ахилле" -- инженер-навигатор... -- тихо говорит Таис. -- И вообще
                            нет во всём соединённом флоте.]]
                        }
                    ,["s._talk==4"] =
                        chain_ {
                          inc_("s._talk"),
                          choose_ {
                             ["default"] =
                                [[-- Как не было? О чём вы говорите? Где Лидия? Она же не была подключена к нейросети!^
                                  Я приближаюсь к Таис, и девушка, испуганно сжимая в руке прибор, делает несколько шагов
                                  назад, к двери.^
                                  -- Стойте! -- говорит она. -- Не надо ближе!^
                                  -- Просто скажите мне! -- прошу я. -- Вы же обещали всё объяснить!^
                                  -- Лидия... -- начинает девушка.]]
                            ,["cell8_bed._sit"] =
                                chain_ {
                                  unset_("cell8_bed._sit"),
                                  [[-- Как не было? О чём вы говорите? Где Лидия? Она же не была подключена к нейросети!^
                                    Я встаю с кровати, и девушка, испуганно сжимая в руке прибор, делает несколько шагов
                                    назад, к двери.^
                                    -- Стойте! -- говорит она. -- Не надо ближе!^
                                    -- Просто скажите мне! -- прошу я. -- Вы же обещали всё объяснить!^
                                    -- Лидия... -- начинает девушка.]]
                                }
                          }
                        }
                    ,["s._talk==5"] =
                        chain_ {
                          inc_("s._talk"),
                          sound_("fear"),
                          [[Под потолком раздаётся резкий отрывистый гудок, Таис вздрагивает и тут же, удивлённо качнув
                            головой, прижимает к левому уху ладонь.^
                            -- Да, -- тихо произносит она. -- Нет, ну... Я хотела...^
                            Таис вздыхает, несколько раз кивает головой.^
                            -- Хорошо, -- говорит она, по-прежнему прижимая ладонь к уху, как будто впервые пользуется
                            встроенным коммуникатором. -- Хорошо, я иду.^
                            Девушка опускает руку и поворачивается ко мне.^
                            -- Извините, -- говорит она. -- Нам придётся пока отложить этот разговор. Я... я просто хотела...^
                            -- Вы сказали, мы на Земле? -- спрашиваю я. -- В каком городе? Как называется медицинская
                            станция, на которой мы находимся?^
                            Но девушка молчит и смотрит на меня непонимающим взглядом.]]
                        }
                    ,["s._talk==6"] = walk_("dream7start")
                  }
  ,Listen       = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Что с вами? -- наконец, спрашивает Таис. -- Вам плохо?^
                            Ну, конечно, мне плохо. Я едва могу стоять на ногах. Они сами же сделали мне эту инъекцию.^
                            -- Сядьте на постель, -- говорит Таис. -- Успокойтесь. Я попробую всё вам объяснить.^
                            Она улыбается, однако я замечаю у неё в руке тот самый прибор, который управляет имплантом у
                            меня в плече.]]
                        }
                    ,["s._talk>0"] = redirect_("Talk")
                  }
  ,Approach     = choose_ {
                     ["s._talk==0"] = redirect_("Talk")
                    ,["default"] = 
                        [[Лучше не подходить к ней близко, иначе она опять активирует свой прибор, и я потеряю сознание.]]
                    ,["cell8_bed._sit"] =
                        chain_ {
                          unset_("cell8_bed._sit"),
                          [[Я встаю с кровати и делаю шаг по направлению к Таис. Таис отступает к двери.]]
                        }
                  }
  ,Attack       = [[Это бесполезно. Пока у меня в плечо зашит этот имплант, я и шага не смогу ступить без их ведома.]]
  ,Think        = [[Нет, я должен во всём разобраться. Она утверждает, что её зовут Таис, но, быть может, они обманывают и её
                    тоже?]]
  ,withTakeForce= true
  ,articles     = {
                    ["TakeForce"] = "у"
                  }
}:like(pHuman)

cell8_bed = from_("cell_bed") {
   _sit         = false
  ,nam          = _"кровать"
  ,Sit          = choose_ {
                     ["default"] = "Я слишком взволнован, чтобы сидеть."
                    ,["cell8_girl._talk==1 and not s._sit"] =
                        chain_ {
                          set_("s._sit"),
                          [[Я послушно сажусь на кровать. Девушка молча стоит передо мной, как-то нервно сжимая в руках странный
                            прибор. Видно, что она хочет рассказать мне о чём-то, но не решается.]]
                        }
                    ,["s._sit"] = [[Я уже сижу на кровати.]]
                  }
  ,Stand        = choose_ {
                     ["default"] = [[Я и так стою на ногах.]]
                    ,["s._sit"] = redirect_("Approach", "cell8_girl")
                  }
  ,Lie          = [[Сейчас не время разлёживаться на постели.]]
  ,Approach     = choose_ {
                     ["default"] = [[Я подхожу к кровати.]]
                    ,["s._sit"] = [[Я сижу на кровати.]]
                  }
}:like(pBed)
