cell11found = [[Я уже нашёл то, что искал.]]

cell11dark = pause {
   enter        = music_("brass")
  ,pic          = "sunset"
  ,time         = 100
  ,fading       = 90
  ,next         = chain_ {
                    mute_(0, 0),
                    music_("bam"),
                    walkfast2_("cell11dark2")
                  }
}

cell11dark2 = pause {
   time         = 1000
  ,next         = walk_("cell11")
}

cell11 = scene {
   enter        = music_("keys",2)
  ,checkpoint   = true
  ,_found       = false
  ,_used        = false
  ,obj          = {
                     "cell11_start"
                     
                    ,"cell11_toilet"
                    ,"cell11_floor"
                    ,"cell11_door"
                    ,"cell11_shaft"
                    ,"cell11_bed"
                    
                    ,"cell_walls"
                    ,"cell_ceil"
                    ,"cell11_cam"
                  }
  ,TurnAround   = [[Я в комнате один.]]
  ,Refresh      = [[Моя комната за эти дни ничуть не изменилась.]]
  ,Wait         = nilfn
  ,Exit         = [[Выхода отсюда нет.]]
  ,Sleep        = redirect_("Lie", "cell11_bed")
}

cell11_start = rooms.event
  [[Мне кажется, сейчас вечер, хотя определить невозможно. Свет в комнате приглушённый, да и сам я чувствую усталость, как будто
    больше суток провёл на ногах. Я и правда давно не спал? Или же так действует этот имплант, зашитый в моё плечо?^
    Я пытаюсь вспомнить, когда, сколько часов назад пришёл в себя и понимаю, что совершенно утратил чувство времени. Вроде бы
    меня кормили -- по крайней мере, я не чувствую голода, -- но даже в этом я не уверен. События последних часов кажутся мне
    туманными и нечёткими, как полузабытый сон.^
    Нет, мне нужно собраться. Я не должен сдаваться, я не могу дать им себя победить.^
    Я продолжаю напрягать память, и тут вспоминаю, что вчера -- если это было вчера -- Таис выронила из рук устройство, управляющее
    имплантом в моём плече, и от этого устройства отлетела какая-то деталь. Я почти уверен в том, что именно так всё и было. Устройство упало на
    пол, и обломок его корпуса отскочил куда-то в сторону. Наверное, этот обломок всё ещё здесь. Надо проверить.]]

cell11_toilet = from_("cell_toilet") {
   nam          = _"унитаз"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Я внимательно осматриваю унитаз, но ничего не нахожу. Видимо, деталь от прибора отлетела в другую сторону.]]
                    ,["cell11._found"] = cell11found
                  }
  ,Look         = redirect_("Exam")
  ,Search       = redirect_("Exam")
  ,before_Exam  = trg_needstand
  ,before_Look  = trg_needstand
  ,articles     = { 
                     ["Look"] = "под"
                    ,["Search"] = "под" 
                  }
}

cell11_floor = from_("cell_floor") {
   nam          = name_ {
                     ["default"] = _"пол"
                    ,["Search"] = "полу"
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Я опускаюсь на колени и внимательно осматриваю весь пол в комнате, но обломка от прибора Таис нигде не видно.]]
                    ,["cell11._found"] = cell11found
                  }
  ,Search       = redirect_("Exam")
  ,Lie          = redirect_("Exam")
  ,Sit          = redirect_("Exam")
  ,articles     = {
                     ["Search"] = "на"
                    ,["Look"] = "на"
                  }
}

cell11_door = from_("cell_door") {
   nam          = _"дверь"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Нет, щель под дверью слишком узкая, туда точно ничего не могло закатиться. Если обломок и был, то он наверняка
                          где-то ещё.]]
                    ,["cell1._found"] = cell11found
                  }
  ,Open         = use_ {
                     ["default"] = [[Не думаю, что у меня получится высадить эту дверь.]]
                    ,["cell11_antenna"] =
                        choose_ {
                           ["default"] =
                              [[С этой стороны двери нет никаких замков, и, скорее всего, дверную створку прижимают к проёму мощные наэлектризованные
                                магниты. Не представляю, как мне тут поможет обломок антенны.^
                                Какое-то время я стою перед дверью, сжимая в руке антенну, а потом оборачиваюсь, и взгляд мой падает на
                                вентиляционную решётку.]]
                          ,["cell11._used"] =
                              [[С этой стороны двери нет никаких замков, и, скорее всего, дверную створку прижимают к проёму мощные наэлектризованные
                                магниты. Не представляю, как мне тут поможет обломок антенны.]]
                        }
                  }
  ,Wreck        = redirect_("Open")
  ,Crack        = redirect_("Open")
  ,Search       = redirect_("Exam")
  ,articles     = {
                     ["Search"] = "под"
                    ,["Look"] = "под"
                  }
}

cell11_shaft = from_("cell_shaft") {
   nam          = name_ {
                     ["default"] = _"вентиляционная решётка"
                    ,["Ascend"] = _"вентиляционная шахта"
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Сомневаюсь, что обломок мог отлететь в вентиляционную решётку. Но даже если и так, то достать его у меня уже
                          точно не получится.]]
                    ,["cell11._found and not cell11._used"] = 
                        [[Думаю, я мог бы попробовать снять вентиляционную решётку с помощью обломка антенны. Вряд ли, конечно, получится
                          это сделать, но всё-таки лучше попытаться. Я должен выбраться отсюда. Любой ценой. Пока ещё не сошел с ума.]]
                    ,["cell11._found and cell11._used"] =
                        [[Бесполезно. Снять эту вентиляционную решетку у меня не получится.]]
                  }
  ,Open         = use_ {
                     ["default"] = 
                        choose_ {
                           ["cell11._used"] =
                              [[Нет, я уже пытался. Скорее всего, я ничего не добьюсь, а только сломаю антенну. К тому же, сейчас я
                                слишком устал.]]
                          ,["default"] = [[Голыми руками снять вентиляционную решётку у меня точно не получится. Я уже пробовал.]]
                        }
                    ,["cell11_antenna"] =
                        choose_ {
                           ["not cell11._used"] =
                              chain_ {
                                set_("cell11._used"),
                                music_("keys"),
                                [[Я поднимаюсь на кровать и прислоняюсь животом к стене.^
                                  Решётка очень высоко, и я с трудом достаю до её края. Я пытаюсь просунуть обломок антенны
                                  под нижний срез решётки, однако у меня ничего не получается. Кажется, что решётка намертво приварена
                                  к стене, и никакая сила не сможет её сдвинуть.^
                                  Я вожусь с решеткой несколько минут, прежде чем сдаться. Меня останавливает только то, что я могу поломать
                                  антенну, а ведь сейчас -- это единственное, что у меня есть. К тому же за мной всё ещё могут следить.^
                                  Я спускаюсь с кровати и прячу обломок антенны в карман. Я сильно устал. Голова у меня тяжёлая, веки сами начинают
                                  слипаться. Думаю, мне стоит немного отдохнуть.]]
                              }
                          ,["default"] = redirect_("Exam")
                        }
                  }
  ,TakeOff      = redirect_("Open")
  ,Look         = redirect_("Exam")
  ,Move         = redirect_("Open")
  ,Ascend       = [[Вряд ли я смогу залезть в вентиляционную шахту, пока она закрыта этой решеткой.]]
  ,Search       = redirect_("Exam")
  ,Wreck        = use_ {
                     ["default"] = [[Нет, ничего не выйдет. Не стоит даже пытаться.]]
                    ,["cell11_antenna"] =
                        choose_ {
                           ["default"] = redirect_("Open")
                          ,["cell11._used"] = 
                              [[Нет, так у меня ничего не выйдет. К тому же сейчас я слишком устал. Возможно, у меня получится придумать что-нибудь
                                позже, после того, как я немного посплю.]]
                        }
                  }
  ,articles     = {
                     ["Search"] = "в"
                    ,["Look"] = "в"
                    ,["Ascend"] = "в"
                  }
}

cell11_bed = from_("cell_bed") {
   _try         = 0
  ,nam          = _"кровать"
  ,Exam         = choose_ {
                     ["default"] =
                        choose_ {
                           ["s._try==0"] = 
                              chain_ {
                                inc_("s._try"),
                                [[Я ложусь на пол и запускаю руку под кровать. Проём совсем узкий, я ничего не вижу, и рука моя едва туда
                                  пролазит. Несколько секунд я слепо шарю под кроватью, сгребая рукой хлопья пыли. Нет, пока ничего.]]
                              }
                          ,["s._try==1"] = 
                              chain_ {
                                inc_("s._try"),
                                [[Я прижимаюсь к полу и пытаюсь просунуть руку как можно дальше. Пальцы мои касаются какого-то
                                  металлического предмета, однако я никак не могу его зацепить.]]
                              }
                          ,["s._try==2"] = 
                              chain_ {
                                take_("cell11_antenna"),
                                set_("cell11._found"),
                                [[Я стараюсь подтолкнуть непонятный предмет ближе к краю кровати, но у меня ничего не получается.
                                  Я по-прежнему касаюсь его пальцем, но не могу вытащить. Тогда я пытаюсь просунуть руку ещё глубже
                                  под кровать, низкий навес сдирает мне кожу на плече, но я, наконец, подцепляю металлический
                                  предмет ногтём. Осторожно, чтобы он не сорвался, я подталкиваю его к себе, а затем вытаскиваю
                                  из-под кровати.^
                                  На моей ладони, покрытой хлопьями пыли, лежит тонкий обломок телескопической антенны.]]
                              }
                        }
                    ,["cell11._found"] = [[Больше искать здесь нечего.]]
                  }
  ,Look         = redirect_("Exam")
  ,Search       = redirect_("Exam")
  ,Lie          = choose_ {
                     ["default"] = "Нет, я должен сначала найти обломок этого прибора. Потом можно будет отдохнуть."
                    ,["have(cell11_antenna) and not cell11._used"] =
                        [[Может, попробовать сначала снять вентиляционную решётку? Вдруг я смогу пролезть в шахту.]]
                    ,["cell11._used"] =
                        chain_ {
                          drop_("cell11_antenna"),
                          walk_("cell12start")
                        }
                  }
  ,articles     = { 
                     ["Search"] = "под"
                    ,["Look"] = "под"
                  }
}

cell11_antenna = item {
   nam          = _"антенна"
  ,Exam         = [[Небольшой обломок телескопической антенны с острым рваным концом. Эта антенна напоминает мне о чём-то, но я никак
                    не могу вспомнить.]]
  ,Throw        = [[Нет. После все этих поисков... Мне почему-то даже не хочется выпускать этот обломок из рук.]]
  ,Put          = redirect_("Throw")
  ,withOpen     = true
  ,withTakeOff  = true
  ,withWreck    = true
  ,withCrack    = true
}:like(pItem)

cell11_cam = from_("cell_cam") {
   nam          = _"камера"
  ,Exam         = [[Глазок камеры погас. Кажется, она не работает.]]
  ,Approach     = [[Я подхожу к камере и долго смотрю в её округлый погасший объектив. Похоже, что камера сейчас и правда выключена, однако
                    я не могу быть в этом уверен.]]
  ,Open         = use_ {
                     ["default"] = [[Не представляю, как это можно сделать.]]
                    ,["cell11_antenna"] =
                        [[Если бы я мог дотянуться до камеры, то, возможно, у меня получилось бы снять её прозрачный корпус с помощью этого
                          острого обломка. Правда, не очень понятно, что мне это даст.]]
                  }
  ,Wreck        = redirect_("Open")
  ,Crack        = redirect_("Open")
}:like(pBuild)
