cell12start = pause {
   time         = 1000
  ,next         = walkfast2_("cell12start2")
}

cell12start2 = pause {
   enter        = music_("echo")
  ,time         = 5000
  ,dsc          = [[Света нет.]]
  ,next         = walk_("cell12")
}

cell12 = scene {
   checkpoint   = true
  ,enter        = take_("cell12_antenna")
  ,obj          = {
                     "cell12_start"
                    ,"cell12_pocket"
                    ,"cell12_bed"
                    ,"cell12_ceil"
                    ,"cell12_cam"
                    ,"cell12_skin"
                    ,"cell12_zond"
                    ,"cell12_clothes"
                    ,"cell12_wound"
                    ,"cell12_fingers"
                    ,"cell12_darkness"
                  }
  ,Wait         = choose_ {
                     ["default"] =
                        [[Да, нужно отбросить все эти странные мысли и просто попробовать уснуть.^
                          Я поворачиваюсь лицом к стене и действительно пытаюсь забыться. Однако красный глазок
                          камеры, уставившийся мне в спину, прожигает меня насквозь.]]
                    ,["cell12_zond._try>0 and cell12_zond._try<5"] =
                        [[Отступать уже поздно, я должен вытащить этот имплант из своего плечо.^
                          Однако я какое-то время лежу на кровати, глубоко и часто вздыхая.]]
                    ,["cell12_zond._try==5"] = [[Я должен попытаться заснуть, мне потребуются силы.]]
                  }
  ,Stand        = choose_ {
                     ["default"] =
                        [[В камере выключили свет, не вижу смысла бродить здесь впотьмах. К тому же я очень устал.]]
                    ,["cell12_zond._try>0 and cell12_zond._try<5"] =
                        [[Не думаю, что мне стоит разгуливать по камере с разрезанным плечом.]]
                  }
  ,Refresh      = [[Я лежу в темноте на кровати.]]
  ,TurnAround   = [[Из-за темноты я почти ничего не вижу, но, кажется, я в комнате один.]]
  ,Sleep        = choose_ {
                     ["default"] = 
                        [[Нет, спать мне пока рано. Кто знает, быть может, уже такой возможности мне не предоставится.]]
                    ,["chip._taken and not cell12_wound._bant"] = [[Надо попытаться как-нибудь остановить кровотечение.]]
                    ,["cell12_wound._bant"] =
                        chain_ {
                          drop_("cell12_antenna"),
                          drop_("cell12_sleeve"),
                          drop_("chip"),
                          walk_("dream8start")
                        }
                  }
  ,Exit         = [[Так просто мне отсюда не выбраться.]]
  ,before_Walk  = redirect_("before_Approach")
  ,before_Approach=use_ {
                     ["default"] = redirect_("Stand")
                    ,["cell12_bed"] = "Я лежу на кровати."
                  }
}

cell12_start = rooms.event
  [[Света нет.^
    Я лежу в темноте и, несмотря на усталость, никак не могу заснуть. Плечо, в которое вшит имплант, вновь разболелось,
    и я время от времени потираю его рукой -- как застарелую рану от ожога, которая никак не может затянуться. В кармане
    у меня -- обломок антенны, который я нашёл под кроватью. Всякий раз, когда я, забывшись, расслабленно
    вытягиваюсь на кровати, антенна сильно колет меня в бедро.^
    В темноте, в дальнем конце комнаты, горит неусыпный глазок камеры. Кажется, он следит за каждым моим движением.]]

cell12_antenna = item {
   _out         = false
  ,nam          = _"антенна"
  ,Exam         = choose_ {
                     ["default"] = redirect_("Exam", "cell11_antenna")
                    ,["not s._out"] = [[Для начала антенну надо вытащить из кармана.]]
                  }
  ,Throw        = choose_ {
                     ["default"] = redirect_("Exam")
                    ,["s._out"] =
                        use_ {
                           ["default"] = [[Эта антенна -- всё, что у меня есть. Я не собираюсь её выбрасывать.]]
                          ,["cell12_pocket"] = redirect_("Put")
                          ,["cell12_bed"] = redirect_("Put")
                        }
                  }
  ,Put          = use_ {
                     ["default"] = "Не вижу в этом никакого смысла."
                    ,["cell12_bed"] = 
                        [[Мне не хочется класть антенну на кровать. Я могу случайно столкнуть её на пол, и она снова
                          укатится куда-нибудь, а мне придётся искать её в темноте.]]
                    ,["cell12_pocket"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                unset_("s._out"),
                                [[Я осторожно засовываю обломок антенны обратно в карман своих брюк.]]
                              }
                          ,["not s._out"] = [[Антенна и так в кармане.]]
                        }
                  }
  ,PutAway      = redirect_("Put")
  ,PutIn        = redirect_("Put")
  ,Take         = choose_ {
                     ["default"] = "Я уже вытащил антенну из кармана."
                    ,["not s._out"] =
                        chain_ {
                          set_("s._out"),
                          [[Я запускаю руку в карман и аккуратно, чтобы не зацепить одежду, вынимаю острый обломок антенны.]]
                        }
                  }
  ,TakeFrom     = use_ {
                     ["default"] = "Это не имеет смысла."
                    ,["nil"] = redirect_("Take")
                    ,["cell12_pocket"] = redirect_("Take")
                  }
  ,Wreck        = redirect_("Throw")
  ,auxTakeFrom  = true
  ,withCut      = true
  ,withTear     = true
}:like(pItem)

cell12_pocket = from_("cmn_pocket") {
   nam          = _"карман"
  ,kind_        = "pocket"
  ,Exam         = choose_ {
                     ["default"] = "В кармане больше ничего нет."
                    ,["not cell12_antenna._out"] =
                        [[В правом кармане моих брюк лежит обломок антенны. Острый край антенны больно врезается мне
                          в бедро, однако мне больше некуда её спрятать.]]
                  }
  ,Tear         = [[Я не очень понимаю, как порванный карман мне поможет.]]
}:like(pPhenom)

cell12_skin = item {
   nam          = _"кожа на плече"
  ,Cut          = use_ {
                     ["default"] = "Так ничего не выйдет."
                    ,["cell12_antenna"] = direct_("TakeFrom", "cell12_zond", "cell12_skin", "cell12_antenna")
                  }
  ,articles     = {
                    ["TakeFrom"] = "из-под"
                  }
  ,withTakeFrom = true
}

cell12_clothes = item {
   _off         = false
  ,nam          = word_ {
                     ["default"] = _"роба|~одежда"
                    ,["оторвать"] = _"рукав"
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[На мне тёмно-серая униформа, в которую меня переодели несколько дней назад -- она не так сильно липнет
                          к телу, как моя предыдущая белесая роба, но всё равно пошита из дешёвой потрескивающей от статического
                          электричества синтетики.]]
                    ,["cell12_sleeve._taken"] =
                        [[Теперь у меня нет правого рукава. Даже если сейчас они ничего не заметили, то днём, когда включат свет,
                          мне придётся действовать быстро.]]
                  }
  ,TakeOff      = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._off"),
                          choose_ {
                             ["default"] =
                                [[Я расстёгиваю куртку и стаскиваю с себя правый рукав. Теперь моё плечо свободно. Я касаюсь вспухшего
                                  зарубцевавшегося шрама и чуть давлю на него пальцами. Плечо тут же отзывается слабой ноющей болью.
                                  Я почти уверен, что имплант где-то неглубоко под кожей. Я должен его достать.]]
                            ,["cell12_zond._try>0"] = [[Я стаскиваю с себя куртку -- возможно, так мне будет проще.]]
                          }
                        }
                    ,["not s._off and chip._taken"] = [[Не вижу смысла сейчас снимать куртку.]]
                    ,["s._off and not chip._taken"] = [[Я уже освободил правое плечо.]]
                  }
  ,Tear         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell12_sleeve._taken"),
                          take_("cell12_sleeve"),
                          [[Я хватаюсь за правый рукав и тяну его изо всех сил. Ткань начинает трещать и медленно расходится по шву.
                            Спустя несколько секунд оторванный рукав оказывается у меня в руке.]]
                        }
                    ,["cell12_sleeve._taken"] = [[Я уже оторвал от куртки рукав.]]
                  }
  ,Wear         = choose_ {
                     ["default"] = [[Натягивать на себя обратно куртку ещё рано.]]
                    ,["not s._off"] = [[Куртка и так на мне.]]
                    ,["s._off and chip._taken and not cell12_wound._bant"] =
                        [[Не думаю, что это хорошая идея -- просто натянуть на себя куртку и отправиться спать. Надо попробовать остановить
                          кровотечение.]]
                    ,["s._off and chip._taken and cell12_wound._bant"] =
                        [[Я пытаюсь просунуть перебинтованную руху в прореху, которая осталась на моей куртке вместо рукава,
                          однако любое движение причиняет мне боль. Лучше ничего не трогать.]]
                  }
  ,withBant     = true
}

cell12_sleeve = item {
   _taken       = false
  ,nam          = _"рукав"
  ,Exam         = choose_ {
                     ["default"] =
                        [[Оторванный рукав вполне может сгодиться для чего-нибудь -- например, если мне потребуется перевязать рану.]]
                    ,["have(cell12_zond)"] = [[Оторванный рукав, неплохо подойдет для перевязки.]]
                  }
  ,Throw        = use_ {
                     ["default"] = [[Не для того я отрывал рукав, чтобы сейчас его выбрасывать.]]
                    ,["cell12_bed"] = redirect_("Put")
                  }
  ,Put          = choose_ {
                     ["default"] =
                        use_ {
                           ["default"] = [[Я откладываю рукав в сторону.]]
                          ,["cell12_pocket"] = [[Карманы у меня брюках очень узкие, и оторванный рукав туда не влезет.]]
                        }
                    ,["have(cell12_zond)"] = [[Мне нужно поскорее перевязать рану, чтобы остановить кровотечение.]]
                  }
  ,PutIn        = redirect_("Put")
  ,PutAway      = redirect_("Put")
  ,withBant     = true
}

cell12_fingers = item {
   nam          = _"пальцы"
  ,auxTakeFrom  = true
}

cell12_zond = item {
   _try         = 0
  ,nam          = name_ {
                     ["default"] = _"имплант"
                    ,["Exam"] = _"плечо"
                    ,["Bant"] = _"плечо"
                  }
  ,Exam         = choose_ {
                     ["default"] =
                        [[Я слегка касаюсь пальцами припухлости на плече. Больно. Кажется, имплант зашит прямо под кожу, и я мог
                          бы попробовать его извлечь. Для этого придётся разрезать кожу обломком антенны. Будет жутко больно,
                          но мне больше ничего не остается. Пока у меня есть этот имплант, я точно не смогу бежать.]]
                    ,["s._try>0"] = [[По плечу стекает кровь. Кажется, я разодрал себе всю кожу.]]
                  }
  ,TakeFrom     = use_ {
                     ["default"] = "Это бессмысленно."
                    ,["nil"] = direct_("TakeFrom", "cell12_zond", "cell12_skin", "cell12_fingers")
                    ,["cell12_skin"] =
                        chooset_ {
                           ["default"] = "Так у меня ничего не получится."
                          ,["nil"] = direct_("TakeFrom", "cell12_zond", "cell12_skin", "cell12_fingers")
                          ,["cell12_fingers"] =
                              choose_ {
                                 ["cell12_zond._try==3"] = 
                                    chain_ {
                                      inc_("cell12_zond._try"),
                                      [[Я слегка касаюсь пальцами раны на плече. В темноте она кажется огромной, точно я
                                        содрал кожу со всей руки.^
                                        Я запускаю пальцы в открытую рану и пытаюсь нащупать имплант. Я стараюсь задержать дыхание -- 
                                        так мне почему-то легче терпеть боль.^
                                        Проходит несколько секунд -- целая вечность агонии, -- прежде чем
                                        я нащупываю пальцем что-то металлическое и чужеродное, похожее на маленькое скруглённое со
                                        всех краёв семя. Я зацепляю имплант ногтем и вытаюсь вытянуть наружу, и в этот момент меня
                                        скручивает от боли -- кажется, что острое молекулярное лезвие рассекает мои оголённые нервы.
                                        Я с трудом сдерживаюсь, чтобы не закричать, и прокусываю себе нижнюю губу.]]
                                    }
                                ,["cell12_zond._try==4 and not chip._taken"] = 
                                    chain_ {
                                      mute_(5000,2000),
                                      inc_("cell12_zond._try"),
                                      take_("chip"),
                                      set_("chip._taken"),
                                      [[Кровь течёт у меня по подбородку.^
                                        Несколько минут я лежу неподвижно, пытаясь прийти в себя -- я чувствую, как бешено молотит
                                        моё сердце, как каждый удар отдаётся в висках.^
                                        Мне непросто заставить себя продолжить.^
                                        Сначала я просто касаюсь раны пальцем, затем осторожно, стискивая от боли зубы, нащупываю
                                        имплант. В этот раз я пытаюсь подтолкнуть его под ноготь указательного пальца -- и как будто
                                        разрываю нервный узел в своём плече.^
                                        В глазах у меня темнеет, я чуть не теряю сознание. Отдышавшись я вновь тяну руку к открытой ране
                                        и в этот момент понимаю, что имплант застрял под моим ногтём.^
                                        Всё заканчилось. Я достал его. Наконец-то.^
                                        Но правое плечо ломит от боли. Кротечение усиливается, кровать подо мной пропитывается кровью.]]
                                    }
                                ,["cell12_zond._try==5"] = [[Я уже вытащил из раны имплант.]]
                                ,["cell12_zond._try==0"] = [[Боюсь мне сначала придётся разрезать кожу.]]
                                ,["cell12_zond._try>0 and cell12_zond._try<3"] = 
                                    [[Нет, рано ещё недостаточно глубокая, я не смогу достать имплант. Мне придётся сделать более
                                      глубокий надрез.]]
                              }
                          ,["cell12_antenna"] =
                              choose_ {
                                 ["default"] =
                                    choose_ {
                                       ["default"] =
                                          chain_ {
                                            inc_("cell12_zond._try"),
                                            music_("stabat",3),
                                            [[Я делаю глубокий вздох, нащупываю пальцами шов на плече и вонзаю в него обломок
                                              антенны. Я едва сдерживаюсь, чтобы не закричать. Я сжимаю зубами воротник куртки,
                                              на глазах у меня выступают слёзы. По руке стекает кровь.]]
                                          }
                                      ,["cell12_zond._try==1"] =
                                          chain_ {
                                            inc_("cell12_zond._try"),
                                            [[Отдышавшись, я снова вонзаю антенну в плечо и изо всех сил тяну её на себя. Боль чудовищая,
                                              я как будто сдираю с себя живьём кожу. Уже через несколько секунд моё сердце молотит так,
                                              что перед глазами начинают расплываться красные круги, а рука с антенной трясётся, как во время припадка.^
                                              Мне приходится остановиться.]]
                                          }
                                      ,["cell12_zond._try==2"] =
                                          chain_ {
                                            inc_("cell12_zond._try"),
                                            [[Я снова начинаю резать кожу на плече. Правая рука конвульсивно вздрагивает, мне становится
                                              сложно дышать. Я уже не могу терпеть боль. Из моей груди вырывается стон, по щёкам стекают слёзы.^
                                              Всё плечо уже залито кровью.]]
                                          }
                                      ,["cell12_zond._try==3 and not chip._taken"] =
                                          [[Думаю, этого достаточно. В любом случае я не выдержу больше. Теперь можно попробовать
                                            пальцами вытащить имплант.]]
                                      ,["cell12_zond._try==3 and chip._taken"] = [[Я уже достал имплант, больше не нужно себя резать.]]
                                    }
                                ,["not cell12_clothes._off and not have(cell12_sleeve) and not chip._taken"] =
                                    [[Я не смогу вырезать имплант через одежду. Надо бы сначала снять эту робу.]]
                                ,["not cell12_antenna._out and not chip._taken"] = [[Хорошо бы для начала достать антенну из кармана.]]
                                ,["chip._taken"] = [[Я уже достал имплант, больше не нужно себя резать.]]
                              }
                        }
                  }
  ,Bant         = choose_ {
                     ["default"] = [[Зачем мне перевязывать плечо? Место под кожей, куда зашит имплант, хоть и побаливает, но кровотечения нет.]]
                    ,["chip._taken"] = redirect_("Bant", "cell12_wound")
                  }
}

chip = item {
   _taken       = false
  ,nam          = _"имплант"
  ,Exam         = [[Имплант сложно разглядеть в темноте, он совсем маленький -- размером с яблочное семя, даже меньше. Мне не верится, что
                    я смог вытащить его из плеча.]]
  ,Throw        = use_ {
                     ["default"] =
                        chain_ {
                          dropself,
                          [[Я несколько секунд катаю имплант на ладони, а потом, размахнувшись, бросаю его в дальний угол комнаты. Завтра,
                            правда, его могут обнаружить, но куда быстрее они увидят мою заляпанную кровью кровать и меня самого -- с огромной
                            раной на плече.]]
                        }
                    ,["cell12_bed"] = redirect_("Put")
                    ,["cell12_pocket"] = redirect_("Put")
                  }
  ,Put          = use_ {
                     ["default"] = "Да, надо просто убрать этот имплант подальше."
                    ,["cell12_bed"] =
                        chain_ {
                          dropself,
                          [[Я засовываю имплант под жесткую казарменную подушку.]]
                        }
                    ,["cell12_pocket"] = [[Я бы предпочёл не оставлять это себе на память.]]
                  }
  ,Wreck        = [[Это металлическое семечко на редкость крепкое -- я сильно сжимаю его двумя пальцами, но ничего не происходит.]]
  ,Open         = [[Интересно было бы узнать, что там внутри, но чтобы проверить это нужны специальные инструменты. И свет.]]
  ,Crack        = redirect_("Open")
  ,PutAway      = redirect_("Put")
  ,PutIn        = redirect_("Put")
}:like(pItem)

function bant_(str)
  return function()
    if cell12_wound._bant then
      return "Перевязка уже не требуется.";
    else
      return str;
    end
  end
end

cell12_wound = item {
   _bant        = false
  ,nam          = _"рана"
  ,Exam         = choose_ {
                     ["default"] = [[Мне страшно даже смотреть на эту рану. Кажется, вся кожа на моей правой руке разодрана.]]
                    ,["s._bant"] = 
                        [[Я перевязал как мог, однако рукав, который я использовал вместо бинта, уже пропитался кровью. Надеюсь, это всё-таки
                          поможет остановить кровотечение.]]
                  }
  ,Close        = choose_ {
                     ["default"] = [[Если бы всё было так просто! Тем не менее, рану действительно нужно перебинтовать.]]
                    ,["s._bant"] = [[Я уже перебинтовал рану -- эту всё, что могу сделать.]]
                  }
  ,Bant         = use_ {
                     ["default"] = bant_ "Вряд ли это сработает."
                    ,["cell12_clothes"] =
                        bant_ [[Использовать всю куртку целиком для перевязки не очень-то удобно. Мне нужен просто кусок материи.]]
                    ,["cell12_sleeve"] =
                        chain_ {
                          drop_("cell12_sleeve"),
                          set_("s._bant"),
                          [[Я сильно, как только могу, перетягиваю рану оторванным рукавом, а затем связываю узлом концы рукава,
                            ухватившись за один край зубами, а за второй -- свободной рукой.^
                            Повязка сильно давит руку, но боль ослабевает. Не знаю, поможет ли мне это в действительности. Но я
                            больше ничего не могу сделать.^
                            Теперь мне нужно попробовать уснуть. Завтра мне потребуются силы.]]
                        }
                  }
  ,cnd          = if_("chip._taken")
}

cell12_bed = from_("cell_bed") {
   nam          = _"кровать"
  ,Sit          = [[Я не хочу вставать.]]
  ,Lie          = [[Я и так лежу на кровати.]]
  ,Approach     = [[Я лежу на кровати.]]
  ,Ascend       = redirect_("Lie")
  ,Stand        = redirect_("Stand", "cell12")
}

cell12_darkness = item {
   nam          = _"темнота"
  ,withThrow    = true
  ,articles     = {
                    ["Throw"] = "в"
                  }
}

cell12_cam = from_("cell_cam") {
   nam          = _"камера"
  ,Exam         = [[Интересно, следит ли сейчас кто-нибудь за мной? Я почти не сомневаюсь, что эта камера прекрасно видит
                    в темноте. Надо быть осторожнее и постараться не привлекать к себе внимания.]]
  ,Approach     = [[Я не хочу сейчас вставать с кровати.]]
  ,Take         = nild
  ,Stand        = nild
  ,TakeOff      = nild
  ,TearOff      = nild
  ,withThrow    = false
  ,withPut      = false
  ,withPutIn    = false
  ,withPutAway  = false
}

cell12_ceil = item {
   nam          = _"потолок"
  ,Exam         = [[Я почти ничего не могу разглядеть из-за окружающей меня темноты. Кажется, что над головой моей
                    -- огромная бессветная бездна.]]
}:like(pPhenom)
