antenna1 = item {
   nam          = _"антенна"
  ,Exam         = [[Острый обломок антенны.]]
  ,Throw        = use_ {
                     ["default"] = [[Не стоит этого делать, этот острый обломок мне ещё пригодится.]]
                    ,["cell13b_man"] = [[Обломок слишком легкий, вряд ли я причиню ему серьёзный вред таким образом.]]
                    ,["tais1"] = [[Обломок слишком легкий, вряд ли я причиню ей серьёзный вред таким образом.]]
                    ,["tais2"] = [[Она и так в моих руках.]]
                  }
  ,Put          = [[Нет, лучше не выпускать антенну из рук.]]
  ,Give         = [[Вряд ли стоит это делать.]]
  ,Fetch        = redirect_("Give")
  ,withKick     = true
  ,withOpen     = true
  ,withCrack    = true
  ,withWreck    = true
  ,withThreat   = true
}:like(pItem)

---------------------------------------------------------------------------------------------------
--cell13
---------------------------------------------------------------------------------------------------
cell13start = pause {
   enter        = sound_("flash")
  ,pic          = "white"
  ,time         = 1500
  ,fading       = 30
  ,next         = chain_ {
                    light_(true),
                    walk_("cell13")
                  }
}

cell13 = scene {
   _wait        = false
  ,_hide        = false
  ,_left        = false
  ,_stand       = false
  ,checkpoint   = true
  ,timer        = chain_ {
                    timerstop,
                    music_("macros", 3)
                  }
  ,enter        = chain_ {
                    timer_(5000),
                    take_("antenna1")
                  }
  ,obj          = {
                     "cell13_start"
                    ,"cell13_bed"
                    ,"cell13_cam"
                    ,"cell13_hiddencam_left"
                    ,"cell13_hiddencam_right"
                    ,"cell_shaft"
                    ,"cell_door"
                    ,"cell_toilet"
                    ,"cell_walls"
                    ,"cell_floor"
                    ,"cell_ceil"
                    ,"cell13_wound"
                  }
  ,Wait         = choose_ {
                     ["default"] = [[Чего мне ждать? Надо срочно придумать что-то.]]
                    ,["cell13_cam._talk and not s._wait and not s._hide"] =
                        chain_ {
                          set_("s._wait"),
                          [[Я жду ещё несколько минут, но никто так и не появляется. Скорее всего, за мной
                            сейчас и правда никто не наблюдает.]]
                        }
                    ,["s._hide"] = walk_("cell13b")
                  }
  ,Refresh      = choose_ {
                     ["default"] = [[Моя комната ничуть не изменилась.]]
                    ,["s._hide"] = [[Я спрятался от объектива камеры, прижавшись к стене рядом с дверью.]]
                  }
  ,Stand        = redirect_("Stand","cell13_bed")
  ,before_Walk  = choose_ {
                     ["s._hide"] = [[Лучше мне сейчас не выходить из укрытия.]]
                    ,["not s._stand"] =
                        use_ {
                           ["default"] = [[Для начала неплохо бы встать с кровати.]]
                          ,["cell13_bed"] = [[Я и так лежу на кровати.]]
                        }
                  }
  ,before_Approach=redirect_("before_Walk")
}

cell13_start = rooms.event
  [[Я просыпаюсь в тот самый миг, когда включается свет.^
    Я лежу на постели. Вся простыня заляпана кровью, но повязка на руке ещё держится и, кажется, кровотечение
    остановилось. Однако, если сейчас за мной наблюдают, то наверняка сразу догадаются, что я сделал.^
    Глазок камеры над дверью светится красным. Мне нужно срочно что-то придумать.]]

cell13_bed = item {
   nam          = _"кровать"
  ,Exam         = [[Белая простыня покрыта тёмными пятнами спекшейся крови.]]
  ,Sit          = [[У меня нет времени на это.]]
  ,Lie          = choose_ {
                     ["default"] = 
                        [[Сейчас у меня нет времени на это. Я не могу себе позволить просто отлёживаться здесь, пока
                          они не догадаются, что произошло.]]
                    ,["not cell13._stand"] = [[Я и так лежу на кровати, надо подниматься.]]
                  }
  ,Move         = [[Кровать как-то приварена к полу, да и если бы я мог её передвинуть -- зачем делать это сейчас?]]
  ,Stand        = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell13._stand"),
                          [[Я поднимаюсь с кровати, поправляю повязку на правом плече и встаю напротив напротив камеры с
                            горящим глазком.]]
                        }
                    ,["cell13._stand"] = [[Я уже встал с кровати.]]
                  }
  ,Wreck        = [[Это мне не поможет.]]
  ,Approach     = choose_ {
                     ["default"] = [[Я и так на кровати.]]
                    ,["cell13._stand"] = [[Я подхожу к кровати.]]
                  }
}:like(pBed)

cell13_cam = from_("cell_cam") {
   _exam        = false
  ,_talk        = false
  ,nam          = _"камера"
  ,Exam         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._exam"),
                          [[Камера работает. Интересно, наблюдает ли сейчас кто-нибудь за мной?^
                            И тут мне в голову приходит неожиданная мысль.^
                            Я останавливаюсь напротив камеры и внимательно рассматриваю её. Да, скорее всего, я не ошибаюсь.
                            Такие камеры слежения называют панорамными, но у них обычно есть слепое пятно. Если встать слева
                            или справа от камеры и подойти вплотную к стене, то есть неплохой шанс, что ты тут же исчезнешь
                            с монитора, оказавшись в зоне невидимости. Дверь, кстати, открывается направо.]]
                        }
                    ,["s._exam"] = [[Камера работает. Интересно, наблюдает ли сейчас кто-нибудь за мной?]]
                  }
  ,Approach     = choose_ {
                     ["default"] = redirect_("Exam")
                    ,["s._exam"] = 
                        [[Думаю, я мог бы попробовать спрятаться от камеры. Вдруг получится? Для этого нужно встать справа или
                          слева от камеры и прижаться к стене.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._talk"),
                          [[-- Эй! -- кричу я в камеру. -- Эта ваша штука просто взорвалась в моей руке! Помогите!^
                            Я и сам не понимаю, на что я рассчитываю. Если меня сейчас кто-то слышит, то через несколько секунд
                            сюда вломится пара амбалов с шоковыми пистолетами. Что я смогу противопоставить им со своим обломком
                            антенны в руке?^
                            Однако через несколько секунд ничего не происходит. Как и через несколько минут. Быть может, свет
                            в комнате загорелся автоматически, и за мной ещё никто не наблюдает?]]
                        }
                    ,["s._talk"] =
                        [[Мне кажется, за мной сейчас никто не следит. Надо воспользоваться этим. Надо придумать какой-нибудь
                          план.]]
                  }
  ,Listen       = [[В моей комнате тихо.]]
  ,Hide         = choose_ {
                     ["default"] = [[Я не уверен, что это вообще возможно. Хотя... Я начинаю присматриваться к камере.]]
                    ,["cell13_cam._exam and not cell13._hide"] = [[Я должен выбрать, где мне встать -- справа или слева.]]
                    ,["cell13._hide"] = [[Я уже спрятался от камеры.]]
                  }
  ,Wreck        = [[Не думаю, что это поможет мне сбежать.]]
  ,Take         = [[Камера слишком высоко, я не могу до неё дотянуться.]]
  ,Ascend       = redirect_("Take")
  ,articles     = {
                    ["Hide"] = "от"
                  }
}

cell13_camstand =
  [[Я встаю ##от камеры и прижимаюсь к стене. Если я не ошибся, то теперь на мониторах мои тюремщики
    увидят лишь пустую комнату -- и постель со сбитой окровавленной наволочкой. Это явно приведёт их в
    замешательство. Правда, мой план побега от этого не стал более реалистичным, но, по крайней мере, на
    моей стороне будет хотя бы фактор внезапности.^
    Теперь остаётся лишь ждать.]]
    
cell13_hiddencam_left = item {
   nam          = _"камера"
  ,Stand         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell13._hide"),
                          set_("cell13._left"),
                          string_("слева ")(cell13_camstand)
                        }
                    ,["cell13._hide"] = redirect_("Hide", "cell13_cam")
                  }
  ,articles     = { ["Stand"] = "слева от" }
  ,cnd          = if_("cell13_cam._exam")
}

cell13_hiddencam_right = item {
   nam          = _"камера"
  ,Stand         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell13._hide"),
                          string_("справа ")(cell13_camstand)
                        }
                    ,["cell13._hide"] = redirect_("Hide", "cell13_cam")
                  }
  ,articles     = { ["Stand"] = "справа от" }
  ,cnd          = if_("cell13_cam._exam")
}

cell13_wound = item {
   nam          = _"плечо|рана|повязка"
  ,Exam         = [[Я не хочу трогать повязку на плече. Рана болит, но я уже ничего не могу сделать.]]
}:like(pPhenom)


---------------------------------------------------------------------------------------------------
--cell13b
---------------------------------------------------------------------------------------------------
cell13b = scene {
   _event       = false
  ,enter        = mute_(4000,0)
  ,obj          = {
                     "cell13b_start"
                    ,"cell13b_door"
                    ,"cell13b_man"
                    ,"tais1"
                    ,"cell13_wound"
                    ,"cell13b_gun"
                  }
  ,Refresh      = choose_ {
                     ["default"] = [[Я стою у открытой двери и жду. Но никто не заходит.]]
                    ,["s._event"] = redirect_("EventDsc")
                  }
  ,Exit         = redirect_("Walk", "cell13b_door")
  ,Wait         = choose_ {
                     ["default"] =
                        chain_ {
                          music_("heartbeat2", 0),
                          set_("s._event"),
                          redirect_("EventDsc")
                        }
                    ,["cell13._left and not s._event"] =
                        walk_("gameover",
                          [[Я слышу шорох за дверью, в проёме мелькает чья-то фигура, и в следующую же секунду раздаётся
                            резкий хлопок. Шоковый пистолет! Я отпрыгиваю от стены, но уже поздно. Пуля вонзается мне в плечо, я делаю
                            несколько шагов и падаю.]])
                    ,["s._event"] =
                        walk_("gameover",
                          [[Я медлю, никак не могу решить, что нужно делать -- попытаться выскользнуть в дверь или напасть на одного
                            из моих тюремщиков.^
                            И тут Таис оборачивается.^
                            Она замечает меня и вскрикивает, я отпрыгиваю от двери, но уже поздно. Мужчина с пистолетом стреляет мне в
                            грудь, и я падаю на пол.]])
                  }
  ,EventDsc     = [[Вскоре в комнату заходит мужчина среднего роста. Он идёт осторожно и как будто вздрагивает при
                    каждом шаге. На нем тёмно-серый комбинезон, как на техниках с космических кораблей. Лысина у него затылке покрылась
                    потом. А ещё у него в руке шоковый пистолет.^
                    Сразу за ним, также медленно и осторожно, следует Таис. Оружия у неё нет -- по крайней мере, руки её свободны.^
                    Они оба останавливаются неподалеку от двери и смотрят на окровавленную постель. Думаю, у меня всего несколько секунд
                    перед тем, как они догадаются заглянуть за дверь.]]
  ,Return       = [[Вернуться в постель? Серьёзно?]]
}

cell13b_start = rooms.event
  [[Я жду.^
    Проходит довольно много времени -- по крайней мере, так мне кажется. Час, два часа, несколько минут? Я не уверен. Как будто я
    окончательно утратил чувство времени. Боль в правом плече расходится, повязка из оторванного рукава вновь становится влажной. 
    Неужели кровотечение возобновилось? Я чувствую слабость. Сейчас это будет совершенно не кстати.^
    Вдруг дверь со скрипом открывается.]]

cell13b_gun =  item {
   nam          = _"пистолет"
  ,TakeForce    = redirect_("Attack", "cell13b_man")
  ,cnd          = if_("cell13b._event")
}

cell13b_door = item {
   nam          = name_ {
                     ["default"] = _"дверь"
                    ,["Exit"] = _"комната"
                  }
  ,Exam         = choose_ {
                     ["default"] =
                        [[Дверь удачно скрывает меня -- даже если кто-нибудь заглянет внутрь, то меня будет не видно.
                          Теперь надо просто запастись терпением и ждать, когда они зайдут.]]
                    ,["cell13b._event"] = [[Дверь удачно скрывает меня.]]
                    ,["cell13._left"] =
                        [[Я стою с левой стороны дверного проема, а дверь открывается направо. Я вдруг понимаю, что не слишком удачно
                          выбрал место -- здесь меня могут заметить. Остаётся лишь надеяться, что мне повезет. И ждать.]]
                  }
  ,Approach     = choose_ {
                     ["default"] =
                        [[Не думаю, что это хорошая идея. Наверняка они только этого и ждут. Стоит мне выскользнуть в дверь, как меня
                          тут же схватят. Надо просто подождать, пусть они сделают первый шаг.]]
                    ,["cell13b._event"] =
                        walk_("gameover",
                          [[Я пытаюсь выскользнуть в открытую дверь, однако Таис и мужчина с пистолетом стоят слишком близко. Таис
                            слышит меня. Она обрачивается, а вслед за ней -- и мужчина. Потом я слышу звук выстрела.]])
                  }
  ,Open         = [[Дверь и так открыта.]]
  ,Close        = [[Я так долго ждал, когда дверь откроется, зачем мне теперь её закрывать?]]
  ,Wreck        = [[Это не имеет смысла.]]
  ,Crack        = redirect_("Open")
  ,Ascend       = redirect_("Wreck")
  ,Exit         = redirect_("Approach")
  ,articles     = { 
                     ["Walk"] = "к"
                    ,["Ascend"] = "на"
                    ,["Exit"] = "из"
                  }
}:like(pDoor)

cell13b_man = item {
   nam          = _"мужчина"
  ,Exam         = [[Странно, но он и правда одет, как техник с космического корабля. На секунду у меня даже мелькает странная мысль, что
                    я уже видел его раньше. В любом случае я не узнаю это, пока он не обернётся.]]
  ,Attack       = walk_("gameover",
                    [[Я бросаюсь на мужчину, однако Таис замечает меня первой. Она вскрикивает, мужчина быстро оборачивается, и в следующую
                      же секунду шоковый разряд бьёт мне в грудь.]])
  ,Listen       = [[Они молчат. Видимо, моя окровавленная кровать всерьёз их поразила.]]
  ,Talk         = [[Да, может, стоит просто поздороваться? Это решит все мои проблемы, определённо.]]
  ,Approach     = redirect_("Attack")
  ,withTakeForce= true
  ,articles     = {
                    ["TakeForce"] = "у"
                  }
  ,cnd          = if_("cell13b._event")
}:like(pHuman)

tais1 = item {
   nam          = _"Таис"
  ,Exam         = [[Как же всё-таки она похожа на Лиду. Нет, это не может быть простым совпадением!]]
  ,Attack       = walk_("cell13cstart")
  ,Listen       = redirect_("Listen", "cell13b_man")
  ,Talk         = [[Мне всё-таки кажется, что сейчас не лучшее время для разговоров.]]
  ,Approach     = redirect_("Attack")
  ,cnd          = if_("cell13b._event")
}:like(pHuman)


---------------------------------------------------------------------------------------------------
--cell13c
---------------------------------------------------------------------------------------------------
cell13cstart = pause {
   enter        = mute_(4000,0)
  ,time         = 2000
  ,next         = walkfast2_("cell13c")
}

cell13c = scene {
   enter        = music_("droplet2", 0)
  ,obj          = {
                     "cell13c_start"
                    ,"cell13c_man"
                    ,"tais2"
                    ,"cell13c_door"
                    ,"cell13c_gun"
                  }
  ,Refresh      = [[Я стою у двери из камеры, прикрываясь телом Таис от наведённого на меня пистолета. Острый обломок антенны прижат
                    к горлу девушки.]]
  ,Wait         = [[Вряд ли это хорошая идея.]]
  ,Return       = [[Пути назад уже нет.]]
  ,Exit         = redirect_("Walk", "cell13c_door")
}

cell13c_start = rooms.event
  [[Я решаю действовать осторожно. Таис стоит всего в метре от меня. Я выхожу из-за двери, стараясь не издавать ни звука, однако Таис всё
    равно что-то чувствует. Она чуть заметно вздрагивает и начинает оборачиваться.^
    Я бросаюсь на неё.^
    В руке у меня обломок антенны. Я выставляю его вперед как нож. Таис видит меня, но уже поздно. Она даже не успевает ничего сказать. Её
    глаза расширяются. Я приставляю обломок антенны к её горлу, и тут же мужчина в форме техника оборачивается и наводит на меня пистолет.]]

cell13c_gun =  item {
   nam          = _"пистолет"
  ,TakeForce    = redirect_("Attack", "cell13c_man")
  ,cnd          = not_("inter_door._close")
}

cell13c_man = item {
   _talk        = 0
  ,nam          = _"мужчина"
  ,Exam         = [[Мужчине на вид лет сорок или пятьдесят, у него слегка одутловатое и сонное лицо, а пистолет в руке чуть заметно дрожит.
                    Да, он явно не военный.^
                    Только бы они не вызвали подмогу.]]
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Брось пистолет! -- кричу я мужчине.^
                            Его рука вздрагивает, но дуло по-прежнему направлено на меня.^
                            -- Ну же!^
                            -- Не надо, Алик! -- вмешивается Таис. -- Он не сделает это! Я знаю!^
                            -- Не сделаю, да? -- говорю я угрожающим голосом и тут же думаю, что действительно не смогу её убить. -- Брось
                            пистолет! -- повторяю я. -- Мне терять нечего!^
                            Но мужчина всё ещё целится в меня.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Брось пистолет! -- кричу я. -- Брось!^
                            -- Нет! -- неожиданно твёрдо говорит мужчина; кажется, даже рука его перестает дрожать. -- Пистолет заряжен
                            шоковыми, так что не страшно, если я задену Таис. Это вы бросайте.^
                            -- Шоковый заряд мгновенно не действует, -- говорю я. -- Только попробуйте сделать что-то, и эта штука окажется
                            у неё в горле!^
                            -- Это не смертельно, -- отвечает мужчина. -- А здесь есть медики. Конечно, я предпочёл бы, чтобы вы этого не делали,
                            так что не нужно меня вынуждать.^
                            -- Стреляй, Алик! -- кричит Таис. -- Стреляй в меня и...^
                            Я прижимаю к её горлу обломок антенны, и она замолкает.]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Брось оружие! -- говорю я. -- Брось или...^
                            -- Так вы ничего не добьетесь, -- говорит мужчина. -- Пистолет я не брошу, и вы отсюда не выйдете. Отпустите Таис.]]
                        }
                    ,["s._talk==3"] = 
                        [[Нет, так у меня ничего не получится. Пистолет он бросать явно не собирается. Да и если даже бросит -- что потом? Поднять
                          оружие я всё равно не смогу. Надо придумать что-нибудь другое.]]
                  }
  ,Listen       = redirect_("Talk")
  ,Attack       = [[Не думаю, что это хорошая идея. Он наверняка успеет выстрелить. К тому же, мне придётся отпустить Таис.]]
  ,Approach     = [[Я бы предпочёл держаться от него подальше.]]
  ,Threat       = [[Сомневаюсь, что это подействует.]]
  ,withTakeForce= true
  ,articles     = {
                    ["TakeForce"] = "у"
                  }
  ,cnd          = not_("inter_door._close")
}:like(pHuman)

tais2 = item {
   _talk        = 0
  ,_threat      = 0
  ,_box         = false
  ,_door        = false
  ,_key         = false
  ,_gun         = false
  ,_tazer       = false
  ,nam          = _"Таис"
  ,Exam         = [[Кажется, она не на шутку испугана. Что ж, тем лучше. Не будет сопротивляться.]]
  ,Threat       = choose_ {
                     ["default"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                inc_("s._threat"),
                                [[-- Брось! Брось оружие! -- кричу я, прижимая к горлу Таис обломок антенны.^
                                  Мужчина с шоковым пистолетом качает головой.^
                                  -- Отпустите её, -- спокойно говорит он. -- Менее, чем через минуту здесь будет наша группа. Вам не уйти.]]
                              }
                          ,["s._threat==1"] =
                              chain_ {
                                inc_("s._threat"),
                                [[-- Я убью её! -- кричу я.^
                                  -- Алик! -- вмешивается Таис. -- Он этого не сделает, поверь мне! Не опускай пистолет!]]
                              }
                          ,["s._threat==2"] = [[Нет, этого явно не помогает.]]
                        }
                    ,["here()==inter"] = [[Пока что в этом нет необходимости.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                inc_("s._talk"),
                                [[-- Боже, что вы с собой сделали? -- всхлипывает Таис и косится на мою руку.^
                                  -- Вытащил это ваше устройство! -- кричу я. -- Теперь вам меня не остановить!^
                                  -- Но что вы собираетесь делать? -- спрашивает дрожащим голосом Таис. -- Отсюда ведь...^
                                  -- Что? Что отсюда?^
                                  Но Таис молчит.]]
                              }
                          ,["s._talk==1"] =
                              chain_ {
                                inc_("s._talk"),
                                [[-- Зачем вы это делаете? -- говорит Таис. -- Вы так ничего не добьётесь!^
                                  -- Посмотрим, -- отвечаю я.]]
                              }
                          ,["s._talk==2"] =
                              chain_ {
                                inc_("s._talk"),
                                [[-- Перестаньте! -- молит меня Таис. -- Так вы ничего не добьётесь! Давайте я лучше осмотрю вашу руку. У вас
                                  идёт кровь!^
                                  -- Я больше не буду играть в ваши чёртовы игры! -- говорю я. -- Сегодня я либо выйду отсюда, либо умру.]]
                              }
                          ,["s._talk==3"] =
                              chain_ {
                                inc_("s._talk"),
                                [[-- Вы так ничего и не поняли! -- говорит Таис. -- Вы делаете только хуже!^
                                  -- Хуже? -- усмехаюсь я. -- Хуже, чем сидеть взаперти и быть подопытным кроликом?^
                                  -- Вы не понимаете! -- повторяет Таис. -- Мы пытались вам помочь!]]
                              }
                          ,["s._talk==4"] =
                              chain_ {
                                inc_("s._talk"),
                                [[-- Ещё немного, и вы потеряете сознание от кропопотери. Давайте я осмотрю вашу рану. Можете... продолжать
                                  угрожать мне.^
                                  -- Я, конечно, рад вашей заботе, -- говорю я, -- но, боюсь, мне придётся отказаться.]]
                              }
                          ,["s._talk==5"] =
                              [[-- Отпустите меня, -- просит Таис. -- Это самое разумное, что вы сейчас можете сделать.]]
                        }
                    ,["inter_box._exam1 and not s._box and not inter_box._open"] =
                        chain_ {
                          set_("s._box"),
                          [[-- Как его открыть? -- спрашиваю я Таис, показывая на шкаф.^
                            -- Я не знаю. Возможно, ключ у Алика, -- говорит Таис.^
                            -- Не ври мне!^
                            -- Я не знаю! -- всхлипывает Таис. -- У меня нет ключа.]]
                        }
                    ,["inter_door._close and not s._door"] =
                        chain_ {
                          set_("s._door"),
                          [[-- И чего вы добились? -- спрашивает Таис. -- Он сейчас вызовет охрану. Уже через минуту они будут здесь.^
                            -- Зато меня здесь уже не будет, -- говорю я.^
                            -- Вас схватят. Что вы сделаете им этой... штукой.^
                            -- Именно поэтому ты пойдешь со мной, -- немного помедлив, отвечаю я.]]
                        }
                    ,["inter_box._open and not s._key and s._box"] =
                        chain_ {
                          set_("s._key"),
                          [[-- Значит, говоришь, не знала, где ключ? -- спрашиваю я Таис.^
                            Но она лишь молчит в ответ.]]
                        }
                    ,["shockgun._take and not s._gun"] =
                        chain_ {
                          set_("s._gun"),
                          [[-- Здесь есть где-нибудь заряды от шокового? -- спрашиваю я Таис.^
                            -- Нет, -- неуверенно отвечает Таис. -- Я не знаю. Это правда! Я вообще никогда не открывала этот шкаф.]]
                        }
                    ,["tazer._exam and not s._tazer"] =
                        chain_ {
                          set_("s._tazer"),
                          [[-- Интересное у вас медицинское учреждение, -- говорю я. -- Тазер смертельного действия как-то не очень
                            хорошо вписывается в вашу легенду, вы не находите?^
                            -- Это, наверное, Алика, -- отвечает Таис. -- Его не должно быть здесь... Просто шоковые пистолеты... если
                            уровень адреналина высокий, то они действуют медленно...^
                            -- Ну да, восемьдесят тысяч вольт действуют, бесспорно, гораздо быстрее! -- усмехаюсь я. -- Какая забота
                            о "пациентах" однако!]]
                        }
                  }
  ,Listen       = redirect_("Talk")
  ,Attack       = [[Она в моих руках и не сопротивляется.]]
  ,Approach     = [[Таис стоит рядом.]]
}:like(pHuman)

cell13c_door = item {
   _walk        = 0
  ,nam          = name_ {
                     ["default"] = _"дверь"
                    ,["Walk"] = _"дверь|выход"
                    ,["Exit"] = _"комната"
                  }
  ,Exam         = [[Дверь до сих пор открыта.]]
  ,Walk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._walk"),
                          [[Я начинаю пятиться к открытой двери, прикрываясь Таис. Девушка сопротивляется, и мне приходится
                            сильнее прижать обломок антенны к её горлу. На её шее выступает кровь.^
                            -- Стойте! -- кричит мужчина и угрожающе взмахивает пистолетом. -- Я выстрелю!^
                            -- Хотели бы выстрелить, давно бы выстрелили, -- говорю я, хотя вовсе в этом не уверен.]]
                        }
                    ,["s._walk==1"] =
                        chain_ {
                          inc_("s._walk"),
                          [[Я медленно подхожу к двери, не сводя глаз с мужчины. Тот нервно закусывает губы и водит пистолетом из стороны
                            в сторону, делая вид, что прицеливается мне в голову. Таис больше не сопротивляется.^
                            -- Ещё один шаг, -- говорит мужчина, -- и я буду стрелять.]]
                        }
                    ,["s._walk==2"] =
                        chain_ {
                          light_(false),
                          walk_("inter")
                        }
                  }
  ,Exit         = redirect_("Walk")
  ,Open         = [[Дверь и так открыта.]]
  ,Close        = [[Зачем это делать? Ведь это единственный мой путь наружу.]]
  ,Wreck        = redirect_("Open")
  ,Crack        = redirect_("Open")
  ,articles     = {
                    ["Exit"] = "из"
                  }
}:like(pDoor)


---------------------------------------------------------------------------------------------------
--inter
---------------------------------------------------------------------------------------------------
inter = scene {
   obj          = {
                     "inter_start"
                    ,"inter_door"
                    ,"inter_doorlamp"
                    ,"inter_exit"
                    ,"inter_exitdoor"
                    ,"inter_table"
                    ,"inter_mag"
                    ,"inter_penal"
                    ,"inter_cup"
                    ,"inter_keyboard"
                    ,"keycard"
                    ,"inter_monitor"
                    ,"inter_box"
                    ,"shockgun"
                    ,"tazer"
                    ,"tais2"
                    ,"cell13c_man"
                  }
  ,Refresh      = [[Мы находимся в небольшой тёмной комнатке, напоминающей тесную клетку для охранников в муниципальных домах. У стены
                    рядом с дверью стоит неуклюжий канцелярский стол, на котором громоздятся массивные старомодные мониторы -- один из них выключен,
                    а второй показывает изображение с камеры. У другой стены стоит огромный металлический шкаф, напоминающий несгораемый
                    сейф для ценностей или ячейку для хранения оружия.^
                    Здесь есть выход в коридор, и, кажется, дверь незакрыта.]]
  ,Wait         = choose_ {
                     ["default"] = [[Бессмысленно ждать чего-то, надо действовать.]]
                    ,["inter_door._close"] = 
                        [[Скорее всего, Таис права, и сюда в любую секунду могут вломиться охранники. Мне надо торопиться.]]
                  }
  ,Return       = [[Ну уж нет! Я больше туда не вернусь! Никогда!]]
  ,Exit         = redirect_("Walk", "inter_exitdoor")
}

inter_start = rooms.event
  [[Я игнорирую угрозы мужчины и продолжаю двигаться к двери. Несколько шагов -- и я оказываюсь за пределами камеры. Мужчина подходит поближе и
    прицеливается мне в голову, но не стреляет.^
    -- Стойте! -- кричу я. -- Если вам дорога её жизнь!^
    Если я буду действовать быстро, то смогу запереть его в камере.]]

inter_door = item {
   _close       = false
  ,nam          = _"дверь в камеру"
  ,Exam         = [[Я уже насмотрелся на эту дверь.]]
  ,Wreck        = [[Это не имеет смысла.]]
  ,Open         = choose_ {
                     ["default"] = [[Дверь и так открыта.]]
                    ,["s._close"] = [[Нет, я не собираюсь больше открывать эту дверь.]]
                  }
  ,Close        = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._close"),
                          mute_(4000,0),
                          [[Продолжая прижимать к горлу Таис обломок антенны, я хватаю дверь за выпирающую металлическую панель и толкаю её на
                            себя. Мужчина с пистолетом, наконец, понимает, что я собираюсь сделать, и бросается на меня, но уже поздно. Дверь 
                            захлопывается.^
                            В этот же момент над дверью загорается красная лампа -- видимо, сработали автоматические замки. Таис вздрагивает.]]
                        }
                    ,["s._close"] = [[Дверь уже закрыта.]]
                  }
  ,Approach     = choose_ {
                     ["default"] = [[Я и так стою рядом с дверью в камеру. Дверь всё ещё открыта.]]
                    ,["s._close"] = [[Я подхожу к двери в камеру. Дверь закрыта.]]
                  }
  ,Wreck        = redirect_("Open")
  ,Crack        = redirect_("Open")
}:like(pDoor)

inter_exit = item {
   nam          = name_ {
                     ["default"] = _"выход"
                    ,["Walk"] = _"коридор"
                    ,["Exit"] = _"коридор"
                  }
  ,Exam         = redirect_("Exam", "inter_exitdoor")
  ,Open         = redirect_("Open", "inter_exitdoor")
  ,Close        = redirect_("Close", "inter_exitdoor")
  ,Walk         = redirect_("Walk", "inter_exitdoor")
  ,Exit         = redirect_("Walk", "inter_exitdoor")
  ,Approach     = redirect_("Walk", "inter_exitdoor")
  ,Wreck        = redirect_("Wreck", "inter_door")
  ,articles     = {
                     ["Approach"] = "к"
                    ,["Exit"] = "в"
                  }
}:like(pLocation)

inter_exitdoor = item {
   nam          = _"дверь в коридор"
  ,Exam         = [[Дверь в коридор не заперта, мне ничего не стоит выйти отсюда.]]
  ,Open         = redirect_("Exam")
  ,Wreck        = [[Не надо сходить с ума.]]
  ,Close        = [[Запереть дверь в коридор? Зачем? Не думаю, что это хорошая идея. Лучше попробовать убежать, вряд ли я смогу долго
                    держать здесь оборону.]]
  ,Walk         = choose_ {
                     ["default"] = [[Надо сначала закрыть дверь в камеру.]]
                    ,["inter_door._close and not have(tazer)"] =
                        [[Сначала надо бы осмотреться. Возможно, я смогу найти какую-нибудь замену обломку антенны.]]
                    ,["inter_door._close and have(tazer)"] =
                        chain_ {
                          drop_("tazer"),
                          drop_("antenna1"),
                          walk_("passlinestart")
                        }
                  }
  ,Approach     = redirect_("Walk")
  ,articles     = {
                    ["Walk"] = "к"
                  }
}:like(pBuild)

inter_doorlamp = item {
   nam          = _"лампа над дверью"
  ,Exam         = choose_ {
                     ["default"] = [[Лампа горит зелёным -- видимо, потому что дверь открыта.]]
                    ,["inter_door._close"] = 
                        [[Лампа светится красным, дверь заблокирована, а из камеры её открыть, разумеется, нельзя. Мужчина с пистолетом в ловушке.]]
                  }
  ,Wreck        = [[Не вижу причин делать это.]]
  ,Approach     = [[Лампа на потолке, не представляю, как можно подойти к ней поближе.]]
  ,Take         = redirect_("Wreck")
  ,TurnOn       = [[Лампа и так светится.]]
  ,TurnOff      = redirect_("Wreck")
}:like(pBuild)

inter_table = item {
   _exam        = false
  ,nam          = _"стол"
  ,Exam         = choose_ {
                     ["default"] = [[Думаю, стоит сначала закрыть дверь в камеру, прежде чем всё здесь осматривать.]]
                    ,["inter_door._close"] =
                        chain_ {
                          set_("s._exam"),
                          [[Помимо огромной клавиатуры с механическими клавишами, на столе лежат несколько электронных журналов, стоит
                            пустая кружка для чая и пластмассовый пенал.]]
                        }
                  }
                  
  ,Move         = [[Не вижу смысла двигать стол.]]
  ,Sit          = [[Сомневаюсь, что у меня получится сесть за стол, не отпуская при этом Таис.]]
  ,Lie          = [[Не думаю, что это хорошая идея.]]
  ,Ascend       = redirect_("Lie")
  ,withPut      = true
  ,withPutIn    = true
  ,withPutAway  = true
  ,articles     = {
                     ["PutIn"] = "в"
                    ,["PutAway"] = "в"
                    ,["Throw"] = "на"
                  }
}:like(pTable)

inter_mag = item {
   nam          = _"электронные журналы"
  ,Exam         = [[Обычные электронные журналы -- экран одного чуть надорван, и изображение на нём расходится чёрными кляксами, а два других
                    вполне рабочие. На одном из журналов мелькает аннотация статьи о туннелях Квадровского. Кажется, это сборники научно-популярной
                    литературы.]]
  ,Take         = [[Вряд ли мне это пригодится.]]
  ,TakeFrom     = use_ {
                     ["default"] = [[Не представляю, как это сделать.]]
                    ,["nil"] = redirect_("Take")
                    ,["inter_table"] = redirect_("Take")
                  }
  ,Read         = [[Сейчас не до этого. Сюда в любую минуту могут вломиться охранники.]]
  ,Tear         = [[Мне некогда возиться с этими журналами.]]
  ,Move         = redirect_("Read")
  ,Open         = redirect_("Read")
  ,Close        = redirect_("TurnOff")
  ,TurnOn       = [[Такие журналы включены постоянно.]]
  ,TurnOff      = [[Отключить электронный журнал нельзя -- разве что порвать его, как лист бумаги.]]
  ,cnd          = if_("inter_table._exam")
}:like(pDevice)

inter_cup = item {
   nam          = _"пустая кружка"
  ,Exam         = [[Пустая кружка из керамики или глянцевого пластика. Судя по тёмному налету, из неё часто пьют кофе.]]
  ,Take         = [[Не думаю, что мне потребуется кружка.]]
  ,TakeFrom     = use_ {
                     ["default"] = [[Не представляю, как это сделать.]]
                    ,["nil"] = redirect_("Take")
                    ,["inter_table"] = redirect_("Take")
                  }
  ,Move         = [[Я поднимаю кружку со стола, а затем снова ставлю её рядом с клавиатурой.]]
  ,Wreck        = [[Сомневаюсь, что осколки кружки заменят мою самодельную заточку из антенны.]]
  ,withPut      = true
  ,withPutIn    = true
  ,withPutAway  = true
  ,withThrow    = true
  ,articles     = {
                     ["Put"] = "в"
                    ,["PutIn"] = "в"
                    ,["PutAway"] = "в"
                    ,["Throw"] = "в"
                  }
  ,cnd          = if_("inter_table._exam")
}:like(pItem)

inter_penal = item {
   nam          = _"пенал"
  ,Exam         = [[Пустой пластмассовый пенал. Интересно, что в нём лежало?]]
  ,Take         = [[Сомневаюсь, что мне будет от него какая-то польза.]]
  ,TakeFrom     = use_ {
                     ["default"] = [[Не представляю, как это сделать.]]
                    ,["nil"] = redirect_("Take")
                    ,["inter_table"] = redirect_("Take")
                  }
  ,Move         = [[У меня нет на это времени.]]
  ,Open         = [[Пенал открыт.]]
  ,Wreck        = [[Сломать эту штуку не так-то просто, материал, из которого она сделана, довольно крепкий.]]
  ,Close        = [[Пенал не закрывается.]]
  ,withPut      = true
  ,withPutIn    = true
  ,withPutAway  = true
  ,withThrow    = true
  ,articles     = {
                     ["Put"] = "в"
                    ,["PutIn"] = "в"
                    ,["PutAway"] = "в"
                    ,["Throw"] = "в"
                  }
  ,cnd          = if_("inter_table._exam")
}:like(pItem)

inter_keyboard = item {
   _exam        = false
  ,nam          = name_ {
                     ["default"] = _"клавиатура"
                    ,["Press"] = _"кнопка на клавиатуре"
                  }
  ,Exam         = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._exam"),
                          [[Между верхними рядами клавиш подтолкнута магнитная карта.]]
                        }
                    ,["have(keycard)"] = [[Обычная эргономическая клавиатура, ничего интересного.]]
                  }
  ,Take         = [[Не думаю, что мне пригодится клавиатура.]]
  ,Move         = [[У меня как-то нет желания переставлять клавиатуру с места на место. Надо поскорее убираться отсюда.]]
  ,Wreck        = [[Лучше оставить клавиатуру в покое, у меня есть заботы поважнее.]]
  ,Press        = [[Я нажимаю на несколько кнопок на клавиатуре -- ничего не происходит.]]
  ,withTakeFrom = true
  ,articles     = {
                     ["Press"] = "на"
                    ,["TakeFrom"] = "из"
                  }
  ,cnd          = if_("inter_table._exam")
}:like(pItem)

keycard = item {
   nam          = _"магнитная карта"
  ,Exam         = [[Это магнитный ключ, но, судя по форме, он не подходит для дверных замков.]]
  ,Take         = choose_ {
                     ["default"] = takeit_ [[Я беру магнитную карту.]]
                    ,["have(keycard)"] = [[Магнитная карта у меня.]]
                  }
  ,Throw        = choose_ {
                     ["default"] = [[Может попробовать для начала открыть им шкаф?]]
                    ,["inter_box._open"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                dropself,
                                [[Поразмыслив пару секунд, я решаю, что магнитная карта мне больше не пригодится.]]
                              }
                          ,["not inter_box._open"] = [[Может, сначала попробовать открыть этой карточкой шкаф?]]
                        }
                  }
  ,TakeFrom     = use_ {
                     ["default"] = [[Не представляю, как это сделать.]]
                    ,["inter_table"] = redirect_("Take")
                    ,["inter_keyboard"] = redirect_("Take")
                  }
  ,Put          = redirect_("Throw")
  ,PutIn        = redirect_("Throw")
  ,PutAway      = redirect_("Throw")
  ,Wreck        = [[Я думаю, стоит поберечь эту карту.]]
  ,withOpen     = true
  ,cnd          = if_("inter_keyboard==nil or inter_keyboard._exam")
}:like(pItem)

inter_monitor = item {
   _off         = false
  ,nam          = _"монитор"
  ,Exam         = choose_ {
                     ["default"] =
                        [[На монитор передаётся картинка с панорамной камеры над дверью. Я вижу мужчину с пистолетом. Он нервно расхаживает перед
                          камерой, прижимая одну руку к уху. Говорит с кем-то по коммуникатору? Мне надо торопиться.]]
                    ,["s._off"] = [[Монитор сейчас отключен.]]
                  }
  ,TurnOn       = choose_ {
                     ["default"] = [[Монитор и так включен.]]
                    ,["s._off"] =
                        chain_ {
                          unset_("s._off"),
                          [[Я включаю монитор.]]
                        }
                  }
  ,TurnOff      = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._off"),
                          [[Я касаюсь пальцем сенсорной кнопки и отключаю монитор.]]
                        }
                    ,["s._off"] = [[Монитор и так отключен.]]
                  }
  ,Move         = [[Не вижу в этом смысла.]]
  ,Wreck        = redirect_("Move")
  ,Ascend       = [[Спокойнее! Я должен взять себя в руки.]]
  ,articles     = {
                    ["Look"] = "в"
                  }
}:like(pDevice)

inter_box = item {
   _open        = false
  ,_exam1       = false
  ,_exam2       = false
  ,nam          = _"шкаф"
  ,Exam         = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("s._exam1"),
                          [[Высокий шкаф из толстых листов металла. Наверняка, там лежит что-нибудь интересное. Однако шкаф, судя по всему, закрыт.]]
                        }
                    ,["s._open and not have(tazer)"] =
                        chain_ {
                          set_("s._exam2"),
                          [[В шкафу на верхней полке лежат тазер и шоковый пистолет. Все остальные полки пусты.]]
                        }
                    ,["s._open and have(tazer)"] = [[В шкафу остался только шоковый пистолет.]]
                  }
  ,Open         = choose_ {
                     ["default"] =
                        use_ {
                           ["default"] =
                              chain_ {
                                set_("s._exam1"),
                                [[Шкаф закрыт. Здесь должен быть какой-нибудь ключ или магнитная карта.]]
                              }
                          ,["antenna1"] =
                              chain_ {
                                set_("s._exam1"),
                                [[Сомневаюсь, что у меня что-нибудь получится. Да и я не смогу тогда удерживать Таис.]]
                              }
                          ,["keycard"] =
                              chain_ {
                                set_("s._open"),
                                [[Я провожу магнитной картой рядом с замком, раздаётся щелчок, и одна из дверей чуть подаётся вперед. Ключ подошёл! 
                                  Теперь осталось проверить, была ли действительно оправдана эта потеря времени.]]
                              }
                        }
                    ,["s._open"] = [[Шкаф уже открыт.]]
                  }
  ,Move         = [[Это же почти бронированный сейф! Сломать такой без инструментов у меня не получится.]]
  ,Wreck        = redirect_("Move")
  ,Crack        = redirect_("Open")
  ,withPut      = true
  ,withPutIn    = true
  ,withPutAway  = true
  ,withThrow    = true
  ,withTakeFrom = true
  ,articles     = {
                     ["Put"] = "в"
                    ,["PutIn"] = "в"
                    ,["PutAway"] = "в"
                    ,["Throw"] = "в"
                    ,["TakeFrom"] = "из"
                  }
}:like(pBuild)

shockgun = item {
   _take        = false
  ,nam          = _"шоковый пистолет"
  ,Exam         = [[Пистолет с шоковыми кинетическими зарядами -- точно таким же угрожал мне тот лысый мужчина, который сейчас заперт в моей камере.]]
  ,Move         = [[Не время сейчас заниматься этим.]]
  ,Take         = chain_ {
                    set_("s._take"),
                    [[Я уже собираюсь взять шоковый пистолет, как вдруг замечаю, что он не заряжен. А зарядов нигде нет. В таком виде от него
                    точно не будет пользы.]]
                  }
  ,TakeFrom     = use_ {
                     ["default"] = [[Не представляю, как это сделать.]]
                    ,["nil"] = redirect_("Take")
                    ,["inter_box"] = redirect_("Take")
                  }
  ,Open         = [[Зарядов в пистолете нет.]]
  ,Wreck        = [[Не вижу в этом смысла.]]
  ,cnd          = if_("inter_box._exam2")
}:like(pItem)

tazer = item {
   _exam        = false
  ,nam          = name_ {
                     ["default"] = _"тазер"
                    ,["Read"] = _"характеристики тазера"
                  }
  ,Exam         = chain_ {
                    set_("s._exam"),
                    [[Тазер довольно здоровый и неудобный -- кажется, это какая-то старая модель, по крайней мере, я никогда таких не видел. 
                      Рукоятка у тазера тяжёлая и угловатая, с кожухом из желтого пластика, как у игрушечного пистолета. Рядом с рукояткой есть
                      табличка с характеристиками, на которой нарисован вычурный череп и стоит пометка -- восемьдесят тысяч вольт. Я несколько раз
                      перечитываю характеристики. Судя по всему, это тазер смертельного действия -- я о таких слышал, но в руках подобный
                      экземпляр мне держать ещё не приходилось. Подобные тазеры стреляют беспроводными электродами, однако радиус действия у них
                      обычно не очень большой -- десять, двенадцать метров, -- да и скорострельность уступает шоковым пистолетам. Однако
                      по сравнению с обломком антенны -- это уже серьёзное оружие.]]
                  }
  ,Read         = redirect_("Exam")
  ,Take         = choose_ {
                     ["default"] =
                        takeit_ 
                        [[Я забираю с полки тазер. Радиус действия у него небольшой, однако заряд... Восемьдесят тысяч вольт! Таким оружием можно с
                          лёгкостью убить. Тазер будет неплохой заменой обломку антенны.]]
                    ,["have(tazer) or have(tazer2) or have(tazer3)"] = "Тазер уже у меня в руках."
                  }
  ,TakeFrom     = use_ {
                     ["default"] = [[Не представляю, как это сделать.]]
                    ,["nil"] = redirect_("Take")
                    ,["inter_box"] = redirect_("Take")
                  }
  ,Move         = redirect_("Move", "shockgun")
  ,Open         = [[В тазер вставлен кардридж. Судя по индикатору, зарядов ещё много.]]
  ,Put          = [[Лучше не выпускать его из рук.]]
  ,Throw        = use_ {
                     ["default"] = [[Тазер нужно использовать не так.]]
                    ,["nil"] = [[Я не собираюсь выбрасывать тазер.]]
                  }
  ,Wreck        = [[Тазер мне ещё пригодится.]]
  ,Shoot        = use_ {
                     ["default"] = [[Не думаю, что мне нужно в кого-то стрелять.]]
                    ,["tais2"] = [[Убить сейчас Таис было бы по меньшей мере глупо.]]
                  }
  ,withThreat   = true
  ,cnd          = if_("inter_box._exam2")
}:like(pItem)
