---------------------------------------------------------------------------------------------------
--inter2
---------------------------------------------------------------------------------------------------
inter2start = pause {
   time         = 3000
  ,next         = walk_("inter2")
}

inter2 = scene {
   _talk        = 0
  ,_topic       = 0
  ,_done        = false
  ,checkpoint   = true
  ,obj          = {
                     "inter2_start"
                    ,"inter2_itself"
                    ,"inter2_exitdoor"
                    ,"inter2_doorlamp"
                    ,"inter2_door"
                    ,"inter2_box"
                    ,"inter2_table"
                    ,"inter2_monitor"
                    ,"inter2_phone"
                    ,"inter2_keyboard"
                    ,"tazer_block2"
                    ,"cmn_floor"
                    ,"cmn_ceil"
                    ,"tais3"
                  }
  ,Refresh      = redirect_("Exam", "inter2_itself")
  ,Wait         = [[Времени у меня совсем немного.]]
  ,TurnAround   = [[Здесь нет никого, кроме меня с Таис. Пока ещё нет.]]
  ,Exit         = redirect_("Walk", "inter2_exitdoor")
  ,Return       = redirect_("Exit")
  ,Threat       = [[В этом уже нет никакого смысла.]]
  ,tais0        = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Можешь вернуть мне картридж для тазера? -- спрашиваю я Таис.^
                            -- Нет, -- Таис мотает головой. -- Так мы не договаривались.^
                            -- Но они ведь могут ворваться сюда в любую секунду!^
                            -- Хочешь заблокировать дверь? -- спрашивает Таис. -- Это не поможет. Алик же сразу сказал
                            тебе -- если сделаешь что-то с замком, то пять минут они ждать не будут.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Но, может, мы могли бы как-нибудь по-другому заблокировать эту дверь?^
                            -- Как? -- Таис смотрит на меня и усмехается. -- Боюсь, кофе здесь нет.]]
                        }
                    ,["s._talk==2"] =
                        [[-- Лучше не теряй времени, -- говорит Таис. -- Алик терпением не отличается.]]
                  }
  ,tais1        = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- И как это понимать?^
                            В глазах Таис читается страх.^
                            -- Ты же говорила...^
                            -- Я понятия не имела, правда! Откуда я могла знать её имя? Я вообще об этом проекте узнала
                            случайно, Алик не должен был говорить мне!^
                            -- Опять ложь, сплошная ложь! -- говорю я. -- Значит, "выдуманная Лида"?^
                            -- Слушай, если бы я не хотела тебе помочь, то нас бы здесь не было. Иди к ней! Времени у нас
                            почти не осталось.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Ты не понимаешь, -- говорю я. -- Это же меняет всё. Ты почти убедила меня в том, что я
                            сумасшедший!^
                            -- А ты почти убедил меня в том, что Лида реальна, -- говорит Таис. -- Иди к ней!^
                            -- Но как это может быть... -- начинаю я. -- Ведь ты...^
                            -- Ты не там ищещь ответы, -- перебивает меня Таис.]]
                        }
                    ,["s._talk==2"] =
                        [[Не стоит тратить время на разговоры. Скоро Алик и его команда будут здесь. А Лида -- в соседней
                          комнате.]]
                  }
}

tazer_block2 = item {
   nam          = _"картридж"
  ,TakeForce    = [[Мне не хотелось бы отбирать у неё картридж силой, всё-таки она мне помогает.]]
  ,cnd          = if_("have(tazer3)")
}

inter2_start = rooms.event
  [[Я захожу с Таис в комнату, задерживаюсь на секунду на пороге и кричу Алику:^
    -- Если кто-то попробует войти сюда, я её застрелю!^
    -- Пять минут, -- говорит Алик. -- После этого мы заходим. А если вы заблокируете дверь, то мы начнём штурм немедленно. И на
    взлом нам потребуется куда меньше пяти минут.^
    Я делаю несколько шагов назад, и дверь закрывается, однако лампа над дверным проёмом всё ещё светится зелёным -- им не составит
    труда зайти сюда, если они захотят.]]

inter2_itself = item {
   nam          = _"комната"
  ,Exam         = [[Эта комната почти не отличается от такого же пункта наблюдения перед моей камерой -- здесь довольно тесно,
                    рядом с дверью в камеру стоит неуклюжий офисный стол с монитором, у противоположной стены подпирает
                    потолок высокий металлический шкаф.]]
  ,Walk         = [[Я прохаживаюсь по комнате.]]
}:like(pRoom)

inter2_exitdoor = item {
   nam          = name_ {
                     ["default"] = _"дверь в коридор"
                    ,["Walk"] = _"коридор"
                    ,["Exit"] = _"коридор"
                  }
  ,Exam         = [[Дверь в коридор сейчас не заперта, тёмно-серые вместе с Аликом могут в любой момент ворваться сюда.]]
  ,Open         = redirect_("Exam")
  ,Close        = [[Даже если ввести код блокировки, это ничего не даст -- они без проблем откроют дверь снаружи. Я мог бы попробовать
                    сломать электрический замок, как делал раньше, но мой тазер незаряжен.]]
  ,Approach     = [[Выйти в коридор -- это не слишком хорошая идея.]]
  ,Exit         = redirect_("Approach")
  ,Move         = redirect_("Open")
  ,Wreck        = [[Такую дверь сломать не получится.]]
  ,articles     = {
                     ["Walk"] = "в"
                    ,["Exit"] = "в"
                  }
}:like(pDoor)

inter2_doorlamp = item {
   nam          = _"лампа над дверью"
  ,Exam         = [[Лампа горит зелёным, дверь не заблокирована.]]
  ,Wreck        = [[Меня сейчас мало волнует эта лампа.]]
  ,Move         = redirect_("Wreck")
  ,Take         = redirect_("Wreck")
  ,Approach     = [[Лампа висит на потолке.]]
  ,TurnOn       = redirect_("Wreck")
  ,TurnOff      = redirect_("Wreck")
  ,Activate     = redirect_("Wreck")
}:like(pBuild)

inter2_door = item {
   nam          = name_ {
                     ["default"] = _"дверь в камеру"
                    ,["Enter"] = _"камера"
                    ,["Walk"] = _"камера"
                  }
  ,Exam         = [[Толстая дверь, обшитая стальными пластинами -- точно вход в какое-нибудь бомбоубежище.]]
  ,Close        = [[Эта дверь и так закрыта.]]
  ,Open         = choose_ {
                     ["default"] = 
                        [[Медлить бессмысленно, надо просто зайти. Там кто-то из команды "Ахилла" -- запертый в этой пустой бесцветной
                          тюрьме. Быть может, мне достаточно будет просто его увидеть. Один взгляд -- и память моя исцелится. Все эти
                          странные разрозненные воспоминания, сны, кошмары, образы соединятся воедино. Но, может, не произойдет ничего.^
                          Я нерешительно стою перед дверью. Таис удивлённо поглядывает на меня.^
                          -- Хочешь, можем сначала посмотреть изображение с камеры? -- предлагает она.]]
                    ,["inter2._done and have(tazer3)"] =
                        [[-- Ты не думаешь, что лучше не идти туда с этой штукой? -- говорит Таис, показывая на тазер, который я всё ещё
                          сжимаю в руке. -- Пользы от него уже никакой, а она может испугаться. Мне говорили, что у неё очень...
                          нестабильное состояние.^
                          -- Да, пожалуй, ты права, -- соглашаюсь я.]]
                    ,["inter2._done and not have(tazer3)"] = walk_("cell14")
                  }
  ,Move         = redirect_("Open")
  ,Enter        = redirect_("Open")
  ,Approach     = redirect_("Open")
  ,Wreck        = [[Нет смысла ломать дверь, которую можно просто открыть.]]
  ,articles     = {
                     ["Enter"] = "в"
                    ,["Walk"] = "в"
                  }
}:like(pDoor)

inter2_box = item {
   _open        = false
  ,nam          = _"шкаф"
  ,Exam         = [[Высокий металлический шкаф -- точно такой же, как и в наблюдательной комнате рядом с моей камерой. И, судя по
                    всему, точно так же закрыт.]]
  ,Open         = use_ {
                     ["default"] = [[Голыми руками открыть такой шкаф не выйдет.]]
                    ,["keycard"] =
                        choose_ {
                           ["default"] =
                              chain_ {
                                set_("s._open"),
                                [[Я провожу ключ-картой над панелью замка, но в ответ раздаётся лишь сердитый гудок, а индикатор на
                                  панели мигает красным.^
                                  -- Что ты делаешь? -- спрашивает Таис. -- Здесь совсем другие коды. Да и зачем его открывать? Тебе
                                  нужно оружие?]]
                              }
                          ,["s._open"] = [[Нет, эта ключ-карта не подходит.]]
                        }
                  }
  ,Walk         = redirect_("Exam")
  ,Move         = [[Сомневаюсь, что смогу сдвинуть такой шкаф с места.]]
  ,Wreck        = [[Это даже не шкаф, а бронированный сейф. Открыть его без ключ-карты я точно не смогу.]]
  ,Crack        = redirect_("Wreck")
}:like(pBuild)

inter2_table = item {
   nam          = _"стол"
  ,Exam         = [[Обычный стол с плоским монитором и старомодной эргономичной клавиатурой. Честно говоря, я сейчас не в том
                    состоянии, чтобы разглядывать чьи-то вещи. Да и времени у меня не так много.]]
  ,Move         = [[Не вижу смысла двигать стол.]]
  ,Wreck        = [[Мне не до этого.]]
  ,Ascend       = redirect_("Wreck")
  ,Open         = redirect_("Wreck")
  ,Close        = redirect_("Wreck")
  ,Approach     = redirect_("Exam")
}:like(pTable)

inter2_monitor = item {
   _on          = false
  ,nam          = _"монитор|компьютер"
  ,Exam         = choose_ {
                     ["default"] = 
                        [[Плоский широкоформатный монитор со встроенным вычислительным модулем. По традиции всего оборудования в этом
                          комплексе -- без каких-либо обозначений производителя. Монитор сейчас не работает.]]
                    ,["s._on"] = [[На монитор выводится изображение с камеры -- я вижу пустую широкую комнату с белыми стенами.]]
                  }
  ,TurnOn       = choose_ {
                     ["default"] = 
                        chain_ {
                          set_("s._on"),
                          [[Я пытаюсь включить монитор. Изображение на экране вспыхивает, однако вместо картинки
                            с камеры появляется чёрно-белое окно служебного терминала.^
                            -- Подожди, -- говорит Таис. -- Сейчас.^
                            Она подходит к столу и набирает что-то на клавиатуре. На мониторе появляется изображение комнаты -- такой
                            же, как и моя. Стерильные белые стены, узкая койка, привинченная к полу. На кровати лежит человек
                            в светлой робе -- он повернулся к камере спиной, и его не видно.^
                            -- Вот. -- Таис пододвигает ко мне серебристую сферу в грубой металлической оправе, похожую на модель планеты,
                            отлитую из ртути. -- Можешь говорить в микрофон.]]
                        }
                    ,["s._on"] = [[Монитор уже включен.]]
                  }
  ,Take         = "Не понимаю, зачем мне поднимать монитор."
  ,TakeFrom     = use_ {
                     ["default"] = "Не представляю, как это сделать."
                    ,["nil"] = redirect_("Take")
                    ,["inter2_table"] = redirect_("Take")
                  }
  ,Ascend       = "Не надо сходить с ума."
  ,TurnOff      = choose_ {
                     ["default"] = [[Монитор не включён.]]
                    ,["s._on"] = [[Нет времени этим заниматься, сколько уже можно ждать? Надо просто зайти в камеру.]]
                  }
  ,Wreck        = [[Лучше просто оставить этот монитор в покое.]]
  ,Move         = redirect_("Wreck")
  ,articles     = {
                    ["Look"] = "в"
                  }
}:like(pDevice)

inter2_keyboard = item {
   _exam        = false
  ,nam          = name_ {
                     ["default"] = _"клавиатура"
                    ,["Press"] = _"кнопка на клавиатуре"
                  }
  ,Exam         = [[Обычная эргономическая клавиатура, ничего интересного.]]
  ,Take         = [[Не думаю, что мне пригодится клавиатура.]]
  ,TakeFrom     = use_ {
                     ["default"] = "Не представляю, как это сделать."
                    ,["nil"] = redirect_("Take")
                    ,["inter2_table"] = redirect_("Take")
                  }
  ,Move         = [[У меня как-то нет желания переставлять клавиатуру с места на место. Времени и так почти не осталось.]]
  ,Wreck        = [[Лучше оставить клавиатуру в покое, у меня есть заботы поважнее.]]
  ,Press        = [[У меня нет времени на это.]]
}:like(pItem)

inter2_phone = item {
   _talk        = 0
  ,nam          = "микрофон"
  ,Exam         = [[Никогда не видел такие микрофоны. Возможно, в него встроен модулятор голоса или ещё что-нибудь.]]
  ,Move         = [[Я пододвигаю микрофон поближе к себе.]]
  ,Take         = [[Я поднимаю микрофон со стола, однако держать его в руках не очень удобно, и я ставлю его обратно.]]
  ,TakeFrom     = use_ {
                     ["default"] = "Не представляю, как это сделать."
                    ,["nil"] = redirect_("Take")
                    ,["inter2_table"] = redirect_("Take")
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Встаньте! -- говорю я.^
                            Человек на кровати вздрагивает, но продолжает лежать.^
                            -- Встаньте! -- повторяю я. -- Пожалуйста, встаньте!^
                            Человек в робе странно изгибается, точно в приступе боли, приподнимается на одной руке, а
                            затем на садится на кровати. Кажется, это женщина. Однако я по-прежнему не вижу её лица.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          inctopic,
                          set_("inter2._done"),
                          [[Я молчу несколько секунд, уставившись в изображение на мониторе, затем сглатываю слюну и
                            медленно произношу в микрофон:^
                            -- Назовите своё имя.^
                            Женщина на кровати в ответ странно мотает головой.^
                            -- Назовите своё имя, -- упорствую я.^
                            Женщина несколько секунд молчит, а затем тихо, едва слышно произносит:^
                            -- Лидия.^
                            Я вздрагиваю и отшатываюсь от микрофона. Таис испуганно смотрит на меня.]]
                        }
                    ,["s._talk==2"] = [[Мне нужно просто зайти в камеру, я должен увидеть её сам.]]
                  }
  ,Wreck        = [[Как будто мне больше нечем заняться.]]
  ,articles     = {
                    ["Talk"] = "в"
                  }
  ,cnd          = if_("inter2_monitor._on")
}:like(pItem)


---------------------------------------------------------------------------------------------------
--cell14
---------------------------------------------------------------------------------------------------
cell14 = scene {
   enter        = playonce_("spring",0)
  ,obj          = {
                     "cell14_start"
                    ,"cell14_itself"
                    ,"cell14_toilet"
                    ,"cell14_walls"
                    ,"cell14_door"
                    ,"cell4_exit"
                    ,"cell14_bed"
                    ,"cel14_lyda"
                    ,"cmn_floor"
                    ,"cmn_ceil"
                  }
  ,Refresh      = redirect_("Exam", "cell14_itself")
  ,TurnAround   = [[Дверь камеры не закрыта, я могу выйти в любой момент.]]
  ,Exit         = choose_ {
                     ["default"] = [[Нет, сейчас я не могу уйти.]]
                    ,["cel14_lyda._talk==3"] = walk_("inter3")
                  }
  ,stale        = [[У меня сейчас нет ни времени, ни желания разглядывать обстановку, которая, к тому же, совершенно не отличается
                    от той, что я наблюдал в собственной камере много дней подряд.]]
  ,stale2       = [[У меня нет времени на это.]]
}

cell14_start = rooms.event
  [[Я захожу в камеру и делаю несколько неуверенных шагов по направлению к кровати, на которой сидит женщина. Она не поднимает головы,
    как будто совершенно не замечает происходящего вокруг. Я останавливаюсь посреди комнаты и оборачиваюсь на дверь за моей спиной.
    Там, в наблюдательном пункте, у монитора, стоит Таис. Мне вдруг хочется вернуться к ней. Я и сам не понимаю, что со мной происходит.]]

cell14_itself = item {
   nam          = _"комната"
  ,Exam         = [[Широкое помещение с мертвенно-белыми стенами и высоким потолком; глазу здесь решительно не за что зацепиться. Из
                    всей обстановки -- только привинченная к полу кровать и металлический унитаз в углу. Я словно вновь очутился в
                    своей камере.]]
}:like(pRoom)

cell14_toilet = item {
   nam          = _"унитаз"
  ,Exam         = redirect_("stale", "cell14")
  ,Move         = redirect_("stale2", "cell14")
  ,Approach     = redirect_("stale", "cell14")
}:like(pBuild)

cell14_walls = item {
   nam          = _"стены"
  ,Exam         = [[Пустые белые стены -- я никогда не думал, что можно так ненавидеть белый цвет.]]
  ,Approach     = redirect_("stale", "cell14")
  ,Move         = redirect_("stale2", "cell14")
}:like(pBuild)

cell4_exit = item {
   nam          = _"выход"
  ,Approach     = redirect_("Exit")
  ,articles     = {
                    ["Walk"] = "на"
                  }
}:like(pBuild)

cell14_door = item {
   nam          = _"дверь"
  ,Exam         = [[Когда я только зашёл, то подумал на секунду, что Таис сейчас заблокирует дверь, и я окажусь в ловушке, однако
                    дверь по-прежнему открыта.]]
  ,Open         = [[Дверь не закрыта, насколько я вижу.]]
  ,Close        = "Зачем?"
  ,Approach     = redirect_("Exit", "cell14")
  ,Move         = redirect_("stale2", "cell14")
  ,Ascend       = redirect_("stale2", "cell14")
  ,Wreck        = redirect_("stale2", "cell14")
}:like(pDoor)

cell14_bed = item {
   nam          = _"кровать"
  ,Exam         = [[Узкая и жёсткая койка, напоминающая противень для трупов в морге.]]
  ,Sit          = [[Я бы предпочел постоять на ногах.]]
  ,Lie          = redirect_("Sit")
  ,Move         = [[Не вижу смысла двигать кровать.]]
}:like(pBed)

cel14_lyda = item {
   _talk        = 0
  ,nam          = _"женщина в робе"
  ,Exam         = choose_ {
                     ["default"] =
                        [[Она сидит на кровати, ссутулившись и обхватив голову руками, точно нарочно прячет от меня лицо. На ней --
                          бесцветная больничная роба.]]
                    ,["s._talk>0"] = [[Я не понимаю, что происходит. Я раньше никогда её не видел.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Лида? -- негромко произношу я.^
                            Женщина вздрагивает и поднимает голову.^
                            Я невольно делаю шаг назад, чувствуя, как по коже моей пробегает страшный холодок.^
                            Глаза у женщины расширяются, она несколько минут смотрит на меня так, словно впервые в жизни увидела живого
                            человека.^
                            -- Это ты! -- хрипло произносит она. -- Но я думала... Они говорили... Боже, это ты! Это ты!^
                            Я продолжаю пятиться назад, я впервые в жизни вижу эту женщину.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[Женщина поднимается с постели и стоит, покачиваясь, точно разучилась ходить, продолжая смотреть на меня
                            влажными от слёз глазами.^
                            -- Это ты... -- повторяет она и подаётся вперед, неестественно и неловко, как будто её толкнули. Она вытягивает
                            руки и почти падает на меня, а потом начинает плакать, уткнувшись мне в грудь и обнимая за плечи.^
                            -- Я думала, что ты мёртв, -- говорит она сквозь слезы.]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Извините, -- говорю я и отстраняю от себя женщину. -- Но я не знаю вас.^
                            -- Что? -- Женщина смотрит на меня с ужасом. -- Что они с тобой сделали? Это ведь ты! Это ты!^
                            Я начинаю пятиться к двери.^
                            Женщина падает на колени и плачет. Я останавливаюсь. Я думаю, что мне нужно подойти к ней, утешить,
                            узнать, что она помнит, но я не могу оставаться здесь ни секунды.^
                            Я поворачиваюсь к двери.]]
                        }
                    ,["s._talk==3"] = [[Я больше не могу здесь оставаться, не могу смотреть на эту женщину.]]
                  }
  ,Listen       = choose_ {
                     ["default"] = [[Женщина молчит.]]
                    ,["s._talk>0"] = redirect_("Talk")
                  }
  ,Attack       = [[Мне кажется, я схожу с ума.]]
  ,Approach     = redirect_("Exam")
}:like(pHuman)


---------------------------------------------------------------------------------------------------
--inter3
---------------------------------------------------------------------------------------------------
inter3 = scene {
   enter        = mute_(5000,0)
  ,_talk        = 0
  ,_topic       = 0
  ,obj          = {
                     "inter3_start"
                    ,"inter2_itself"
                    ,"inter3_exitdoor"
                    ,"inter2_doorlamp"
                    ,"inter3_door"
                    ,"inter2_box"
                    ,"inter3_table"
                    ,"inter3_monitor"
                    ,"inter2_keyboard"
                    ,"inter3_self"
                    ,"tazer_block3"
                    ,"cmn_floor"
                    ,"cmn_ceil"
                    ,"tais3"
                  }
  ,Refresh      = redirect_("Exam", "inter2_itself")
  ,Wait         = [[Да, теперь мне больше ничего не остается.]]
  ,TurnAround   = redirect_("TurnAround", "inter2")
  ,Exit         = redirect_("Walk", "inter3_exitdoor")
  ,Return       = redirect_("Exit")
  ,before_Default=function(s,vb,o)
                    local ge = (vb=="Walk" or vb=="Approach" or vb=="Exit") and (not o or o==inter3_exitdoor);
                    if have(tazer4) and vb ~= "Shoot" and vb ~= "Exam" and not ge then
                      return "Я сжимаю в руке тазер. Больше для меня ничего не существует.";
                    end
                  end
  ,tais0        = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[Я поворачиваюсь к Таис, перед глазами всё плывет.^
                            -- Кто это женщина? -- спрашиваю я. -- Почему она называет себя Лидой? Я её никогда не видел!^
                            -- Извини, -- повторяет Таис. -- Я же говорила... твои воспоминания...^
                            -- Или это очередная игра, -- начинаю я. -- Как и весь мой побег. Как тот разговор шёпотом в
                            моей камере. И как эта...^
                            Я показываю рукой на дверь в камеру.^
                            -- Ну, -- вздыхает Таис. -- Если тебе так будет проще...]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Но ведь я узнал тебя! -- кричу я. -- Когда ты зашла ко мне в камеру тогда... Я узнал тебя!^
                            -- Я просто была первой, кого ты увидел в этот раз, -- тихо говорит Таис.^
                            -- И что... -- Я делаю несколько шагов по направлению к Таис, шатаясь,
                            как пьяный. -- Что я такое? Все мои чувства, я сам -- это лишь испорченные воспоминания?
                            Ошибка нейролинка?^
                            Таис подходит ко мне и обнимает за плечи.^
                            -- Поверь мне, -- говорит она. -- Я сделаю всё, чтобы тебе помочь.^
                            Я замечаю, что рана у неё на лбу потемнела, а волосы над виском слиплись от крови.^
                            -- Извини, что я ударил тебя, -- говорю я, -- но...]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          take_("tazer4"),
                          [[Таис прижимается ко мне, мои руки скользят у неё по спине, опускаются к талии. Я случайно касаюсь
                            рукоятки тазера, который торчит из-под пояса Таис. Я и сам не понимаю, что делаю.^
                            Я выхватываю тазер.^
                            Таис отшатывается от меня и с ужасом смотрит на оружие в моей руке. Я поднимаю тазер над головой.^
                            -- Но... зачем... -- шепчет Таис. -- Не надо.^
                            Я вдруг понимаю, что тазер заряжен. Наверное, Таис вставила картридж обратно, чтобы наша инсценировка
                            с заложником выглядела убедительнее.]]
                        }
                    ,["s._talk==3"] =
                        [[-- Отдай мне оружие, -- говорит Таис. -- Ты ведь обещал мне! Не надо, пожалуйста! Просто отдай!]]
                  }
  ,Cry          = choose_ {
                     ["default"] = "Не вижу смысла кричать."
                    ,["s._talk==1"] = redirect_("tais0")
                  }
}

tazer_block3 = item {
   nam          = _"тазер"
  ,TakeForce    = choose_ {
                     ["default"] = [[Я не уверен... Я и сам не понимаю, что хочу сейчас сделать.]]
                    ,["inter3._talk==2"] = redirect_("tais0", "inter3")
                  }
  ,cnd          = if_("inter3._talk<3")
}

tazer4 = item {
   nam          = _"тазер"
  ,Exam         = [[Тазер заряжен, я чувствую это по весу.]]
  ,Shoot        = use_ {
                     ["default"] = [[Я не буду этого делать.]]
                    ,["tais3"] = 
                        [[Я не хочу стрелять в Таис. Это ничего не изменит, да и она действительно пыталась помочь мне.]]
                    ,["inter3_self"] =
                        chain_ {
                          dropself,
                          drop_("keycard"),
                          sound_("bam"),
                          walkfast2_("cell15start")
                        }
                  }
  ,Open         = redirect_("Exam")
  ,Put          = [[Не стоит это делать.]]
  ,Throw        = [[Нет, тазер мне нужен не для этого.]]
  ,Give         = [[Нет, я не собираюсь отдавать его обратно.]]
  ,Fetch        = redirect_("Give")
  ,Threat       = [[Это сейчас не имеет ни малейшего смысла.]]
  ,articles     = {
                    ["Shoot"] = "из"
                  }
}:like(pItem)

inter3_self = item {
   nam          = "себя"
  ,withShoot    = true
  ,articles     = { ["Shoot"] = "в" }
}

inter3_start = rooms.event
  [[Я выхожу из камеры, Таис быстро закрывает за мной дверь. Мне вдруг становится тяжело стоять на ногах, грудную клетку
    сжимает, как во время удушья. Я опираюсь рукой о стену, всё вокруг темнеет, комната погружается во мрак.^
    -- Извини, -- говорит Таис, и голос её кажется слабым и отдалённым. -- Я... понятия не имела.]]

inter3_table = from_("inter2_table") {
   nam          = _"стол"
  ,Sit          = [[Я подхожу к столу, но я так взвинчен, что продолжаю стоять на ногах.]]
}:like(pTable)

inter3_door = item {
   nam          = name_ {
                     ["default"] = _"дверь в камеру"
                    ,["Enter"] = _"камера"
                    ,["Walk"] = _"камера"
                  }
  ,Exam         = redirect_("Exam", "inter2_door")
  ,Close        = [[Таис уже закрыла дверь.]]
  ,Open         = [[Больше я не зайду туда.]]
  ,Move         = redirect_("Open")
  ,Enter        = redirect_("Open")
  ,Wreck        = [[Зачем это делать?]]
  ,Approach     = redirect_("Open")
  ,articles     = {
                     ["Enter"] = "в"
                    ,["Walk"] = "в"
                  }
}:like(pBuild)

inter3_monitor = item {
   nam          = _"монитор"
  ,Exam         = [[Таис снова отключила монитор, и погасший экран кажется выгоревшим, мёртвым.]]
  ,TurnOn       = [[Я не хочу смотреть изображение с камеры.]]
  ,Activate     = redirect_("TurnOn")
  ,TurnOff      = [[Монитор и так выключен.]]
  ,Wreck        = [[Лучше просто оставить этот монитор в покое.]]
}:like(pBasic)

inter3_exitdoor = item {
   nam          = name_ {
                     ["default"] = _"дверь в коридор"
                    ,["Walk"] = _"коридор"
                    ,["Exit"] = _"коридор"
                  }
  ,Exam         = [[Дверь в коридор сейчас не заперта, тёмно-серые вместе с Аликом могут в любой момент ворваться сюда.]]
  ,Open         = redirect_("Exam")
  ,Close        = [[Даже если ввести код блокировки, это ничего не даст -- они без проблем откроют дверь снаружи. Я мог бы попробовать
                    сломать электрический замок, как делал раньше, но мой тазер незаряжен.]]
  ,Approach     = choose_ {
                     ["default"] = [[Выйти в коридор -- это не слишком хорошая идея.]]
                    ,["have(tazer4)"] = [[Выйти и устроить перестрелку? Нет, я не хочу никого убивать. В этом уже нет никакого смысла.]]
                  }
  ,Exit         = redirect_("Approach")
  ,Move         = redirect_("Open")
  ,Wreck        = [[Такую дверь сломать не получится.]]
  ,articles     = {
                     ["Walk"] = "в"
                    ,["Exit"] = "в"
                  }
}:like(pDoor)