cell15start = pause {
   time         = 6000
  ,next         = walk_("cell15")
}

cell15 = scene {
   enter        = timer_(8000)
  ,checkpoint   = true
  ,_stand       = false
  ,obj          = {
                     "cell15_start"
                    ,"cell15_itself"
                    ,"cell15_recall"
                    ,"cell15_cam"
                    ,"cell15_bed"
                    ,"cell15_wound"
                    ,"cell15_chest"
                    ,"cell_walls"
                    ,"cell_toilet"
                    ,"cell_door"
                    ,"cmn_floor"
                    ,"cmn_ceil"
                    ,"tais4"
                  }
  ,timer        = chain_ {
                    timerstop,
                    music_("macros")
                  }
  ,ExamSelf     = [[Меня снова переодели -- на мне белесая синтетическая роба, в которую я был ещё когда впервые пришёл в себя в камере.]]
  ,Refresh      = redirect_("Exam", "cell15_itself")
  ,Wait         = [[Да, больше мне ничего не остаётся.]]
  ,Exit         = [[Выхода отсюда нет.]]
  ,Stand        = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._stand"),
                          "Я поднимаюсь с кровати."
                        }
                    ,["s._stand"] = "Я уже и так стою на ногах."
                  }
  ,Sleep        = choose_ {
                     ["default"] = "Я пока не хочу спать."
                    ,["tais4._talk==4"] = walkfast2_("dream9start")
                  }
  ,before_Default=function(s,vb,o)
                    if vb ~= "Lie" and vb~="Sleep" and tais4._talk==4 then
                      return "Мне тяжело стоять на ногах. Нужно прилечь.";
                    elseif not s._stand and vb~="Exam" and vb~= "Think" and vb~="Recall" and vb~="Stand" and o~=cell15_bed then
                      return [[Я предпочёл бы сначала подняться с постели.]];
                    end
                  end
}

cell15_wound = item {
   nam          = _"плечо"
  ,Exam         = [[Правое плечо аккуратно перебинтовано, правда, рана по-прежнему немного ноет.]]
}:like(pPhenom)

cell15_chest = item {
   nam          = _"грудь"
  ,Exam         = [[Я касаюсь груди и ничего не чувствую. Я в порядке.]]
}:like(pPhenom)

cell15_start = rooms.event
  [[Я открываю глаза.^
    Взгляд мой упирается в ровный пустой потолок, и первые мгновения мне кажется, что меня окружает глухая бесцветная пустота.
    Но постепенно чувства возращаются ко мне. Я вдыхаю полной грудью холодный воздух с тонким запахом озона, я чувствую, что
    лежу на узкой больничной койке, а глаза мои начинают слезиться из-за светящейся белизны обступающих меня стен.^
    Я снова в своей камере. Или в ещё одной -- точно такой же. На мне -- новая синтетическая роба, которая неприятно липнет к
    телу. Правая рука моя перевязана и немного болит -- наверняка они снова вставили имплант, присмирили меня, как бешеную собаку.^
    Как я попал сюда? Я пытаюсь <i>вспомнить</i> последние события и невольно касаюсь пальцами груди.]]

cell15_itself = item {
   nam          = _"комната"
  ,Exam         = [[Здесь ничего не поменялось -- даже если это вовсе не та комната, где меня держали последние дни. Белые стены,
                    источающие безжизненный ровный свет, от которого раскалывается голова, гладкий пол, кровать, приваренная к
                    полу. И горящий красным глазок сторожевой камеры над дверью.]]
}:like(pRoom)

cell15_bed = from_("cell_bed") {
   nam          = _"кровать"
  ,Stand        = choose_ {
                     ["default"] =
                        chain_ {
                          set_("cell15._stand"),
                          [[Я ненадолго присаживаюсь на край кровати, потом встаю.]]
                        }
                    ,["cell15._stand"] = "Я не на кровати."
                  }
  ,Lie          = choose_ {
                     ["default"] = [[Я ложусь на кровать, но потом снова встаю на ноги.]]
                    ,["not cell15._stand"] = "Я уже и так лежу на кровати."
                    ,["tais4._talk==4"] = walkfast2_("dream9start")
                  }
  ,Move         = [[Не вижу смысла двигать кровать.]]
  ,Approach     = choose_ {
                     ["default"] = "Я подхожду к кровати."
                    ,["not cell15._stand"] = "Я и так на кровати."
                  }
}:like(pBed)

cell15_cam = from_("cell_cam") {
   _talk        = 0
  ,nam          = _"камера"
  ,Exam         = choose_ {
                     ["default"] = [[Камера работает, за мной снова следят.]]
                    ,["s._talk==2"] = [[Я ещё успею налюбоваться камерой, лучше поговорить с Таис, пока она здесь.]]
                  }
  ,Approach     = choose_ {
                     ["default"] = 
                        [[Я подхожу к камере и смотрю в её немигающий красный глаз. Всё опять будет как прежде -- как все эти
                          безумные дни.]]
                    ,["s._talk==2"] = redirect_("Exam")
                  }
  ,Attack       = [[Не думаю, что это разумно.]]
  ,Move         = [[Я не смогу дотянуться до камеры.]]
  ,Wreck        = redirect_("Move")
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Эй! -- кричу я, глядя в глазок камеры. -- Здесь кто-то есть?^
                            -- Успокойтесь, -- раздаётся с потолка металлизированный голос. -- Вам нельзя много двигаться.
                            Ложитесь в постель.^
                            -- Но что произошло? -- спрашиваю я. -- Восемьдесят тысяч вольт оказались не такими уж и смертельными?
                            Или это снова был какой-то эксперимент? Вы довольны?^
                            -- Вас реанимировали, -- отвечает металлический голос. -- Вас едва удалось спасти.^
                            -- Реанимировали? -- спрашиваю я и прижимаю руку к груди. -- Но я чувствую себя хорошо...^
                            -- Идиот! -- раздаётся с потолка.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          music_("macros"),
                          [[-- Таис? -- спрашиваю я. -- Таис, это ты?^
                            -- Да, -- отвечает через несколько секунд голос.^
                            -- Вы правда меня откачали? Но... -- Я вздыхаю. -- Но зачем? Ты не думаешь, что было бы... гуманнее...^
                            -- Я сейчас зайду, -- раздаётся ответ.^
                            Через минуту дверь открывается, и в комнату заходит Таис.^
                            В руке у неё снова тот странный прибор с большой выпуклой кнопкой. Значит, имплант они вернули обратно,
                            а она вновь стала моим тюремщиком.]]
                        }
                    ,["s._talk==2"] = [[Лучше поговорить с Таис, пока она здесь.]]
                    ,["s._talk==3"] = [[Нет, больше она не зайдёт сюда. Я чувствую это.]]
                  }
  ,Listen       = choose_ {
                     ["default"] = [[На сей раз голос под потолком молчит. Может, попробовать заговорить самому?]]
                    ,["s._talk>0"] = redirect_("Talk")
                  }
  ,articles     = {
                    ["Talk"] = "с"
                  }
}:like(pBuild)

cell15_recall = item {
   _done        = false
  ,nam          = _"последние события"
  ,Recall       = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._done"),
                          [[Я помню, как приставил к груди тазер. Таис бросилась ко мне, но не успела. Я нажал на спусковой крючок --
                            резко, без сомнений, без промедлений, как будто это и было тем спасением, которое я всё это время искал.
                            Потом была темнота.]]
                        }
                    ,["s._done"] =
                        [[Больше я ничего не помню. Кто помог мне? Как я попал сюда? Та ли эта комната, в которой я был раньше?]]
                  }
  ,Think        = redirect_("Recall")
  ,Invent       = "Нет, я должен вспомнить."
}:like(pThink)

tais4 = item {
   _talk        = 0
  ,_walk        = false
  ,nam          = _"Таис"
  ,Exam         = choose_ {
                     ["default"] =
                        [[Таис выглядит уставшей, как будто не спала всю ночь. На ней новая униформа -- чистая и выглаженная, -- которая
                          сидит как-то неловко и мешковато, точно на пару размеров больше, чем нужно. Рана у неё на лбу затянулась -- 
                          остался лишь маленький, едва заметный шрам.]]
                  }
  ,Talk         = choose_ {
                     ["default"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Ты и правда идиот, да? -- говорит Таис. -- Спрашиваешь, зачем мы тебя откачали? А зачем ты выстрелил?^
                            -- Я не знаю, я... -- Мне сложно подобрать слова. -- Наверное, в тот момент мне просто не хотелось жить.^
                            -- Почему? Потому что твоя Лида выглядит вовсе не так, как ты себе вообразил?^
                            -- Потому что вся моя жизнь, -- медленно произношу я и чувствую, что мне не хватает воздуха, -- всё, что я о
                            себе знаю -- это просто... какой-то обман.^
                            -- Я ведь говорила тебе, -- настаивает Таис, -- мы можем тебе помочь. Ты отличаешься от остальных.]]
                        }
                    ,["s._talk==1"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Чем же? -- спрашиваю я. -- Хотя нет, -- я взмахиваю рукой, -- это даже неважно. Как вы мне поможете?
                            Перезагрузите снова? Но ведь это будет уже другой человек.^
                            -- Это будешь ты, -- качает головой Таис. -- Ты, настоящий.^
                            -- Настоящий? -- спрашиваю я. -- Что значит настоящий? Такой, как это описано в документах и протоколах?
                            Ты ведь не знала меня, настоящего!]]
                        }
                    ,["s._talk==2"] =
                        chain_ {
                          inc_("s._talk"),
                          [[-- Постарайся успокоиться, -- примирительно говорит Таис. -- Ты на взводе. Тебе нельзя волноваться. Лягь,
                            полежи. Тебе будет лучше.^
                            -- Лечь? -- Я устало закрываю ладонью лицо. -- Даже сны мои, воспоминания... Они неправильные. Я путаюсь в
                            них, как...^
                            -- Извини, -- говорит Таис. -- Мы делаем всё, что можем. Но в любом случае, самоубийство -- это не выход.^
                            Таис вздыхает и возвращается к двери.^
                            -- Подожди! -- кричу я, и Таис замирает.]]
                        }
                    ,["s._talk==3"] =
                        chain_ {
                          inc_("s._talk"),
                          inc_("cell15_cam._talk"),
                          [[-- Ты знаешь, -- говорю я, -- мне кажется, я понял. Если я, если вся моя личность -- лишь мешанина из каких-то
                            испорченных воспоминаний и ночных кошмаров, то значит это и есть я. Настоящий. Это то, как я думаю, то, что
                            я знаю. И...^
                            Таис поворачивается ко мне и пытается возразить, но я продолжаю.^
                            -- И я знаю то, что ты для меня -- не просто девушка, которая вошла сюда несколько дней назад.^
                            Таис вздыхает и -- молчит. Она несколько секунд смотрит на меня, а потом поворачивается к двери.^
                            -- Сегодня мой последний день здесь, -- говорит Таис. -- Уже завтра меня переводят на другой проект. Возможно,
                            мы больше не увидимся.^
                            Я даже не знаю, что сказать. Я стою посреди комнаты и беспомощно смотрю на неё. Мне вдруг становится сложно
                            дышать -- я не даже могу вздохнуть полной грудью.^
                            Таис идёт к выходу.^
                            -- Если только... -- тихо говорю я, -- если только в Д2 действительно...^
                            Таис громко хлопает дверью. Я вздрагиваю, точно очнувшись. Я снова один.]]
                        }
                  }
  ,Listen       = redirect_("Talk")
  ,Approach     = choose_ {
                     ["default"] =
                        chain_ {
                          set_("s._walk"),
                          [[Я делаю шаг навстречу Таис, но она настороженно отходит от меня к двери. Кажется, она не хочет,
                            чтобы я приближался.]]
                        }
                    ,["s._walk"] = [[Думаю, Таис не хочет, чтобы я подходил к ней близко.]]
                  }
  ,Attack       = [[Я не собираюсь делать это.]]
  ,cnd          = if_("cell15_cam._talk==2")
}:like(pHuman)
